2014-11-24  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/strings.texi (String Properties):
	Note that string properties are separate from extent properties.

2015-05-08  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/numbers.texi (Numbers):
	Describe the newly-supported arbitrary-base syntax for rationals
	(integers and ratios). Describe that ratios can take the same base
	specification as integers, something also new.

2015-03-15  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/strings.texi (Character Codes):
	Document `char-code-limit' here too.

2015-03-14  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/help.texi (Help Functions):
	Document help-event-list, just added.

2015-02-23  Mike Kupfer  <mike.kupfer@xemacs.org>

	* internals/internals.texi (The Redisplay Mechanism):
	Add notes about pixel_to_glyph_translation and related code.
	(pixel_to_glyph_translation): New section.	

2015-03-08  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/strings.texi (Predicates for Characters):
	Document `digit-char-p', `digit-char' here.
	* lispref/strings.texi (String Conversion):
	Document `parse-integer' here.

2014-03-28  Jerry James  <james@xemacs.org>

	* Makefile.in: Do not build texinfo files.
	* texinfo/fdl.texi:
	* texinfo/texinfo.texi:
	* texinfo/version.texi:
	Remove files belonging to an external project.

2014-03-28  Jerry James  <james@xemacs.org>

	* lispref/loading.texi:
	* lispref/macros.texi:
	Fix broken next/prev pointers caught by texinfo 4.x, but not by
	texinfo 5.x.  Thanks to Thomas Mittelstaedt for reporting.

2014-02-11  Jerry James  <james@xemacs.org>

	* lispref/consoles-devices.texi:
	* lispref/control.texi:
	* lispref/customize.texi:
	* lispref/databases.texi:
	* lispref/debugging.texi:
	* lispref/dialog.texi:
	* lispref/display.texi:
	* lispref/eval.texi:
	* lispref/extents.texi:
	* lispref/faces.texi:
	* lispref/files.texi:
	* lispref/frames.texi:
	* lispref/functions.texi:
	* lispref/glyphs.texi:
	* lispref/gutter.texi:
	* lispref/hash-tables.texi:
	* lispref/help.texi:
	* lispref/internationalization.texi:
	* lispref/intro.texi:
	* lispref/keymaps.texi:
	* lispref/ldap.texi:
	* lispref/lispref.texi:
	* lispref/lists.texi:
	* lispref/loading.texi:
	* lispref/macros.texi:
	* lispref/markers.texi:
	* lispref/menus.texi:
	* lispref/minibuf.texi:
	* lispref/modes.texi:
	* lispref/mule.texi:
	* lispref/numbers.texi:
	* lispref/objects.texi:
	* lispref/os.texi:
	* lispref/positions.texi:
	* lispref/postgresql.texi:
	* lispref/processes.texi:
	* lispref/range-tables.texi:
	* lispref/scrollbars.texi:
	* lispref/searching.texi:
	* lispref/sequences.texi:
	* lispref/specifiers.texi:
	* lispref/streams.texi:
	* lispref/strings.texi:
	* lispref/symbols.texi:
	* lispref/syntax.texi:
	* lispref/text.texi:
	* lispref/tips.texi:
	* lispref/toolbar.texi:
	* lispref/tooltalk.texi:
	* lispref/variables.texi:
	* lispref/windows.texi:
	* lispref/x-windows.texi:
	* xemacs/custom.texi:
	* xemacs/menus.texi:
	* xemacs/programs.texi:
	Add next, prev, and up pointers to each node for texinfo 5.2.

	* texinfo/fdl.texi:
	* texinfo/texinfo.texi:
	* texinfo/version.texi:
	Sync with texinfo 5.2.

2013-09-15  Mats Lidell  <matsl@xemacs.org>

	* xemacs/files.texi (Saving): New variable
	mode-require-final-newline. Update info for require-final-newline.

2013-06-25  Jerry James  <james@xemacs.org>

	* Makefile.in: New file, so we can replace @MAKEINFO@.
	* Makefile: Removed.
	* lispref/packaging.texi: Update required version of makeinfo.
	* xemacs/packages.texi: Ditto.

2013-06-23  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.34 "kale" is released.

2013-06-19  Jerry James  <james@xemacs.org>

	* beta.texi: Move "@end info" to its own line.
	* lispref/edebug-inc.texi (Instrumenting Macro Calls): "@table
	@bullet" is not supported by texinfo 5.x; use "@table @asis"
	instead, since each table entry has a label already.
	* lispref/packaging.texi (Makefile Targets): Use @section instead
	of @subsection inside a @chapter.
	* texinfo.tex: Update to new version that is known to work with
	texinfo 5.x.
	* texinfo/texinfo.texi (documentencoding): @itemx must always
	follow an @item.
	* widget.texi: Sync with the Emacs 24.3 version.  Change all
	@section to @chapter, and all @subsection to @section.
	* xemacs-faq.texi (11.0: The XEmacs repositories): Add
	@unnumberedsec entry to contain the @unnumberedsubsec for each
	question.
	(11.1: Working with CVS): Ditto.
	(11.2: Working with Mercurial): Ditto.

2013-06-17  Jerry James  <james@xemacs.org>

	* internals/internals.texi (Numeric Types): New chapter describing
	the implementation of bignums, ratios, and bigfloats.
	* lispref/numbers.texi (The Bignum Extension): Update description
	to include MPIR, fix broken URLs, and note that BSD MP support is
	now more complete.
	(Bignum Basics): Note MPIR support.
	(Ratio Basics): Add a missing comma.
	(Bigfloat Basics): Fix an incomplete sentence and add examples.
	* xemacs-faq.texi (Q7.2.1): Update description to include MPIR,
	note that BSD MP support is now more complete, and remove the
	paragraph where I promise to write internals documentation.
	(Q7.2.3): Update ancient section that mentions the Pentium III.

2013-01-22  Jerry James  <james@xemacs.org>

	* lispref/glyphs.texi (Image Instantiators): Add :visible to the
	list of allowed menu keywords.
	* lispref/menus.tex (Menu Format): Document that :visible is an
	alias for :included.

2013-01-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.33 "horseradish" is released.

2013-01-02  Vin Shelton  <acs@xemacs.org>

	* lispref/menus.texi (Creating Menu Accelerators): Clarify that
	the menu accelerator must be lowercase.

2012-12-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs/programs.texi (Defuns): Improve description of `mark-defun'.
	Thanks to Steven Mitchell for the suggestion.

2012-12-28  Byrel Mitchell  <byrel.mitchell@gmail.com>

	* lispref/menus.texi (Menu Format):
	Document use of :active in submenu specs.

2012-12-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Mercurial Basics):
	Update references to repository to reflect current reality.

2012-12-28  Byrel Mitchell  <byrel.mitchell@gmail.com>

	* lispref/menus.texi (Creating Menu Accelerators): Typo fix.

2012-10-13  Mats Lidell  <matsl@xemacs.org>

	* lispref/processes.texi (Synchronous Processes): New function
	call-process-shell-command.

2012-09-18  Mats Lidell  <matsl@xemacs.org>

	* lispref/windows.texi (Vertical Scrolling): Added
	recenter-top-bottom and recenter-positions

	* xemacs/display.texi (Display): Rearranged and added
	documentation due to new function recenter-top-bottom.

2012-08-06  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/symbols.texi (Symbol Components):
	Document the new syntax of ## for the symbol with name "" interned
	in obarray.

2012-09-02  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/keymaps.texi (Keymaps):
	* lispref/keymaps.texi (Changing Key Bindings):
	* lispref/keymaps.texi (Scanning Keymaps):
	* lispref/keymaps.texi (Remapping commands):
	* lispref/keymaps.texi (XEmacs): New.
	* lispref/keymaps.texi (Other Keymap Functions):
	Document the new command remapping functionality in this file.

2012-08-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.32 "habanero" is released.

2012-05-06  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/macros.texi (Expansion):
	Cross-reference to documentation of #'cl-prettyexpand, #'defmacro*
	when talking about #'macroexpand.

2012-05-04  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/searching.texi (Regular Expressions):
	* lispref/searching.texi (Syntax of Regexps):
	* lispref/searching.texi (Char Classes):
	* lispref/searching.texi (Regexp Example):
	Document the predefined character classes in this file.

2011-12-30  Aidan Kehoe  <kehoea@parhasard.net>

	* cl.texi (Top):
	* cl.texi (Usage):
	* cl.texi (Organization):
	* cl.texi (Efficiency Concerns):
	* cl.texi (Common Lisp Compatibility):
	Remove documentation of cl-compat, now it's deleted.

2011-12-04  Aidan Kehoe  <kehoea@parhasard.net>

	* internals/internals.texi (Basic Lisp Modules):
	Document sequence.c here too.

2011-10-09  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/lists.texi (Association Lists):
	Don't document #'remassoc, #'remassq and friends in detail;
	they're XEmacs-specific and (delete* ... :key #'car) is
	preferable.

2011-10-09  Aidan Kehoe  <kehoea@parhasard.net>

	* internals/internals.texi (Top):
	* internals/internals.texi (Authorship of XEmacs):
	* internals/internals.texi (Modules for Other Aspects of the Lisp Interpreter and Object System):
	* internals/internals.texi (Introduction to Writing C Code):
	* internals/internals.texi (Working with Lisp Objects):
	* internals/internals.texi (Adding Global Lisp Variables):
	* internals/internals.texi (The XEmacs Object System (Abstractly Speaking)):
	* internals/internals.texi (How Lisp Objects Are Represented in C):
	* internals/internals.texi (Allocation of Objects in XEmacs Lisp):
	* internals/internals.texi (Introduction to Allocation):
	* internals/internals.texi (GCPROing):
	* internals/internals.texi (mark_object):
	* internals/internals.texi (sweep_bit_vectors_1):
	* internals/internals.texi (Fixnums and Characters):
	* internals/internals.texi (Future Work -- Unicode):
	Say fixnum rather than integer when specifically talking about
	fixed-width Lisp integers.

2011-10-09  Aidan Kehoe  <kehoea@parhasard.net>

	* internals/internals.texi (How Lisp Objects Are Represented in C):
	* internals/internals.texi (Integers and Characters):
	Mechanically change INT to FIXNUM, where the usage describes non-bignum
	Lisp integers.

2011-09-07  Aidan Kehoe  <kehoea@parhasard.net>

	* cl.texi (Function Bindings):
	Move #'labels first, describe it in more detail, explaining that
	it is to be preferred over #'flet, and explaining why.
	Explain that dynamic bindings with #'flet will also not work when
	functions are accessed through their bytecodes.

2011-08-14  Mike Sperber  <mike@xemacs.org>

	* xemacs-faq.texi:
	* xemacs/packages.texi: Reflect change of location of packages
	from lib/ to share/.

2011-08-09  Aidan Kehoe  <kehoea@parhasard.net>

	* cl.texi (Argument Lists):
	* cl.texi (Time of Evaluation):
	* cl.texi (Type Predicates):
	* cl.texi (Assignment):
	* cl.texi (Basic Setf):
	* cl.texi (Modify Macros):
	* cl.texi (Customizing Setf):
	* cl.texi (Dynamic Bindings):
	* cl.texi (Lexical Bindings):
	* cl.texi (Function Bindings):
	* cl.texi (Macro Bindings):
	* cl.texi (Conditionals):
	* cl.texi (Blocks and Exits):
	* cl.texi (Iteration):
	* cl.texi (Loop Basics):
	* cl.texi (Macros):
	* cl.texi (Declarations):
	* cl.texi (Property Lists):
	* cl.texi (Structures):
	* cl.texi (Assertions):
	* cl.texi (Efficiency Concerns):
	* lispref/compile.texi (Eval During Compile):
	* lispref/compile.texi (Compiled-Function Objects):
	* lispref/eval.texi (Multiple values):
	* lispref/frames.texi (Input Focus):
	* lispref/internationalization.texi (Level 3 Primitives):
	* lispref/positions.texi (Excursions):
	* lispref/positions.texi (Narrowing):
	* lispref/searching.texi (Saving Match Data):
	* lispref/specifiers.texi (Adding Specifications):
	* lispref/windows.texi:
	Correct the manuals to avoid using the term "special operator" when
	#'special-operator-p would give nil.

2011-08-08  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Mercurial Techniques): New.
	(Mercurial Basics): New.
	(Preserving Existing Changes with Mercurial Queues): New.
	(Top): Update menus.
	(Regression Testing XEmacs): Update node pointers.
	(CVS Techniques): Update node pointers.  Note obsolescence of CVS.
	Add @ref to Mercurial Techniques.

2011-06-25  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/os.texi (Translating Input):
	Document the just-added function-key-map-parent.

2011-05-20  Jerry James  <james@xemacs.org>

	* Makefile (DESTDIR): New variable for all Makefiles, unused in	this
	one.

2011-04-29  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.31 "ginger" is released.

2011-04-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.30 "garlic" is released.

2011-04-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q2.5.7):
	New node on troubleshooting duplicate auto-autoloads.
	(Top):
	(Installation):
	(Q2.5.6):
	Update menus and node links for Q2.5.7.

2011-03-24  Jerry James  <james@xemacs.org>

	* internals/internals.texi (Creating a Window-System Type):
	"desireable" -> "desirable", "neglible" -> "negligible".
	(The Non-Client Area): "negotation" -> "negotiation".
	(Better Rendering Support -- Modern Font Support): "anomolies" ->
	"anomalies".
	(Discussion -- Switching to C++): "reliablity" -> "reliability".
	* lispref/mule.texi (Theory of Operation): "noticable" -> "noticeable".
	* lispref/strings.texi (Creating Strings): "occurances" ->
	"occurrences".
	* xemacs-faq.texi (Q1.0.3: How do you pronounce XEmacs?):
	"pronounciation" -> "pronunciation".
	(Q1.7.2: Which external packages are there?): "withing" -> "within".
	(Q2.4.3: XEmacs crashes and I compiled it myself.): "ealier" ->
	"earlier".
	(hg diff gives bizarre output.): "occured" -> "occurred", "relevent"
	-> "relevant".
	(How do I recover from a bad commit?  (I already pushed.)):
	"inadvertantly" -> "inadvertently".

2011-03-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/customize.texi (Face Definitions): New node.
	(Customization): Add entry to menu.
	(Variable Definitions): Add cross-ref for `defface'.
	(Customization Types): Fixup Previous link.

	* lispref/faces.texi (Faces):
	Clarify that built-in properties of faces are computed at runtime.

2011-03-15  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/objects.texi (Character Type):
	* lispref/objects.texi (Equality Predicates):
	No longer document `old-eq', `old-equal', they haven't been used
	in years.

2011-03-14  Jeff Sparkes  <jsparkes@gmail.com>

	* lispref/faces.texi (Faces): Mention `min-colors' as a
	face specifier.

2011-03-01  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/commands.texi (Using Interactive):
	* lispref/compile.texi (Eval During Compile):
	* lispref/compile.texi (Compiled-Function Objects):
	* lispref/control.texi (Sequencing):
	* lispref/control.texi (Conditionals):
	* lispref/control.texi (Combining Conditions):
	* lispref/control.texi (Iteration):
	* lispref/control.texi (Catch and Throw):
	* lispref/control.texi (Handling Errors):
	* lispref/control.texi (Cleanups):
	* lispref/display.texi (Temporary Displays):
	* lispref/eval.texi (Quoting):
	* lispref/eval.texi (Multiple values):
	* lispref/frames.texi (Input Focus):
	* lispref/functions.texi (Argument List):
	* lispref/functions.texi (Defining Functions):
	* lispref/functions.texi (Anonymous Functions):
	* lispref/internationalization.texi (Level 3 Primitives):
	* lispref/internationalization.texi (Domain Specification):
	* lispref/intro.texi (A Sample Function Description):
	* lispref/intro.texi (A Sample Variable Description):
	* lispref/lists.texi (Sets And Lists):
	* lispref/macros.texi (Defining Macros):
	* lispref/macros.texi (Backquote):
	* lispref/positions.texi (Excursions):
	* lispref/positions.texi (Narrowing):
	* lispref/searching.texi (Saving Match Data):
	* lispref/sequences.texi (Sequence Functions):
	* lispref/sequences.texi (Array Functions):
	* lispref/specifiers.texi (Adding Specifications):
	* lispref/variables.texi (Local Variables):
	* lispref/variables.texi (Defining Variables):
	* lispref/variables.texi (Setting Variables):
	* lispref/variables.texi (Default Value):
	* lispref/windows.texi (Selecting Windows):
	* lispref/windows.texi (Window Configurations):
	No longer use @defspec, since we no longer use the term "special
	form"; instead use @deffn {Special Operator}. Unfortunately
	there's no way in texinfo to redefine @defspec in one place.

2011-03-01  Aidan Kehoe  <kehoea@parhasard.net>

	* cl.texi (Argument Lists):
	* cl.texi (Time of Evaluation):
	* cl.texi (Type Predicates):
	* cl.texi (Assignment):
	* cl.texi (Basic Setf):
	* cl.texi (Modify Macros):
	* cl.texi (Customizing Setf):
	* cl.texi (Dynamic Bindings):
	* cl.texi (Lexical Bindings):
	* cl.texi (Function Bindings):
	* cl.texi (Macro Bindings):
	* cl.texi (Conditionals):
	* cl.texi (Blocks and Exits):
	* cl.texi (Iteration):
	* cl.texi (Loop Basics):
	* cl.texi (Macros):
	* cl.texi (Declarations):
	* cl.texi (Property Lists):
	* cl.texi (Structures):
	* cl.texi (Assertions):
	* cl.texi (Efficiency Concerns):

2011-02-19  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/lists.texi (Sets And Lists):
	Document #'member*, #'remove*, #'delete* in this file. Document
	#'memq, #'member, #'remq, #'remove, #'delq, #'delete in terms of
	the former functions.
	Document #'subsetp, #'union, #'intersection, #'set-difference,
	#'set-exclusive-or and their destructive analogues in this file.
	* lispref/lists.texi (Association Lists):
	Document #'assoc*, #'rassoc* in this file. Document #'assq,
	#'assoc, #'rassq, #'rassoc in terms of the first two functions.
	* lispref/objects.texi (Equality Predicates):
	Document #'eql here, don't leave it to cl.texi.

2010-11-06  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/lists.texi (Rearrangement, Building Lists):
	Document that #'nreverse and #'reverse now accept sequences, not
	just lists, in this file.

2010-09-02  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/os.texi (Time Conversion):
	Document the new #'format-time-string flags for Roman month
	numbers.

2010-08-30  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/eval.texi (Evaluation, Multiple values):
	Document our implementation of multiple values; point the reader
	to the CLTL or the Hyperspec for details of exactly when values
	are discarded.

	* lispref/numbers.texi (Numeric Conversions): Document the
	optional DIVISOR arguments to the rounding functions, and
	document that they all return multiple values.
	(Rounding Operations): Ditto.

	* cl.texi (Multiple Values):
	Document that we've moved the multiple values implementation to
	core code, and cross-reference to the Lispref.
	(Numerical Functions): The various rounding functions are now
	identical to the built-in rounding functions, with the exception
	that they return lists, not multiple values; document this.

2010-08-21  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/objects.texi (Character Type):
	Go into more detail here on the specific type of error provoked on
	overlong hex character escapes and non-Latin-1 octal character
	escapes; give details of why the latter may be encountered, and
	what to do with such code.

2010-06-13  Stephen J. Turnbull  <stephen@xemacs.org>

	* external-widget.texi: Correct FSF address in permission notice.

2010-05-28  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/windows.texi (Buffers and Windows):
	Reword the documentation of `buffer-display-count';
	`buffer-display-time's documentation was taken from a version of
	the GNU elisp manuwal with a compatible licence,
	`buffer-display-count' was not.

2010-05-17  Jeff Sparkes  <jsparkes@gmail.com>

	* lispref/windows.texi (Buffers and Windows):
	Document buffer-display-count and buffer-display-time with
	descriptions from GNU emacs lispref.

	* lispref/locals.texi (Standard Buffer-Local Variables):
	Add buffer-display-count and buffer-display-time.

2010-04-03  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/hash-tables.texi (Introduction to Hash Tables):
	Document that we now support #'equalp as a hash table test by
	default, and mention #'define-hash-table-test.
	(Working With Hash Tables): Document #'define-hash-table-test.

2010-04-01  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/lists.texi (Rearrangement):
	Update the documentation of #'sort here, now that it accepts any
	type of sequence and the KEY keyword argument. (Though this is
	probably now the wrong place for this function, given that.)

2010-02-22  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (A Summary of the Various XEmacs Modules):
	* internals/internals.texi (Modules for other Display-Related Lisp Objects):
	objects*.[ch] -> fontcolor*.[ch].

2010-03-18  Mike Sperber  <mike@xemacs.org>

	* xemacs/startup.texi (Startup Paths): Reflect the (long-ago)
	change from `lib' to `share' for the architecture-independent
	directories.

2010-03-13  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (Working with Lisp Objects):
	* internals/internals.texi (Writing Macros):
	* internals/internals.texi (lrecords):
	More rewriting to correspond with changes from
	*LRECORD* to *LISP_OBJECT*.

2010-03-05  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (Introduction to Allocation):
	* internals/internals.texi (Integers and Characters):
	* internals/internals.texi (Allocation from Frob Blocks):
	* internals/internals.texi (lrecords):
	* internals/internals.texi (Low-level allocation):
	Rewrite section on allocation of Lisp objects to reflect the new
	reality.  Remove references to nonexistent XSETINT and XSETCHAR.

2010-03-04  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (Top):
	* internals/internals.texi (list-to-texinfo): Removed.
	* internals/internals.texi (convert-list-to-texinfo): New.
	* internals/internals.texi (table-to-texinfo): Removed.
	* internals/internals.texi (convert-table-to-texinfo): New.
	Update Lisp functions at top to newest versions.
	
	* internals/internals.texi (A History of Emacs):
	* internals/internals.texi (Through Version 18):
	* internals/internals.texi (Lucid Emacs):
	* internals/internals.texi (XEmacs):
	* internals/internals.texi (The XEmacs Split):
	* internals/internals.texi (Modules for Other Aspects of the Lisp Interpreter and Object System):
	* internals/internals.texi (Introduction to Writing C Code):
	* internals/internals.texi (Writing Good Comments):
	* internals/internals.texi (Writing Macros):
	* internals/internals.texi (Major Textual Changes):
	* internals/internals.texi (Great Integral Type Renaming):
	* internals/internals.texi (How to Regression-Test):
	* internals/internals.texi (Creating a Branch):
	* internals/internals.texi (Dynamic Arrays):
	* internals/internals.texi (Allocation by Blocks):
	* internals/internals.texi (mark_object):
	* internals/internals.texi (gc_sweep):
	* internals/internals.texi (Byte-Char Position Conversion):
	* internals/internals.texi (Searching and Matching):
	* internals/internals.texi (Introduction to Multilingual Issues #3):
	* internals/internals.texi (Byte Types):
	* internals/internals.texi (Different Ways of Seeing Internal Text):
	* internals/internals.texi (Buffer Positions):
	* internals/internals.texi (Basic internal-format APIs):
	* internals/internals.texi (The DFC API):
	* internals/internals.texi (General Guidelines for Writing Mule-Aware Code):
	* internals/internals.texi (Mule-izing Code):
	* internals/internals.texi (Locales):
	* internals/internals.texi (More about code pages):
	* internals/internals.texi (More about locales):
	* internals/internals.texi (Unicode support under Windows):
	* internals/internals.texi (The Frame):
	* internals/internals.texi (The Non-Client Area):
	* internals/internals.texi (The Client Area):
	* internals/internals.texi (The Paned Area):
	* internals/internals.texi (Text Areas):
	* internals/internals.texi (The Displayable Area):
	* internals/internals.texi (Event Queues):
	* internals/internals.texi (Event Stream Callback Routines):
	* internals/internals.texi (Focus Handling):
	* internals/internals.texi (Future Work -- Autodetection):
	Replace " with ``, '' (not complete, maybe about halfway through).

2010-03-03  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (Intro to Window and Frame Geometry):
	* internals/internals.texi (The Paned Area):
	* internals/internals.texi (The Displayable Area):
	Update to make note of e.g. the fact that the bottom gutter is
	actually above the minibuffer.

2010-03-02  Jerry James  <james@xemacs.org>

	* custom.texi: Delete, redundant with xemacs/custom.texi and
	lispref/customize.texi.
	* Makefile: Remove all rules relating to custom.texi.

2010-03-03  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/tips.texi (Comment Tips):
	* lispref/text.texi (Text Properties):
	* lispref/strings.texi (Creating Strings):
	* lispref/processes.texi (Input to Processes):
	* lispref/functions.texi (Argument List):
	* lispref/extents.texi (Duplicable Extents):
	Move examples that used substring to using subseq; in
	strings.texi, do not change the examples, but document that in
	this XEmacs, it is an alias for subseq, and that there may be some
	incompatibilities if you depend on that.

2010-02-25  Didier Verna  <didier@xemacs.org>

	The background-placement face property.
	* xemacs/custom.texi (Faces): Document it.

2010-02-20  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (Intro to Window and Frame Geometry):
	Shrink diagram to fit when offset by five spaces as a result of
	quoting.

2010-02-16  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (Top):
	* internals/internals.texi (Modules for the Basic Displayable Lisp Objects):
	* internals/internals.texi (Creating a Window-System Type):
	* internals/internals.texi (Window and Frame Geometry):
	* internals/internals.texi (Intro to Window and Frame Geometry):
	* internals/internals.texi (The Frame):
	* internals/internals.texi (The Non-Client Area):
	* internals/internals.texi (The Client Area):
	* internals/internals.texi (The Paned Area):
	* internals/internals.texi (Text Areas):
	* internals/internals.texi (The Displayable Area):
	* internals/internals.texi (Which Functions Use Which?):
	* internals/internals.texi (The Redisplay Mechanism):
	Integrate the long comment in frame.c into the internals manual.

2010-02-17  Jerry James  <james@xemacs.org>

	* term.texi: Move to the eterm package.
	* Makefile: Remove all rules relating to term.texi.

2010-02-19  Ben Wing  <ben@xemacs.org>

	* widget.texi:
	* widget.texi (Top):
	* widget.texi (Introduction):
	* widget.texi (User Interface):
	* widget.texi (Programming Example):
	* widget.texi (Setting Up the Buffer):
	* widget.texi (Basic Types):
	* widget.texi (link):
	* widget.texi (url-link):
	* widget.texi (info-link):
	* widget.texi (push-button):
	* widget.texi (editable-field):
	* widget.texi (text):
	* widget.texi (menu-choice):
	* widget.texi (radio-button-choice):
	* widget.texi (item):
	* widget.texi (choice-item):
	* widget.texi (toggle):
	* widget.texi (checkbox):
	* widget.texi (checklist):
	* widget.texi (editable-list):
	* widget.texi (group):
	* widget.texi (Sexp Types):
	* widget.texi (constants):
	* widget.texi (generic):
	* widget.texi (atoms):
	* widget.texi (composite):
	* widget.texi (Widget Properties):
	* widget.texi (Defining New Widgets):
	* widget.texi (Widget Browser):
	* widget.texi (Widget Minor Mode):
	* widget.texi (Utilities):
	* widget.texi (Widget Wishlist):
	* widget.texi (Widget Internals):
	* widget.texi (GNU Free Documentation License):
	* widget.texi (Index):
	Sync with FSF 23.1.92.

2010-02-19  Ben Wing  <ben@xemacs.org>

	* texinfo/fdl.texi: New file.
	* texinfo/texinfo.texi:
	* texinfo/texinfo.texi (Top):
	* texinfo/texinfo.texi (Copying Conditions):
	* texinfo/texinfo.texi (Overview):
	* texinfo/texinfo.texi (Reporting Bugs):
	* texinfo/texinfo.texi (Using Texinfo):
	* texinfo/texinfo.texi (Output Formats):
	* texinfo/texinfo.texi (Info Files):
	* texinfo/texinfo.texi (Printed Books):
	* texinfo/texinfo.texi (Formatting Commands):
	* texinfo/texinfo.texi (Conventions):
	* texinfo/texinfo.texi (Comments):
	* texinfo/texinfo.texi (Minimum):
	* texinfo/texinfo.texi (Six Parts):
	* texinfo/texinfo.texi (Short Sample):
	* texinfo/texinfo.texi (History):
	* texinfo/texinfo.texi (Texinfo Mode):
	* texinfo/texinfo.texi (Texinfo Mode Overview):
	* texinfo/texinfo.texi (XEmacs Editing):
	* texinfo/texinfo.texi (Inserting):
	* texinfo/texinfo.texi (Showing the Structure):
	* texinfo/texinfo.texi (Updating Nodes and Menus):
	* texinfo/texinfo.texi (Updating Commands):
	* texinfo/texinfo.texi (Updating Requirements):
	* texinfo/texinfo.texi (Other Updating Commands):
	* texinfo/texinfo.texi (Info Formatting):
	* texinfo/texinfo.texi (Printing):
	* texinfo/texinfo.texi (Texinfo Mode Summary):
	* texinfo/texinfo.texi (Beginning a File):
	* texinfo/texinfo.texi (Sample Beginning):
	* texinfo/texinfo.texi (Texinfo File Header):
	* texinfo/texinfo.texi (First Line):
	* texinfo/texinfo.texi (Start of Header):
	* texinfo/texinfo.texi (setfilename):
	* texinfo/texinfo.texi (settitle):
	* texinfo/texinfo.texi (End of Header):
	* texinfo/texinfo.texi (Document Permissions):
	* texinfo/texinfo.texi (copying):
	* texinfo/texinfo.texi (insertcopying):
	* texinfo/texinfo.texi (Titlepage & Copyright Page):
	* texinfo/texinfo.texi (titlepage):
	* texinfo/texinfo.texi (titlefont center sp):
	* texinfo/texinfo.texi (title subtitle author):
	* texinfo/texinfo.texi (Copyright):
	* texinfo/texinfo.texi (end titlepage):
	* texinfo/texinfo.texi (headings on off):
	* texinfo/texinfo.texi (Contents):
	* texinfo/texinfo.texi (The Top Node):
	* texinfo/texinfo.texi (Top Node Example):
	* texinfo/texinfo.texi (Master Menu Parts):
	* texinfo/texinfo.texi (Global Document Commands):
	* texinfo/texinfo.texi (documentdescription):
	* texinfo/texinfo.texi (setchapternewpage):
	* texinfo/texinfo.texi (paragraphindent):
	* texinfo/texinfo.texi (firstparagraphindent):
	* texinfo/texinfo.texi (exampleindent):
	* texinfo/texinfo.texi (Software Copying Permissions):
	* texinfo/texinfo.texi (Ending a File):
	* texinfo/texinfo.texi (Printing Indices & Menus):
	* texinfo/texinfo.texi (File End):
	* texinfo/texinfo.texi (Structuring):
	* texinfo/texinfo.texi (Tree Structuring):
	* texinfo/texinfo.texi (Structuring Command Types):
	* texinfo/texinfo.texi (makeinfo top):
	* texinfo/texinfo.texi (chapter):
	* texinfo/texinfo.texi (unnumbered & appendix):
	* texinfo/texinfo.texi (majorheading & chapheading):
	* texinfo/texinfo.texi (section):
	* texinfo/texinfo.texi (unnumberedsec appendixsec heading):
	* texinfo/texinfo.texi (subsection):
	* texinfo/texinfo.texi (unnumberedsubsec appendixsubsec subheading):
	* texinfo/texinfo.texi (subsubsection):
	* texinfo/texinfo.texi (Raise/lower sections):
	* texinfo/texinfo.texi (Nodes):
	* texinfo/texinfo.texi (Two Paths):
	* texinfo/texinfo.texi (Node Menu Illustration):
	* texinfo/texinfo.texi (node):
	* texinfo/texinfo.texi (Node Names):
	* texinfo/texinfo.texi (Writing a Node):
	* texinfo/texinfo.texi (Node Line Tips):
	* texinfo/texinfo.texi (Node Line Requirements):
	* texinfo/texinfo.texi (First Node):
	* texinfo/texinfo.texi (makeinfo top command):
	* texinfo/texinfo.texi (makeinfo Pointer Creation):
	* texinfo/texinfo.texi (anchor):
	* texinfo/texinfo.texi (Menus):
	* texinfo/texinfo.texi (Menu Location):
	* texinfo/texinfo.texi (Writing a Menu):
	* texinfo/texinfo.texi (Menu Parts):
	* texinfo/texinfo.texi (Less Cluttered Menu Entry):
	* texinfo/texinfo.texi (Menu Example):
	* texinfo/texinfo.texi (Other Info Files):
	* texinfo/texinfo.texi (Cross References):
	* texinfo/texinfo.texi (References):
	* texinfo/texinfo.texi (Cross Reference Commands):
	* texinfo/texinfo.texi (Cross Reference Parts):
	* texinfo/texinfo.texi (xref):
	* texinfo/texinfo.texi (Reference Syntax):
	* texinfo/texinfo.texi (One Argument):
	* texinfo/texinfo.texi (Two Arguments):
	* texinfo/texinfo.texi (Three Arguments):
	* texinfo/texinfo.texi (Four and Five Arguments):
	* texinfo/texinfo.texi (Top Node Naming):
	* texinfo/texinfo.texi (ref):
	* texinfo/texinfo.texi (pxref):
	* texinfo/texinfo.texi (inforef):
	* texinfo/texinfo.texi (uref):
	* texinfo/texinfo.texi (cite):
	* texinfo/texinfo.texi (Marking Text):
	* texinfo/texinfo.texi (Indicating):
	* texinfo/texinfo.texi (Useful Highlighting):
	* texinfo/texinfo.texi (code):
	* texinfo/texinfo.texi (kbd):
	* texinfo/texinfo.texi (key):
	* texinfo/texinfo.texi (samp):
	* texinfo/texinfo.texi (verb):
	* texinfo/texinfo.texi (var):
	* texinfo/texinfo.texi (env):
	* texinfo/texinfo.texi (file):
	* texinfo/texinfo.texi (command):
	* texinfo/texinfo.texi (option):
	* texinfo/texinfo.texi (dfn):
	* texinfo/texinfo.texi (abbr):
	* texinfo/texinfo.texi (acronym):
	* texinfo/texinfo.texi (indicateurl):
	* texinfo/texinfo.texi (email):
	* texinfo/texinfo.texi (Emphasis):
	* texinfo/texinfo.texi (emph & strong):
	* texinfo/texinfo.texi (Smallcaps):
	* texinfo/texinfo.texi (Fonts):
	* texinfo/texinfo.texi (Quotations and Examples):
	* texinfo/texinfo.texi (Block Enclosing Commands):
	* texinfo/texinfo.texi (quotation):
	* texinfo/texinfo.texi (example):
	* texinfo/texinfo.texi (verbatim):
	* texinfo/texinfo.texi (verbatiminclude):
	* texinfo/texinfo.texi (lisp):
	* texinfo/texinfo.texi (small):
	* texinfo/texinfo.texi (display):
	* texinfo/texinfo.texi (format):
	* texinfo/texinfo.texi (exdent):
	* texinfo/texinfo.texi (flushleft & flushright):
	* texinfo/texinfo.texi (noindent):
	* texinfo/texinfo.texi (indent):
	* texinfo/texinfo.texi (cartouche):
	* texinfo/texinfo.texi (Lists and Tables):
	* texinfo/texinfo.texi (Introducing Lists):
	* texinfo/texinfo.texi (itemize):
	* texinfo/texinfo.texi (enumerate):
	* texinfo/texinfo.texi (Two-column Tables):
	* texinfo/texinfo.texi (table):
	* texinfo/texinfo.texi (ftable vtable):
	* texinfo/texinfo.texi (itemx):
	* texinfo/texinfo.texi (Multi-column Tables):
	* texinfo/texinfo.texi (Multitable Column Widths):
	* texinfo/texinfo.texi (Multitable Rows):
	* texinfo/texinfo.texi (Special Displays):
	* texinfo/texinfo.texi (Floats):
	* texinfo/texinfo.texi (float):
	* texinfo/texinfo.texi (caption shortcaption):
	* texinfo/texinfo.texi (listoffloats):
	* texinfo/texinfo.texi (Images):
	* texinfo/texinfo.texi (Image Syntax):
	* texinfo/texinfo.texi (Image Scaling):
	* texinfo/texinfo.texi (Footnotes):
	* texinfo/texinfo.texi (Footnote Commands):
	* texinfo/texinfo.texi (Footnote Styles):
	* texinfo/texinfo.texi (Indices):
	* texinfo/texinfo.texi (Index Entries):
	* texinfo/texinfo.texi (Predefined Indices):
	* texinfo/texinfo.texi (Indexing Commands):
	* texinfo/texinfo.texi (Combining Indices):
	* texinfo/texinfo.texi (syncodeindex):
	* texinfo/texinfo.texi (synindex):
	* texinfo/texinfo.texi (New Indices):
	* texinfo/texinfo.texi (Insertions):
	* texinfo/texinfo.texi (Atsign Braces Comma):
	* texinfo/texinfo.texi (Inserting an Atsign):
	* texinfo/texinfo.texi (Inserting Braces):
	* texinfo/texinfo.texi (Inserting a Comma):
	* texinfo/texinfo.texi (Inserting Quote Characters):
	* texinfo/texinfo.texi (Inserting Space):
	* texinfo/texinfo.texi (Not Ending a Sentence):
	* texinfo/texinfo.texi (Ending a Sentence):
	* texinfo/texinfo.texi (Multiple Spaces):
	* texinfo/texinfo.texi (frenchspacing):
	* texinfo/texinfo.texi (dmn):
	* texinfo/texinfo.texi (Inserting Accents):
	* texinfo/texinfo.texi (Inserting Quotation Marks):
	* texinfo/texinfo.texi (Dots Bullets):
	* texinfo/texinfo.texi (dots):
	* texinfo/texinfo.texi (bullet):
	* texinfo/texinfo.texi (TeX and copyright):
	* texinfo/texinfo.texi (tex):
	* texinfo/texinfo.texi (copyright symbol):
	* texinfo/texinfo.texi (registered symbol):
	* texinfo/texinfo.texi (euro):
	* texinfo/texinfo.texi (pounds):
	* texinfo/texinfo.texi (textdegree):
	* texinfo/texinfo.texi (minus):
	* texinfo/texinfo.texi (geq leq):
	* texinfo/texinfo.texi (math):
	* texinfo/texinfo.texi (Click Sequences):
	* texinfo/texinfo.texi (Glyphs):
	* texinfo/texinfo.texi (Glyphs Summary):
	* texinfo/texinfo.texi (result):
	* texinfo/texinfo.texi (expansion):
	* texinfo/texinfo.texi (Print Glyph):
	* texinfo/texinfo.texi (Error Glyph):
	* texinfo/texinfo.texi (Equivalence):
	* texinfo/texinfo.texi (Point Glyph):
	* texinfo/texinfo.texi (Breaks):
	* texinfo/texinfo.texi (Break Commands):
	* texinfo/texinfo.texi (Line Breaks):
	* texinfo/texinfo.texi (- and hyphenation):
	* texinfo/texinfo.texi (allowcodebreaks):
	* texinfo/texinfo.texi (w):
	* texinfo/texinfo.texi (tie):
	* texinfo/texinfo.texi (sp):
	* texinfo/texinfo.texi (page):
	* texinfo/texinfo.texi (group):
	* texinfo/texinfo.texi (need):
	* texinfo/texinfo.texi (Definition Commands):
	* texinfo/texinfo.texi (Def Cmd Template):
	* texinfo/texinfo.texi (Def Cmd Continuation Lines):
	* texinfo/texinfo.texi (Optional Arguments):
	* texinfo/texinfo.texi (deffnx):
	* texinfo/texinfo.texi (Def Cmds in Detail):
	* texinfo/texinfo.texi (Functions Commands):
	* texinfo/texinfo.texi (Variables Commands):
	* texinfo/texinfo.texi (Typed Functions):
	* texinfo/texinfo.texi (Typed Variables):
	* texinfo/texinfo.texi (Data Types):
	* texinfo/texinfo.texi (Abstract Objects):
	* texinfo/texinfo.texi (Object-Oriented Variables):
	* texinfo/texinfo.texi (Object-Oriented Methods):
	* texinfo/texinfo.texi (Defining Macros):
	* texinfo/texinfo.texi (Invoking Macros):
	* texinfo/texinfo.texi (Macro Details):
	* texinfo/texinfo.texi (alias):
	* texinfo/texinfo.texi (definfoenclose):
	* texinfo/texinfo.texi (Hardcopy):
	* texinfo/texinfo.texi (Use TeX):
	* texinfo/texinfo.texi (Format with tex/texindex):
	* texinfo/texinfo.texi (Format with texi2dvi):
	* texinfo/texinfo.texi (Print with lpr):
	* texinfo/texinfo.texi (Within XEmacs):
	* texinfo/texinfo.texi (Texinfo Mode Printing):
	* texinfo/texinfo.texi (Compile-Command):
	* texinfo/texinfo.texi (Requirements Summary):
	* texinfo/texinfo.texi (Preparing for TeX):
	* texinfo/texinfo.texi (Overfull hboxes):
	* texinfo/texinfo.texi (smallbook):
	* texinfo/texinfo.texi (A4 Paper):
	* texinfo/texinfo.texi (pagesizes):
	* texinfo/texinfo.texi (Cropmarks and Magnification):
	* texinfo/texinfo.texi (PDF Output):
	* texinfo/texinfo.texi (Obtaining TeX):
	* texinfo/texinfo.texi (Creating and Installing Info Files):
	* texinfo/texinfo.texi (Creating an Info File):
	* texinfo/texinfo.texi (makeinfo advantages):
	* texinfo/texinfo.texi (Invoking makeinfo):
	* texinfo/texinfo.texi (makeinfo options):
	* texinfo/texinfo.texi (Pointer Validation):
	* texinfo/texinfo.texi (makeinfo in XEmacs):
	* texinfo/texinfo.texi (texinfo-format commands):
	* texinfo/texinfo.texi (Batch Formatting):
	* texinfo/texinfo.texi (Tag and Split Files):
	* texinfo/texinfo.texi (Installing an Info File):
	* texinfo/texinfo.texi (Directory File):
	* texinfo/texinfo.texi (New Info File):
	* texinfo/texinfo.texi (Other Info Directories):
	* texinfo/texinfo.texi (Installing Dir Entries):
	* texinfo/texinfo.texi (Invoking install-info):
	* texinfo/texinfo.texi (Generating HTML):
	* texinfo/texinfo.texi (HTML Translation):
	* texinfo/texinfo.texi (HTML Splitting):
	* texinfo/texinfo.texi (HTML CSS):
	* texinfo/texinfo.texi (HTML Xref):
	* texinfo/texinfo.texi (HTML Xref Link Basics):
	* texinfo/texinfo.texi (HTML Xref Node Name Expansion):
	* texinfo/texinfo.texi (HTML Xref Command Expansion):
	* texinfo/texinfo.texi (HTML Xref 8-bit Character Expansion):
	* texinfo/texinfo.texi (HTML Xref Mismatch):
	* texinfo/texinfo.texi (Command List):
	* texinfo/texinfo.texi (Command Syntax):
	* texinfo/texinfo.texi (Tips):
	* texinfo/texinfo.texi (Sample Texinfo Files):
	* texinfo/texinfo.texi (Short Sample Texinfo File):
	* texinfo/texinfo.texi (GNU Sample Texts):
	* texinfo/texinfo.texi (Invoking sample):
	* texinfo/texinfo.texi (GNU Free Documentation License):
	* texinfo/texinfo.texi (Index):
	* texinfo/texinfo.texi (Verbatim Copying License):
	* texinfo/texinfo.texi (All-permissive Copying License):
	* texinfo/texinfo.texi (Include Files):
	* texinfo/texinfo.texi (Using Include Files):
	* texinfo/texinfo.texi (texinfo-multiple-files-update):
	* texinfo/texinfo.texi (Include Files Requirements):
	* texinfo/texinfo.texi (Sample Include File):
	* texinfo/texinfo.texi (Include Files Evolution):
	* texinfo/texinfo.texi (Headings):
	* texinfo/texinfo.texi (Headings Introduced):
	* texinfo/texinfo.texi (Heading Format):
	* texinfo/texinfo.texi (Heading Choice):
	* texinfo/texinfo.texi (Custom Headings):
	* texinfo/texinfo.texi (Catching Mistakes):
	* texinfo/texinfo.texi (makeinfo Preferred):
	* texinfo/texinfo.texi (Debugging with Info):
	* texinfo/texinfo.texi (Debugging with TeX):
	* texinfo/texinfo.texi (Using texinfo-show-structure):
	* texinfo/texinfo.texi (Using occur):
	* texinfo/texinfo.texi (Running Info-Validate):
	* texinfo/texinfo.texi (Using Info-validate):
	* texinfo/texinfo.texi (Unsplit):
	* texinfo/texinfo.texi (Tagifying):
	* texinfo/texinfo.texi (Splitting):
	* texinfo/texinfo.texi (Refilling Paragraphs):
	* texinfo/texinfo.texi (Command and Variable Index):
	* texinfo/texinfo.texi (General Index):
	* texinfo/version.texi: New file.
	Sync with FSF 23.1.92.  Make new directory to hold the files needed
	to generate texinfo.info, since there are three such files now.

2010-02-19  Ben Wing  <ben@xemacs.org>

	* Makefile:
	* Makefile (src_files1):
	* Makefile (DIR):
	* Makefile (texinfo-srcs):
	* Makefile ($(INFODIR)/widget.info):
	* Makefile ($(INFODIR)/texinfo.info):
	* Makefile (.PHONY):
	* Makefile (texinfo.dvi):
	* Makefile (texinfo.pdf):
	* Makefile ($(HTMLDIR)/widget.html):
	* Makefile ($(HTMLDIR)/texinfo.html):
	Incorporate texinfo.texi moving to a subdirectory texinfo/.
	Do some tricks to reduce the amount of duplication while still
	maintaining compatible with non-GNU make (at least, with
	Solaris make).
		
	* doclicense.texi: New file.
	* info.texi:
	* info.texi (Top):
	* info.texi (Getting Started):
	* info.texi (Help-Small-Screen):
	* info.texi (Help):
	* info.texi (Help-P):
	* info.texi (Help-^L):
	* info.texi (Help-Inv):
	* info.texi (Help-]):
	* info.texi (Help-M):
	* info.texi (Help-FOO):
	* info.texi (Help-Xref):
	* info.texi (Help-Int):
	* info.texi (Help-Q):
	* info.texi (Advanced):
	* info.texi (Search Text):
	* info.texi (Search Index):
	* info.texi (Go to node):
	* info.texi (Choose menu subtopic):
	* info.texi (Create Info buffer):
	* info.texi (XEmacs Info Variables):
	* info.texi (Expert Info):
	* info.texi (Add):
	* info.texi (Menus):
	* info.texi (Cross-refs):
	* info.texi (Help-Cross):
	* info.texi (Tags):
	* info.texi (Checking):
	* info.texi (Index):
	* texinfo.tex:
	* texinfo.tex (paragraphindent{%):
	* texinfo.tex (sectionheading will have):
	* texinfo.tex (chapterzzz{#3}%):
	* texinfo.tex (subsubsection = \numberedsubsubsec):
	* texinfo.tex (subsubsection = \appendixsubsubsec):
	* texinfo.tex (subsubsection = \unnumberedsubsubsec):
	* texinfo.tex (sectionheading{#1}{sec}{Ynumbered}{\the\chapno.\the\secno}%):
	* texinfo.tex (sectionheading{#1}{sec}{Yappendix}{\appendixletter.\the\secno}%):
	* texinfo.tex (sectionheading{#1}{sec}{Ynothing}{\the\unnumberedno.\the\secno}%):
	* texinfo.tex (sectionheading{#1}{subsec}{Ynumbered}{\the\chapno.\the\secno.\the\subsecno}%):
	* texinfo.tex (sectionheading{#1}{subsec}{Yappendix}%):
	* texinfo.tex (sectionheading{#1}{subsec}{Ynothing}%):
	* texinfo.tex (sectionheading{#1}{subsubsec}{Ynumbered}%):
	* texinfo.tex (sectionheading{#1}{subsubsec}{Yappendix}%):
	* texinfo.tex (sectionheading{#1}{subsubsec}{Ynothing}%):
	* texinfo.tex (sectionheading{#1}{subsubsec}{Yomitfromtoc}{}):
	* texinfo.tex (sectionheading to do the printing.):
	* texinfo.tex (sectionlevel}{#1}{#4}%):
	* texinfo.tex (sectionheading, q.v.):
	Sync with FSF 23.1.92.

2010-02-10  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Top): Update menu.
	(Legacy Versions): Update next pointer.
	(Bleeding Edge):
	(Q11.0.1):
	(Q11.0.2):
	(Q11.0.3):
	(Q11.0.4):
	(Q11.0.5):
	(Q11.1.1):
	(Q11.2.1):
	(Q11.2.2):
	(Q11.2.3):
	(Q11.2.4):
	(Q11.2.5):
	(Q11.2.6):
	(Q11.2.7):
	New nodes, describing repositories and VCS usage.

2010-02-08  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (How Lisp Objects Are Represented in C):
	* internals/internals.texi (Allocation of Objects in XEmacs Lisp):
	DEC Alpha is hardly the only 64-bit processor any more.
	Also, ERROR_CHECK_TYPECHECK is now ERROR_CHECK_TYPES.

2010-02-08  Jerry James  <james@xemacs.org>

	* emodules.texi: Relicense as GPL v2 or later, using J. Kean
	Johnston's blanket permission for such relicensing of his works.

2010-02-05  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (A Summary of the Various XEmacs Modules):
	* internals/internals.texi (Conversion to and from External Data):
	* internals/internals.texi (General Guidelines for Writing Mule-Aware Code):
	Correct names of files renamed common -> xlike.
	Fix up outdated explanation of old-style DFC conversion macros.
	Add a section on the different types of character and their uses,
	taken from a long comment in lisp.h.

2010-01-27  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (lrecords):
	* internals/internals.texi (The DFC API):
	* internals/internals.texi (Conversion to and from External Data):
	* internals/internals.texi (Mule-izing Code):
	* internals/internals.texi (Pervasive changes throughout XEmacs sources):
	* internals/internals.texi (Ben's README):
	* internals/internals.texi (Future Work -- Localized Text/Messages):
	* emodules.texi (Defining Variables):
	Rename:

	write_c_string -> write_cistring
	build_intstring -> build_istring
	build_string -> build_cistring
	build_ext_string -> build_extstring
	make_ext_string -> make_extstring
	buffer_insert_c_string -> buffer_insert_ascstring
	intern_int -> intern_istring

	See comment in src/ChangeLog about this.

2010-02-03  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (Top):
	* internals/internals.texi (Evaluation; Stack Frames; Bindings):
	* internals/internals.texi (Ben's README):
	* internals/internals.texi (Consoles; Devices; Frames; Windows):
	* internals/internals.texi (Window Hierarchy):
	* internals/internals.texi (The Window Object):
	* internals/internals.texi (Modules for the Basic Displayable Lisp Objects):
	* internals/internals.texi (Window-System Support):
	* internals/internals.texi (Creating a Window-System Type):
	* internals/internals.texi (Discussion -- Garbage Collection):
	Update the part at the top about how to maintain the file with
	more tips.

	Add a chapter on "window-system support" describing in a general
	way how the support for different window systems/device types
	works, including the separation between device-independent and
	device-dependent parts, device methods, the specific device types
	and the "xlike" pseudo-type.

2010-01-31  Aidan Kehoe  <kehoea@parhasard.net>

	* xemacs/programs.texi (Defuns): 
	* lispref/variables.texi (Local Variables, Defining Variables)
	(Setting Variables, Default Value):
	* lispref/symbols.texi (Definitions): 
	* lispref/searching.texi (Saving Match Data): 
	* lispref/positions.texi (Excursions, Narrowing):
	* lispref/objects.texi (Primitive Function Type): 
	* lispref/macros.texi (Defining Macros, Backquote): 
	* lispref/lispref.texi (Top): 
	* lispref/intro.texi (A Sample Function Description):
	* lispref/help.texi (Help Functions):
	* lispref/functions.texi (What Is a Function, Simple Lambda)
	(Defining Functions, Calling Functions, Anonymous Functions):
	* lispref/frames.texi (Input Focus):
	* lispref/eval.texi (Forms, Function Indirection)
	(Special Operators, Quoting):
	* lispref/edebug-inc.texi (Instrumenting)
	(Specification Examples):
	* lispref/debugging.texi (Internals of Debugger):
	* lispref/control.texi (Control Structures, Sequencing):
	(Conditionals, Combining Conditions, Iteration):
	(Catch and Throw, Handling Errors):
	* lispref/commands.texi (Defining Commands, Using Interactive):
	Terminology change; special operator -> special form. 

	Don't attempt to change this in texinfo.texi or cl.texi, which use
	macros I don't understand.

	* lispref/macros.texi (Defining Macros): Give an anonymous macro
	example here. 
	* lispref/positions.texi (Excursions):
	Correct some documentation that called a couple of macros special
	forms.
	* lispref/searching.texi (Saving Match Data):
	Drop some documentation of how to write code that works with Emacs
	18.
	* lispref/specifiers.texi (Adding Specifications):
	Correct this; #'let-specifier is a macro, not a special operator.
	* lispref/windows.texi (Window Configurations)
	(Selecting Windows): 
	Correct this, #'save-selected-window and #'save-window-excursion
	are macros, not special operators.

2010-01-28  Jerry James  <loganjerry@gmail.com>

	* external-widget.texi: Add copyright and license boilerplate text
	based on Ben's recollections.
	* lispref/internationalization.texi (Documentation String Extraction):
	Removed, as it refers to the obsolete make-po program.

2010-01-23  Aidan Kehoe  <kehoea@parhasard.net>

	Generally: be careful to say fixnum, not integer, when talking
	about fixed-precision integral types. I'm sure I've missed
	instances, both here and in the docstrings, but this is a decent
	start.

	* lispref/text.texi (Columns): 
	Document where only fixnums, not integers generally, are accepted.
	(Registers):
	Remove some ancient char-int confoundance here.
	* lispref/strings.texi (Creating Strings, Creating Strings):
	Be more exact in describing where fixnums but not integers in
	general are accepted.
	(Creating Strings): Use a more contemporary example to illustrate
	how concat deals with lists including integers about #xFF.  Delete
	some obsolete documentation on same.
	(Char Table Types): Document that only fixnums are accepted as
	values in syntax tables.
	* lispref/searching.texi (String Search, Search and Replace):
	Be exact in describing where fixnums but not integers in general
	are accepted.
	* lispref/range-tables.texi (Range Tables): Be exact in describing
	them; only fixnums are accepted to describe ranges.
	* lispref/os.texi (Killing XEmacs, User Identification)
	(Time of Day, Time Conversion):
	Be more exact about using fixnum where only fixed-precision
	integers are accepted.
	* lispref/objects.texi (Integer Type): Be more exact (and
	up-to-date) about the possible values for
	integers. Cross-reference to documentation of the bignum extension.
	(Equality Predicates):
	(Range Table Type):
	(Array Type): Use fixnum, not integer, to describe a
	fixed-precision integer.
	(Syntax Table Type): Correct some English syntax here.
	* lispref/numbers.texi (Numbers): Change the phrasing here to use
	fixnum to mean the fixed-precision integers normal in emacs.
	Document that our terminology deviates from that of Common Lisp,
	and that we're working on it.
	(Compatibility Issues): Reiterate the Common Lisp versus Emacs
	Lisp compatibility issues.
	(Comparison of Numbers, Arithmetic Operations):
	* lispref/commands.texi (Command Loop Info, Working With Events): 
	* lispref/buffers.texi (Modification Time): 
	Be more exact in describing where fixnums but not integers in
	general are accepted.

2010-01-06  Jerry James  <james@xemacs.org>

	* internals/internals.texi (Debugging and Testing): Document
	valgrind configuration and use.

2009-12-21  Jerry James  <james@xemacs.rg>

	* internals/internals.texi (A Summary of the Various XEmacs Modules):
	Remove references to OffiX support files.
	* lispref/dragndrop.texi (Drag and Drop): Remove reference to OffiX.
	(Supported Protocols): Ditto.
	(OffiX DND): Remove.

2009-12-10  Jerry James  <james@xemacs.org>

	* lispref/processes.texi (Functions that Create Subprocesses): Refer
	to etags instead of the obsolete wakeup program.

2009-12-09  Jerry James  <james@xemacs.org>

	* internals/internals.texi (A Summary of the Various XEmacs Modules):
	Remove references to xmu.c and xmu.h.
	(Modules for Interfacing with X Windows): Ditto.

2010-01-09  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/objects.texi (Hash Table Type):
	* lispref/hash-tables.texi (Introduction to Hash Tables):
	Use keywords, not ordinary symbols, in the hash table read syntax;
	document that we do accept the ordinary symbols for the sake of
	backward-compatiblity.

2009-11-10  Jerry James  <james@xemacs.org>

	* internals/internals.texi (XEmacs from the Perspective of Building):
	Remove reference to dynodump.
	(A Summary of the Various XEmacs Modules): Remove references to
	deleted files.
	(Low-Level Modules): Ditto.
	(Modules for the Basic Displayable Lisp Objects): Remove reference to
	NeXTstep.
	* lispref/os.texi (Operating System Environment): Remove references to
	old unsupported systems.
	* make-stds.texi (Variables for Installation Directories): Likely
	insufficient update to list of current operating systems.
	* xemacs-faq.texi (Q1.2.2: What versions of Unix does XEmacs run on?):
	Ditto.

2009-11-08  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/objects.texi (Equality Predicates): 
	Document #'equalp here, as well as #'equal and #'eq. 

2009-10-05  Jerry James  <james@xemacs.org>

	* beta.texi (Building XEmacs from a full distribution): Remove
	"(builtin)" from GIF line in example Installation.
	(Reporting Problems): Recommend taking screenshots as a PNG
	instead of a GIF.
	* internals/internals.texi (A Summary of the Various XEmacs Modules):
	Remove GIF-related files.
	* lispref/glyphs.texi (Image Instantiator Formats): Remove remark
	about builtin GIF support.

2009-08-11  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/numbers.texi (Bigfloat Basics): 
	Correct this documentation (ignoring for the moment that it breaks
	off in mid-sentence).

2009-08-11  Aidan Kehoe  <kehoea@parhasard.net>

	* cl.texi (Organization): 
	Remove references to the obsolete multiple-value emulating code.

2009-07-28  Stephen Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Redisplay Piece by Piece):
	Small improvements.

2009-07-08  Stephen Turnbull  <stephen@xemacs.org>

	* xemacs/custom.texi (Xft Font Customization): Change references
	from XftFont (now deprecated) to FcFontName.
	Thanks, Raymond Toy <raymond.toy@stericsson.com>.

2009-05-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.29 "garbanzo" is released.

2009-04-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi: s/@urlref/@uref/g.
	(Lstreams): Add urefs to David Beasley tutorials.

2009-04-20  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q2.5.3): 
	Add information about resolver configuration to Q2.5.3.
	Thanks to Guillaume MULLER <gm.work.lists@gmail.com>.

	* xemacs-faq.texi (Top): Update menu.
	* xemacs-faq.texi (Installation): Update menu.

2009-02-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q3.0.12): New node for Meta key on Mac.
	(Top):
	(Editing):
	(Q3.0.11):
	(Q3.1.1):
	Fix up Next/Prev/Menu references.

2009-02-04  Aidan Kehoe  <kehoea@parhasard.net>

	* xemacs/xemacs.texi (Top): 
	* xemacs/misc.texi (Emulation): 
	* xemacs/building.texi (Lisp Libraries): 
	(Compiling Libraries): 
	Remove any reference to mocklisp as an active technology.
	Also remove documentation of the related #'set-gosmacs-bindings,
	which is no longer available.

2008-10-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q5.0.7): Fix broken instructions on use of
	antialiased fonts.

2008-08-31  Aidan Kehoe  <kehoea@parhasard.net>

	* xemacs-faq.texi (Q5.0.7): Add a section on how one can use
	antialiased fonts under X11; thank you Giacomo Boffi. 
	(Q1.0.3): Clarify pronunciation using a serious phonetic
	alphabet. 

2008-07-26  Ville Skyttä  <scop@xemacs.org>

	* xemacs/custom.texi, xemacs/frame.texi, xemacs/mule.texi,
	xemacs/packages.texi, xemacs/programs.texi, xemacs/trouble.texi:
	Spelling fixes.

2008-07-26  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/objects.texi (Character Type):
	Document the error provoked when the reader sees an over-long
	hexadecimal constant.

2008-07-26  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/variables.texi (Extent): 
	Correct a misspelling of macros, add a needed space. Thank you
	John Paul Wallington, thank you Stephen Turnbull. 

2008-05-29  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/objects.texi (Equality Predicates): 
	Expand on bignum equality; correct an omitted word in the last
	commit. 

2008-05-27  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/objects.texi (Equality Predicates): 
	Cross reference to the section on comparison of numbers when
	talking about using #'eq with integers; also mention that
	#'eq gives t when passed identical integers, and that #'char= is
	also available there.

2008-05-21  Aidan Kehoe  <kehoea@parhasard.net>

	* internals/internals.texi (Ben's README): 
	Add a couple of @itemize / @end itemize pairs, to prevent
	#'batch-texinfo-format choking on the input. 

2008-01-20  Aidan Kehoe  <kehoea@parhasard.net>

	* xemacs/cmdargs.texi (Command Switches): 
	Describe --script, -script. 

2008-02-27  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Discussion -- KKCC):
	(Discussion -- Incremental Collector):
	New nodes.
	(Top):
	(Discussion -- Garbage Collection):
	(Discussion -- Pure Space):
	Adjust pointers and menus for new nodes.

	(lrecords): Remark that lcrecords are obsolete.

2007-12-17  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/strings.texi (Formatting Strings):
	Document %b for binary output.

2007-12-10  Ville Skyttä  <scop@xemacs.org>

	* internals/internals.texi: Spelling fixes.

2007-12-07  Ville Skyttä  <scop@xemacs.org>

	* beta.texi, emodules.texi, term.texi, termcap.texi, texinfo.texi,
	widget.texi, xemacs-faq.texi: Spelling fixes.

2007-11-28  Aidan Kehoe  <kehoea@parhasard.net>

	* internals/internals.texi (Ibytes and Ichars):
	Cross reference to the Mule docs describing these typedefs,
	instead of saying Not yet documented. 

2007-11-14  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/objects.texi (String Type):
	Describe how one can include a trailing backslash in a raw string,
	by means of the Unicode escape syntax. 

2007-11-14  Aidan Kehoe  <kehoea@parhasard.net>

	* xemacs/keystrokes.texi (Character Representation):
	Clarify the description of which characters are displayed as
	themselves and which as octal escapes bzw. "control" characters
	with an initial caret. 

2007-10-15  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (info_files): Sync nt/xemacs.mak and man/Makefile.
	Sort enries to easy future syncs.

2007-09-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/searching.texi (Replacing Match): Document the escapes
	for changing case in `replace-match'.  Document the change to
	STRBUFFER to permit subexpressions in string replacement.

2007-09-30  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (TEXI2HTML_NOSPLIT): New.
	* Makefile ($(HTMLDIR)/beta.html): Use TEXI2HTML_NOSPLIT.
	* Makefile ($(HTMLDIR)/xemacs-faq.html): Ditto.

2007-09-30  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (TEXI2HTML): Refactor TEXI2HTML for use by
	xemacsweb/Documentation/Makefile.

2007-08-25  Adrian Aichner  <adrian@xemacs.org>

	* internals/internals.texi (Through Version 18): Fix error in
	Emacs Timeline URL.
	* internals/internals.texi (Better Rendering Support -- Configuration with the Interim Patches):

2007-06-27  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/variables.texi (Extent):
	Mention that lexical scope is available using lexical-let and
	lexical-let* in cl-macs, instead of ignoring them entirely. 

2007-05-21  Ville Skyttä  <scop@xemacs.org>

	* internals/internals.texi: Fix corrupted/oddly encoded chars.
	* lispref/ldap.texi: Ditto.

2007-05-21  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.28 "fuki" is released.

2007-05-15  Aidan Kehoe  <kehoea@parhasard.net>

	* internals/internals.texi:
	Replace an inaccurate description of the read syntax of a Kanji
	character with one using the recently-added Unicode escapes. Also
	update the size of an Ichar; they're now 21-bit integers, not
	19-bit integers. 

2007-04-30  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Creating a New Console/Device/Frame Type):
	Typo fix.

2007-01-01  Malcolm Purvis  <malcolmp@xemacs.org>

	* internals/internals.texi (Ben's README): Use 'grep -F' instead
	of fgrep.

2006-11-07  Robert Pluim  <rpluim@gmail.com>

	* lispref/os.texi (User Identification): The code uses HOMEPATH,
	not HOMEDIR.

2006-11-29  Aidan Kehoe  <kehoea@parhasard.net>

	* xemacs/custom.texi (Face Resources):
	Mention that the user should use full XLFD forms for specifying
	fonts, and that Mule builds reject the short forms by
	default. Also mention the work-around to the latter design choice
	that was implemented for Ilya. 

2006-11-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi
	(Better Rendering Support -- Configuration with the Interim Patches):
	Fix examples of configuration via X resources.
	(Better Rendering Support -- Implementation): Fix description of
	xftFont resources, introduce fcFontName resource.

2006-11-11  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/faces.texi (Face Convenience Functions):
	Add information on how to specify a face's font for a given Mule
	charset. 
	
	* lispref/specifiers.texi (Specifiers):
	* lispref/specifiers.texi (Simple Specifier Usage):
	* lispref/specifiers.texi (Specifiers In-Depth):
	* lispref/specifiers.texi (Specifier Tag Functions):
	* lispref/specifiers.texi (Specifier Instantiation Functions):
	Update the documentation of specifiers to reflect the new support
	for Mule character sets and associating tags with them. 

2006-08-05  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/objects.texi (String Type):
	Give details of the raw string syntax, taken from SXEmacs and
	Python. 

2006-07-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* new-users-guide/edit.texi (Insert): Document bogosity in
	vendor labeling of DEL key.
	(Numeric Argument): Remove spurious RETs from keystroke examples.
	Thanks to Michael C. Wescott <wescott@sc.rr.com>.

2006-07-16  Aidan Kehoe  <kehoea@parhasard.net>

	* xemacs/custom.texi (File Variables):
	Make it clearer that file variables are buffer-local. 
	* xemacs/custom.texi (Faces):
	"must be encoding" -> "must be encoded". 
	
2006-07-16  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/variables.texi (Creating Buffer-Local):
	Mention that buffer-local variables are created when file local
	variables are set. 
	
2006-07-08  Aidan Kehoe  <kehoea@parhasard.net>

	* internals/internals.texi (Internal String Encoding):
	Mention that UTF-8 would be a reasonable alternative encoding. 
	* internals/internals.texi (Internal Character Encoding):
	Re-arrange the description of characters to deal with 21-bit
	characters. 

2006-06-03  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/mule.texi (CCL Syntax):
	* lispref/mule.texi (CCL Statements):
	Describe the mule-to-unicode and unicode-to-mule statements;
	rename the section they are described in.
	
2006-05-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q2.2.3): New node.
	(Q2.2.2, Q2.3.1): Fix navigation references.
	(Top, Installation): Add to menus.

2006-05-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.27 "fiddleheads" is released.

2006-05-09  Stephen J. Turnbull  <stephen@xemacs.org>

	* beta.texi (Building Beta XEmacs): Rename 'Compiling' -> 'Building'.
	(Reporting Problems): Improve it, make it a top-level node, add
	some vertical spacing to make node breaks more visible.
	(Getting the Source): Flesh it out a bit and move it to the
	Building Beta XEmacs node.

2006-05-09  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs/custom.texi (Xft Font Customization): New node.
	(Faces): Create menu, add new node.
	* xemacs/xemacs.texi (Top): add new node to detail menu.

2006-04-29  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/objects.texi (Character Type):
	Document the Unicode syntax for characters in characters and
	strings. 

2006-04-23  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi:  Run texinfo-master-menu.
	(Creating a New Console/Device/Frame Type): New node.

2006-03-31  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.26 "endive" is released.

2006-03-31  Stephen J. Turnbull  <stephen@xemacs.org>

	Miscellaneous doc cleanup, parts 2-4: move CHANGES-msw,
	TODO.ben-mule-21-5, README.ben-mule-21-5, and
	README.ben-separate-stderr to Internals Manual.

	* internals/internals.texi (Ben's TODO list): 
	(CHANGES from 21.4-windows branch):
	(Ben's README):
	(Ben's separate stderr notes):
	New nodes.

	(Subprocesses): Add "Ben's separate stderr notes" to menu.
	(The Great Mule Merge of March 2002): Add "Ben's TODO list" and
	"Ben's README" to menu.
	(Interface to MS Windows): Add "CHANGES from 21.4-windows branch"
	to menu.

	(Top): Update detailmenu.

2006-03-30  Stephen J. Turnbull  <stephen@xemacs.org>

	Miscellaneous doc cleanup, part 1: move CHANGES-ben-mule to
	Internals Manual.

	* internals/internals.texi (The Great Mule Merge of March 2002):
	Insert CHANGES-ben-mule here, and reformat for Texinfo.

2006-02-26  Mike Sperber  <mike@xemacs.org>

	* xemacs/building.texi (External Lisp): Document that `run-lisp'
	needs the os-utils package.

2006-02-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.25 "eggplant" is released.

2005-11-25  Mike Sperber  <mike@xemacs.org>

	* lispref/packaging.texi (The User View): 
	* xemacs/startup.texi (Startup Paths): 
	* xemacs-faq.texi (Q2.1.6): Document new configure options and
	environment variables for
	package locations.

2005-12-24  Aidan Kehoe  <kehoea@parhasard.net>

	* xemacs/keystrokes.texi (Keystrokes): 
	Add new node on keyboards with which one can't type Latin.  
	* xemacs/keystrokes.texi (Non-Latin keyboards): 
	Describe the support for falling back to a US key layout on 
 	keyboards where typing the Roman alphabet is difficult.  

2005-12-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.24 "dandelion" is released.

2005-12-09  Malcolm Purvis  <malcolmp@xemacs.org>

	* internals/internals.texi (The configure Script):  Documented
	more fully the behaviour of complex options.  Provided examples.

2005-12-03  Adrian Aichner  <adrian@xemacs.org>

	* custom.texi (Declaring Variables): Typo fixes.

2005-11-29  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs/custom.texi (Faces): Describe some of the more important
	font naming syntaxes under `set-face-font'.  Fix a typo.

2005-11-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Working with Lisp Objects): Explain
	better why DEFSYMBOL is usually preferable to intern.

2005-11-08  Malcolm Purvis  <malcolmp@xemacs.org>

	* internals/internals.texi (The configure Script):  Added the
	definition of the new macro XE_HELP_SUBSECTION.

2005-11-13  Ben Wing  <ben@xemacs.org>

	* Makefile:
	Add targets distclean-noconfig, realclean-noconfig, extraclean-noconfig.
	Do some refactoring for cleanliness.

2005-11-13  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (Top):
	* internals/internals.texi (CVS Techniques):
	* internals/internals.texi (Creating a Branch):
	* internals/internals.texi (Merging a Branch into the Trunk):
	Add node on Creating a Branch.  Update info concerning problems
	with rtag on symlinks. (#### Is this still valid?)

2005-10-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.23 "daikon" is released.

2005-10-20  Malcolm Purvis  <malcolmp@xemacs.org>

	* xemacs-faq.texi (Q1.2.2):
	* xemacs-faq.texi (Q2.1.1):
	* xemacs-faq.texi (Q2.1.6):
	* xemacs-faq.texi (Q2.2.1):
	* xemacs-faq.texi (Q2.3.6):
	* xemacs-faq.texi (Q2.4.3):
	* xemacs-faq.texi (Q2.4.4):
	* xemacs-faq.texi (Q2.4.7):
	* xemacs-faq.texi (Q5.3.3):
	* xemacs-faq.texi (Q6.0.8):
	* xemacs-faq.texi (Q7.2.1):
	Add 21.5 specific examples of configure options in addition to the
	existing 21.4 ones.

2005-10-15  Malcolm Purvis  <malcolmp@xemacs.org>

	* internals/internals.texi: "API's" -> "APIs".  This fixes
	problems generating dvi and pdf versions.
	* internals/internals.texi (The configure Script):
	Describe the use of XE_MERGED_ARG.

2005-10-13  Ben Wing  <ben@xemacs.org>

	* xemacs-faq.texi (Top):
	* xemacs-faq.texi (External Subsystems):
	* xemacs-faq.texi (Q5.4.4):
	* xemacs-faq.texi (Q5.4.5):
	* xemacs-faq.texi (Q5.4.6):
	Add question about need to run `rebaseall' under Cygwin.

2005-10-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* emodules.texi (Distribution with XEmacs): New node describing
	organization of module-related code in top-level configure.ac and
	src/Makefile.in.in.

2005-09-27  Adrian Aichner  <adrian@xemacs.org>

	* lispref/compile.texi (Compilation Options): Lowercase SYMBOL
	argument in `byte-compile-print-gensym' documentation, as
	suggested by Stephen.

2005-09-27  Adrian Aichner  <adrian@xemacs.org>

	* lispref/packaging.texi: Get file to compile with teinfmt.el.
	* lispref/packaging.texi (Packaging): Ditto.
	* lispref/packaging.texi (Package Overview): Ditto.
	* lispref/packaging.texi (The User View): Ditto.
	* lispref/packaging.texi (The Library Maintainer View): Ditto.
	* lispref/packaging.texi (Infrastructure): Ditto.
	* lispref/packaging.texi (Obtaining): Ditto.
	* lispref/packaging.texi (Local.rules File): Ditto.
	* lispref/packaging.texi (package-info.in): Ditto.
	* lispref/packaging.texi (Makefile): Ditto.
	* lispref/packaging.texi (Documenting Packages): Ditto.

2005-09-27  Adrian Aichner  <adrian@xemacs.org>

	* internals/internals.texi (A Summary of the Various XEmacs
	Modules): Get file to compile with texinfmt.el.
	* internals/internals.texi (Windows Build Flags): Ditto.

2005-09-26  Ben Wing  <ben@xemacs.org>

	* lispref/glyphs.texi (Images):
	* lispref/glyphs.texi (Image Instantiators):
	* lispref/glyphs.texi (Image Instantiator Formats):
	* lispref/glyphs.texi (Image Instances):
	* lispref/glyphs.texi (Image Instance Functions):
	* lispref/glyphs.texi (Creating Glyphs):
	* lispref/glyphs.texi (Lisp API to Native Widgets):
	* lispref/glyphs.texi (Glyph Properties):
	* lispref/glyphs.texi (Glyph Examples):
	* lispref/lispref.texi (Top):
	* lispref/specifiers.texi (Specifiers):
	* lispref/specifiers.texi (Introduction to Specifiers):
	* lispref/specifiers.texi (Simple Specifier Usage):
	* lispref/specifiers.texi (Specifiers In-Depth):
	* lispref/specifiers.texi (Specifier Instantiation):
	* lispref/specifiers.texi (Retrieving Specifications):
	* lispref/specifiers.texi (Specifier Tag Functions):
	* lispref/specifiers.texi (Specifier Validation Functions):
	Use "instantiation" not "instancing".  Fix some places where
	"specifier" is used to mean "instantiator".

2005-09-25  Adrian Aichner  <adrian@xemacs.org>

	* lispref/compile.texi (Compilation Options): Supply missing
	argument to @var{}, using same SYMBOL as in variable docstring of
	`byte-compile-print-gensym'.

2005-09-14  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.22 "cucumber" is released.

2005-07-20  Didier Verna  <didier@xemacs.org>

	* lispref/faces.texi (Basic Face Functions): Rephrase the face
	aliasing paragraph following a suggestion from Stephen J.
	Turnbull.

2005-07-19  Didier Verna  <didier@xemacs.org>

	* lispref/faces.texi (Basic Face Functions): Document the face
	aliasing feature.

2005-07-17  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/commands.texi (Converting Events):
	Give details on the deprecated ALLOW-NON-ASCII argument to
	event-to-character, and why you shouldn't use it.

2005-06-26  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/commands.texi (Converting Events):
	* lispref/keymaps.texi (Key Sequences):
	Stop pretending ASCII is an eight-bit character set, and remove
	documentation of event-to-character's vanished fourth argument.

	* internals/internals.texi (Old Future Work -- Improvements in
	support for non-ASCII (European) keysyms under X):
	Rename the ascii-character property.

2005-06-19  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/building.texi (Building XEmacs and Object Allocation):
	Pure storage has been gone for half a decade or more.
	* lispref/mule.texi (Internationalization Terminology):
	Phrase stuff a little more clearly, compare Mule with Unicode.
	* lispref/lispref.texi (Top):
	Take out info on pure storage.

2005-05-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.21 "corn" is released.

2005-05-10  Aidan Kehoe  <kehoea@parhasard.net>

	* xemacs-faq.texi (Q3.2.5): (setq text-mode-hook
	'turn-on-auto-fill) is not a good idea.

2005-05-10  Aidan Kehoe  <kehoea@parhasard.net>

	* xemacs/sending.texi (Sending Mail):Document that sendmail.el is
        underfeatured and not getting better anytime soon; suggest using
        another mailer.

2005-05-05  Aidan Kehoe  <kehoea@parhasard.net>

	* xemacs/building.texi (Lisp Modes):
	* xemacs/building.texi (Lisp Interaction):
	* xemacs/entering.texi (Entering Emacs):
	* xemacs/menus.texi (File Menu):
	* xemacs/text.texi (Auto Fill):
	None of the keymaps I have access to have linefeed keys; they all
	use Return. As such, for new users, C-j is really the only option
	for evaluation in Lisp interaction mode, and should be documented
	as such.

2005-04-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi
	(Better Rendering Support -- Modern Font Support):
	(Modern Font Support -- Font Concepts):
	(Modern Font Support -- fontconfig):
	(Modern Font Support -- Xft):
	New nodes describing the Lisp API.
	(Future Work -- Better Rendering Support):
	Add Better Rendering Support -- Modern Font Support to menu.

2005-04-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs/custom.texi (X Resources): Improve wording.

2005-03-13  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs/custom.texi (Minor Modes): Improve general description.
	Add description of Pending Delete and Filladapt modes.
	(File Variables): Improve caution against invoking minor modes.
	(Syntax Entry): Strengthen caution against "\s ".

	* xemacs/major.texi (Major Modes): Improve accuracy of wording.
	(Mode Hooks): Describe use of hooks to invoke minor modes.

2005-04-06  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (Authorship of XEmacs): Copy authorship
	section from FAQ and comment out old info, which is quite out of
	date and full of typos.

2005-03-26  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/mule.texi (CCL Example):
	char-int -> char-to-int, and hex 41 is decimal 65, both problems
	with my previous patch pointed out by Stephen.
	* lispref/mule.texi (The actual coding system):
	Give information on the make-coding-system call, and where the
	actual package can be found.

2005-03-24  Aidan Kehoe  <kehoea@parhasard.net>

	* xemacs/custom.texi (X Resources):
	"Emacs" as the application class -> "XEmacs" as the application
	class, mention the old resource class determination behaviour, and
	how one can temporarily re-instate it.

2005-03-15  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (The XEmacs Split):
	* standards.texi (Option Table):
	Shut up makeinfo and hack-local-variables.

2005-03-14  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (How Lisp Objects Are Represented in C):
	Document compiler warnings when assert expands to empty statement.

2005-03-11  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.20 "cilantro" is released.

2005-03-05  Malcolm Purvis  <malcolmp@xemacs.org>

	* beta.texi : Change configure arguments to the new autoconf 2.5
	style configure.
	* internals/internals.texi (The Build Configuration System):  Fill
	out the details.

2005-01-19  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/mule.texi (CCL Example): Detail an implementation of the
	web's URL encoding as a CCL coding system example.

2005-02-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (The version.sh Script): New node.
	(XEmacs from the Perspective of	Building):
	(Low-Level Modules):
	(The Build Configuration System):
	(Adding Configurable Features):
	Add or update references to the version.sh node and/or file.

	(XEmacs from the Perspective of	Building): Improve text.


2005-01-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (XEmacs): Add XEmacs 21.4.16 to list.
	(The XEmacs Split): Add comments on untrue legal factoids.
	(The XEmacs Split): Add some @urefs for Jamie's commentary.

2005-02-23  Aidan Kehoe  <kehoea@parhasard.net>

	* lispref/searching.texi (Syntax of Regexps):
	Mention the \c and \C regular expression constructs; cross
	reference to the Category Table documentation.

2005-02-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (The version.sh Script): New node.
	(XEmacs from the Perspective of Building):
	(Low-Level Modules):
	(The Build Configuration System):
	(Adding Configurable Features):
	Add or update references to the version.sh node and/or file.

	(XEmacs from the Perspective of Building): Improve text.

2005-02-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Introduction to Writing C Code):
	Change "mostly warning-free" to "warning-free" to encourage
	reporting warnings as bugs.
	(The configure Script):
	Incorporate Malcolm Purvis's notes from configure.ac.  Document
	his implementations of keyword and complex options, and remove
	descriptions of my obsolete code.

2005-01-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Better Rendering Support --
	Configuration with the Interim Patches):
	Improve notes on configuration.

2004-12-15  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Better Rendering Support --
	Configuration with the Interim Patches): Menubar uses xftFont
	resource, too.

2005-02-03  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (XEmacs from the Perspective of
	Building): Mention autoconf.
	(The Modules of XEmacs): Point Next the The Build Configuration
	System and add Modules for Building XEmacs to the menu.
	(A Summary of the Various XEmacs Modules): Add Modules for
	Building XEmacs to menu, and Modules for Build Configuration,
	Modules for Compiling XEmacs, and Modules for Preloading Lisp to
	the table of sections.
	(Low-Level Modules): Point Previous to Modules for Building XEmacs.
	(Modules for Building XEmacs):
	(Modules for Build Configuration):
	(Modules for Compiling XEmacs):
	(Modules for Preloading Lisp):
	(The Build Configuration System):
	(Adding Configurable Features):
	(The configure Script):
	(The Makefile Precursors):
	New nodes.
	(Rules When Writing New C Code):
	Point Previous to The Build Configuration System.

2005-02-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.19 "chives" is released.

2005-02-03  Ben Wing  <ben@xemacs.org>

	* xemacs-faq.texi:
	* xemacs-faq.texi (Top):
	* xemacs-faq.texi (Introduction):
	* xemacs-faq.texi (Q1.2.2):
	* xemacs-faq.texi (Q1.2.5):
	* xemacs-faq.texi (Q1.2.9):
	* xemacs-faq.texi (Q1.2.10):
	* xemacs-faq.texi (Q1.2.11):
	* xemacs-faq.texi (Q1.2.12):
	* xemacs-faq.texi (Q1.4.2):
	* xemacs-faq.texi (Q1.5.2):
	* xemacs-faq.texi (Q1.5.3):
	* xemacs-faq.texi (Q1.5.4):
	* xemacs-faq.texi (Q1.5.5):
	* xemacs-faq.texi (Q1.6.6):
	* xemacs-faq.texi (Q1.7.1):
	* xemacs-faq.texi (Q1.7.2):
	* xemacs-faq.texi (Q1.7.3):
	* xemacs-faq.texi (Q1.7.4):
	* xemacs-faq.texi (Installation):
	* xemacs-faq.texi (Q2.0.1):
	* xemacs-faq.texi (Q2.0.2):
	* xemacs-faq.texi (Q2.0.3):
	* xemacs-faq.texi (Q2.0.4):
	* xemacs-faq.texi (Q2.0.5):
	* xemacs-faq.texi (Q2.1.1):
	* xemacs-faq.texi (Q2.1.2):
	* xemacs-faq.texi (Q2.1.3):
	* xemacs-faq.texi (Q2.1.4):
	* xemacs-faq.texi (Q2.1.5):
	* xemacs-faq.texi (Q2.1.6):
	* xemacs-faq.texi (Q2.1.7):
	* xemacs-faq.texi (Q2.2.1):
	* xemacs-faq.texi (Q2.2.2):
	* xemacs-faq.texi (Q2.3.1):
	* xemacs-faq.texi (Q2.3.2):
	* xemacs-faq.texi (Q2.3.3):
	* xemacs-faq.texi (Q2.3.4):
	* xemacs-faq.texi (Q2.3.5):
	* xemacs-faq.texi (Q2.3.6):
	* xemacs-faq.texi (Q2.3.7):
	* xemacs-faq.texi (Q2.3.8):
	* xemacs-faq.texi (Q2.4.1):
	* xemacs-faq.texi (Q2.4.2):
	* xemacs-faq.texi (Q2.4.3):
	* xemacs-faq.texi (Q2.4.4):
	* xemacs-faq.texi (Q2.4.5):
	* xemacs-faq.texi (Q2.4.6):
	* xemacs-faq.texi (Q2.4.7):
	* xemacs-faq.texi (Q2.4.8):
	* xemacs-faq.texi (Q2.4.9):
	* xemacs-faq.texi (Q2.4.10):
	* xemacs-faq.texi (Q2.4.11):
	* xemacs-faq.texi (Q2.4.12):
	* xemacs-faq.texi (Q2.5.1):
	* xemacs-faq.texi (Q2.5.2):
	* xemacs-faq.texi (Q2.5.3):
	* xemacs-faq.texi (Q2.5.4):
	* xemacs-faq.texi (Q2.5.5):
	* xemacs-faq.texi (Legacy Versions):
	* xemacs-faq.texi (Q10.0.1):
	* xemacs-faq.texi (Q10.0.2):
	Flesh out intro section on packages and section on installing
	packages.  Incorporate README, README.packages, BUGS, etc/PACKAGES.
	Various other changes.

2005-02-03  Stephen J. Turnbull  <stephen@xemacs.org>

	* beta.texi: Update Copyright.  Add pointer comment.

	(New packages): Remove personal names, point at jobs.html
	instead.

	(Syncing with GNU Emacs): Change "don't assume Mule" to
	"conditionalize Mule dependencies correctly".  RMS stroking: use
	"GNU", not "FSF", in sync notices.

2005-02-02  Robert Delius Royar <xemacs@frinabulax.org>

	* beta.texi (Top):
	Add reference to Index in catalog to prevent
	errors compiling with GNU makeinfo 4.5.

	* beta.texi (Syncing with GNU Emacs):
	Add forward reference to Index in next node to prevent
	errors compiling with GNU makeinfo 4.5.

	* beta.texi (Index):
	Add backward reference to Syncing with GNU Emacs to
	replace obsolete reference to Defining Variables to
	prevent errors compiling with GNU makeinfo 4.5.

2005-01-31  Ben Wing  <ben@xemacs.org>

	* xemacs/help.texi (Misc Help):
	Delete references to DISTRIB.  Point to FAQ.

	* xemacs/new.texi:
	Update sample code for version checking.

	* xemacs/xemacs.texi (Distrib):
	* xemacs/xemacs.texi (Intro):
	Delete references to DISTRIB.  Point directly to web site.
	Update stuff referring to GNU Emacs.  Delete references to Win-Emacs.

2005-01-31  Ben Wing  <ben@xemacs.org>

	* Makefile:
	* Makefile (info_files):
	* Makefile (html_files):
	* Makefile (dvi_files):
	* Makefile (pdf_files):
	* Makefile ($(INFODIR)/beta.info):
	Add beta.texi and built files.

	* xemacs-faq.texi (Top):
	* xemacs-faq.texi (Introduction):
	* xemacs-faq.texi (Q1.0.3):
	* xemacs-faq.texi (Q1.0.4):
	* xemacs-faq.texi (Q1.0.5):
	* xemacs-faq.texi (Q1.0.6):
	* xemacs-faq.texi (Q1.1.1):
	* xemacs-faq.texi (Q1.1.2):
	* xemacs-faq.texi (Q1.1.3):
	* xemacs-faq.texi (Q1.1.4):
	* xemacs-faq.texi (Q1.2.1):
	* xemacs-faq.texi (Q1.2.2):
	* xemacs-faq.texi (Q1.2.3):
	* xemacs-faq.texi (Q1.2.4):
	* xemacs-faq.texi (Q1.2.5):
	* xemacs-faq.texi (Q1.2.6):
	* xemacs-faq.texi (Q1.2.7):
	* xemacs-faq.texi (Q1.2.8):
	* xemacs-faq.texi (Q1.2.9):
	* xemacs-faq.texi (Q1.2.10):
	* xemacs-faq.texi (Q1.2.11):
	* xemacs-faq.texi (Q1.2.12):
	* xemacs-faq.texi (Q1.2.13):
	* xemacs-faq.texi (Q1.3.1):
	* xemacs-faq.texi (Q1.3.2):
	* xemacs-faq.texi (Q1.3.3):
	* xemacs-faq.texi (Q1.3.4):
	* xemacs-faq.texi (Q1.3.5):
	* xemacs-faq.texi (Q1.3.6):
	* xemacs-faq.texi (Q1.3.7):
	* xemacs-faq.texi (Q1.3.8):
	* xemacs-faq.texi (Q1.4.1):
	* xemacs-faq.texi (Q1.4.2):
	* xemacs-faq.texi (double-word): New.
	* xemacs-faq.texi (Q1.4.3):
	* xemacs-faq.texi (Q1.4.4):
	* xemacs-faq.texi (Q1.4.5):
	* xemacs-faq.texi (Q1.5.1):
	* xemacs-faq.texi (Q1.5.2):
	* xemacs-faq.texi (Q1.5.3):
	* xemacs-faq.texi (Q1.6.1):
	* xemacs-faq.texi (Q1.6.2):
	* xemacs-faq.texi (Q1.6.3):
	* xemacs-faq.texi (Q1.6.4):
	* xemacs-faq.texi (Q1.6.5):
	* xemacs-faq.texi (Q1.6.6):
	* xemacs-faq.texi (Q1.7.1):
	* xemacs-faq.texi (Q1.8.1):
	* xemacs-faq.texi (Q1.8.2):
	* xemacs-faq.texi (Q1.8.3):
	* xemacs-faq.texi (Q1.8.4):
	* xemacs-faq.texi (Q1.8.5):
	* xemacs-faq.texi (Q1.8.6):
	* xemacs-faq.texi (Q1.8.7):
	* xemacs-faq.texi (Q1.8.8):
	* xemacs-faq.texi (Q1.8.9):
	* xemacs-faq.texi (Q2.2.1):
	* xemacs-faq.texi (Q2.2.2):
	* xemacs-faq.texi (Q2.4.2):
	* xemacs-faq.texi (Advanced):
	* xemacs-faq.texi (Q7.0.1):
	* xemacs-faq.texi (Q7.0.2):
	* xemacs-faq.texi (Q7.0.3):
	* xemacs-faq.texi (Q7.0.4):
	* xemacs-faq.texi (Q7.0.5):
	* xemacs-faq.texi (Q7.0.6):
	* xemacs-faq.texi (Q7.1.1):
	* xemacs-faq.texi (Q7.1.2):
	* xemacs-faq.texi (Q7.1.3):
	* xemacs-faq.texi (Q7.1.4):
	* xemacs-faq.texi (Q7.1.5):
	* xemacs-faq.texi (Q7.1.6):
	* xemacs-faq.texi (Q7.1.7):
	* xemacs-faq.texi (Q7.1.8):
	* xemacs-faq.texi (Q7.1.9):
	* xemacs-faq.texi (Q7.1.10):
	* xemacs-faq.texi (Q7.1.11):
	* xemacs-faq.texi (Q7.2.1):
	* xemacs-faq.texi (Q7.2.2):
	* xemacs-faq.texi (Q7.2.3):
	* xemacs-faq.texi (Other Packages):
	* xemacs-faq.texi (Current Events):
	* xemacs-faq.texi (Legacy Versions):
	Major overhaul of section 1.  Add mailing list info, update
	downloading info, add info on CVS, etc.

2004-10-17  Shyamal Prasad  <shyamal@member.fsf.org>

	* xemacs/programs.texi (Program Modes): Updated it to reflect
	current status of programming modes.
	* xemacs/programs.texi (CC Mode): New section introduces CC
	Mode. Introduces customization with reference to CC Mode
	manual. Also introduce C/AWK modes in prog-modes package
	* xemacs/programs.texi (C Ident): Removed - it was
	obsolete. prog-modes package documentation now contains
	indentation description for old C mode
	* xemacs/major.texi (Mode Hooks): Add description of major mode
	hooks. Cleaned up and updated programming mode descriptions.
	* xemacs/xemacs.texi (Top): Updated Detailed Node listing for new
	CC Mode section in programs.texi


2005-01-26  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi:
	* internals/internals.texi (Through Version 18):
	* internals/internals.texi (GNU Emacs 19):
	* internals/internals.texi (GNU Emacs 20):
	Update History.

	* internals/internals.texi (Unicode support under Windows):
	Redo section on Windows 95 support for Unicode.

2005-01-19  Aidan Kehoe  <kehoea@parhasard.net>

	* man/lispref/functions.texi (Functions): Rename to "Functions and
	 Commands"
	* man/lispref/functions.texi (What Is a Function): Move the definition
	of a command further up the list, give information on a trivial
	(interactive) declaration, and cross-reference to the key binding
	detail. Cf. 87vf9wgd08.fsf@tleepslib.sk.tsukuba.ac.jp
	(comp.emacs.xemacs, 2005-01-18).
	* man/lispref/eval.texi man/lispref/lispref.texi
	  man/lispref/macros.texi man/lispref/symbols.texi
	man/lispref/variables.texi: Fix cross references.

2004-12-28  Ben Wing  <ben@xemacs.org>

	* xemacs-faq.texi (Top):
	* xemacs-faq.texi (Introduction):
	* xemacs-faq.texi (Q1.0.3):
	* xemacs-faq.texi (Q1.0.5):
	* xemacs-faq.texi (Q1.0.10):
	* xemacs-faq.texi (Q1.1.4):
	* xemacs-faq.texi (Q1.1.5):
	* xemacs-faq.texi (Q1.4.1):
	* xemacs-faq.texi (Q1.4.3):
	* xemacs-faq.texi (Q1.5.8):
	* xemacs-faq.texi (Installation):
	* xemacs-faq.texi (Q2.0.3):
	* xemacs-faq.texi (Q2.0.5):
	* xemacs-faq.texi (Q2.1.1):
	* xemacs-faq.texi (Q2.1.2):
	* xemacs-faq.texi (Q2.2.7):
	* xemacs-faq.texi (Q2.4.6):
	* xemacs-faq.texi (Editing):
	* xemacs-faq.texi (Q3.0.1):
	* xemacs-faq.texi (Q3.0.2):
	* xemacs-faq.texi (Q3.0.3):
	* xemacs-faq.texi (Q3.0.4):
	* xemacs-faq.texi (Q3.0.5):
	* xemacs-faq.texi (Q3.0.6):
	* xemacs-faq.texi (Q3.0.7):
	* xemacs-faq.texi (Q3.0.8):
	* xemacs-faq.texi (Q3.0.9):
	* xemacs-faq.texi (Q3.0.10):
	* xemacs-faq.texi (Q3.0.11):
	* xemacs-faq.texi (Q3.1.1):
	* xemacs-faq.texi (Q3.1.2):
	* xemacs-faq.texi (Q3.1.3):
	* xemacs-faq.texi (Q3.1.4):
	* xemacs-faq.texi (Q3.1.5):
	* xemacs-faq.texi (Q3.2.1):
	* xemacs-faq.texi (Q3.2.2):
	* xemacs-faq.texi (Q3.2.3):
	* xemacs-faq.texi (Q3.2.4):
	* xemacs-faq.texi (Q3.2.5):
	* xemacs-faq.texi (Q3.3.1):
	* xemacs-faq.texi (Q3.3.2):
	* xemacs-faq.texi (Q3.3.3):
	* xemacs-faq.texi (Q3.3.4):
	* xemacs-faq.texi (Q3.3.5):
	* xemacs-faq.texi (Q3.3.6):
	* xemacs-faq.texi (Q3.4.1):
	* xemacs-faq.texi (Q3.4.2):
	* xemacs-faq.texi (Display):
	* xemacs-faq.texi (Q4.0.1):
	* xemacs-faq.texi (Q4.0.2):
	* xemacs-faq.texi (Q4.0.3):
	* xemacs-faq.texi (Q4.0.4):
	* xemacs-faq.texi (my-toggle-toolbar): Removed.
	* xemacs-faq.texi (Q4.0.5):
	* xemacs-faq.texi (Q4.0.6):
	* xemacs-faq.texi (Q4.0.7):
	* xemacs-faq.texi (Q4.0.8):
	* xemacs-faq.texi (Q4.0.9):
	* xemacs-faq.texi (Q4.1.1):
	* xemacs-faq.texi (Q4.1.2):
	* xemacs-faq.texi (Q4.2.1):
	* xemacs-faq.texi (Q4.2.2):
	* xemacs-faq.texi (Q4.2.3):
	* xemacs-faq.texi (Q4.2.4):
	* xemacs-faq.texi (Q4.3.1):
	* xemacs-faq.texi (Q4.3.2):
	* xemacs-faq.texi (Q4.3.3):
	* xemacs-faq.texi (Q4.4.1):
	* xemacs-faq.texi (Q4.4.2):
	* xemacs-faq.texi (Q4.4.3):
	* xemacs-faq.texi (Q4.4.4):
	* xemacs-faq.texi (Q4.4.5):
	* xemacs-faq.texi (Q4.5.1):
	* xemacs-faq.texi (Q4.5.2):
	* xemacs-faq.texi (Q4.5.3):
	* xemacs-faq.texi (Q4.5.4):
	* xemacs-faq.texi (Q4.6.1):
	* xemacs-faq.texi (Q4.6.2):
	* xemacs-faq.texi (Q4.6.3):
	* xemacs-faq.texi (Q4.6.4):
	* xemacs-faq.texi (scroll-up): Removed.
	* xemacs-faq.texi (Q4.6.5):
	* xemacs-faq.texi (scroll-down): Removed.
	* xemacs-faq.texi (Q4.6.6):
	* xemacs-faq.texi (Q4.6.7):
	* xemacs-faq.texi (Q4.7.1):
	* xemacs-faq.texi (Q4.7.2):
	* xemacs-faq.texi (Q4.7.3):
	* xemacs-faq.texi (Q4.7.4):
	* xemacs-faq.texi (External Subsystems):
	* xemacs-faq.texi (Q5.0.1):
	* xemacs-faq.texi (Q5.0.2):
	* xemacs-faq.texi (Q5.0.3):
	* xemacs-faq.texi (Q5.0.4):
	* xemacs-faq.texi (Q5.0.5):
	* xemacs-faq.texi (Q5.0.6):
	* xemacs-faq.texi (Q5.1.1):
	* xemacs-faq.texi (Q5.1.2):
	* xemacs-faq.texi (Q5.2.1):
	* xemacs-faq.texi (Q5.2.2):
	* xemacs-faq.texi (Q5.2.3):
	* xemacs-faq.texi (Q5.2.4):
	* xemacs-faq.texi (Q5.3.1):
	* xemacs-faq.texi (Q5.3.2):
	* xemacs-faq.texi (Q5.3.3):
	* xemacs-faq.texi (Q5.3.4):
	* xemacs-faq.texi (Q5.4.1):
	* xemacs-faq.texi (Q5.4.2):
	* xemacs-faq.texi (Q5.4.3):
	* xemacs-faq.texi (Q5.4.4):
	* xemacs-faq.texi (Q5.4.5):
	* xemacs-faq.texi (Q5.5.1):
	* xemacs-faq.texi (Q5.5.2):
	* xemacs-faq.texi (Q5.5.3):
	* xemacs-faq.texi (Q5.5.4):
	* xemacs-faq.texi (Q5.5.5):
	* xemacs-faq.texi (Internet):
	* xemacs-faq.texi (Q6.0.1):
	* xemacs-faq.texi (Q6.0.2):
	* xemacs-faq.texi (Q6.0.3):
	* xemacs-faq.texi (Q6.0.4):
	* xemacs-faq.texi (Q6.0.5):
	* xemacs-faq.texi (Q6.0.6):
	* xemacs-faq.texi (Q6.0.7):
	* xemacs-faq.texi (Q6.0.8):
	* xemacs-faq.texi (Q6.0.9):
	* xemacs-faq.texi (Q6.0.10):
	* xemacs-faq.texi (Q6.0.11):
	* xemacs-faq.texi (Q6.1.1):
	* xemacs-faq.texi (Q6.1.2):
	* xemacs-faq.texi (Q6.1.3):
	* xemacs-faq.texi (Q6.1.4):
	* xemacs-faq.texi (Q6.1.5):
	* xemacs-faq.texi (Q6.1.6):
	* xemacs-faq.texi (Q6.2.1):
	* xemacs-faq.texi (Q6.2.2):
	* xemacs-faq.texi (Q6.3.1):
	* xemacs-faq.texi (Q6.3.2):
	* xemacs-faq.texi (Q6.4.1):
	* xemacs-faq.texi (Q6.4.2):
	* xemacs-faq.texi (Q6.4.3):
	* xemacs-faq.texi (Advanced):
	* xemacs-faq.texi (Q7.0.1):
	* xemacs-faq.texi (Q7.0.2):
	* xemacs-faq.texi (Q7.1.1):
	* xemacs-faq.texi (Q7.1.2):
	* xemacs-faq.texi (Q7.1.3):
	* xemacs-faq.texi (Q7.1.4):
	* xemacs-faq.texi (Q7.1.5):
	* xemacs-faq.texi (Q7.1.6):
	* xemacs-faq.texi (Q7.2.1):
	* xemacs-faq.texi (Q7.2.2):
	* xemacs-faq.texi (Q7.2.3):
	* xemacs-faq.texi (Q7.2.4):
	* xemacs-faq.texi (Q7.2.5):
	* xemacs-faq.texi (Q7.2.6):
	* xemacs-faq.texi (Q7.2.7):
	* xemacs-faq.texi (Q7.2.8):
	* xemacs-faq.texi (Q7.2.9):
	* xemacs-faq.texi (Q7.2.10):
	* xemacs-faq.texi (Q7.2.11):
	* xemacs-faq.texi (Q7.3.1):
	* xemacs-faq.texi (Q7.3.2):
	* xemacs-faq.texi (Q7.3.3):
	* xemacs-faq.texi (Q7.3.4):
	* xemacs-faq.texi (Other Packages):
	* xemacs-faq.texi (Q8.0.1):
	* xemacs-faq.texi (Q8.0.2):
	* xemacs-faq.texi (Q8.0.3):
	* xemacs-faq.texi (Q8.0.4):
	* xemacs-faq.texi (Q8.1.1):
	* xemacs-faq.texi (Q8.1.2):
	* xemacs-faq.texi (Q8.1.3):
	* xemacs-faq.texi (Q8.2.1):
	* xemacs-faq.texi (Q8.2.2):
	* xemacs-faq.texi (Q8.2.3):
	* xemacs-faq.texi (Q8.2.4):
	* xemacs-faq.texi (Current Events):
	* xemacs-faq.texi (Q9.0.1):
	* xemacs-faq.texi (my-function): Removed.
	* xemacs-faq.texi (Q9.0.2):
	* xemacs-faq.texi (Q9.0.3):
	* xemacs-faq.texi (Q9.0.4):
	* xemacs-faq.texi (Q9.0.5):
	* xemacs-faq.texi (Legacy Versions):
	Major rearrangement.  Expand to 10 sections.  Add various questions,
	mostly stubs currently.  Remove some obsolete stuff. Update a bunch
	of the links.

2004-12-15  Ville Skyttä  <scop@xemacs.org>

	* lispref/help.texi: Document 3rd arg to `make-obsolete'.

2004-12-15  Robert Delius Royar  <xemacs@frinabulax.org>

	* internals/internals.texi (Modules for the Basic Displayable Lisp
	Objects): Remove Mote in Make's eye, fix build.

2004-12-12  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Modules for the Basic Displayable Lisp
	Objects): Comment on problems, and extensions needed to handle
	native widgets properly.

2004-12-10  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Better Rendering Support --
	Implementation): Document reasons for Label Widget crash.

2004-12-07  Malcolm Purvis  <malcolmp@xemacs.org>

	* Makefile (RECURSIVE_MAKE): Removed.
	* Makefile (RECURSIVE_MAKE_ARGS): New.  The new method for
	handling parallel builds.

2004-12-05  Ben Wing  <ben@xemacs.org>

	* xemacs/packages.texi (Packages):
	* xemacs/packages.texi (Manually):
	* xemacs/packages.texi (Building Packages):
	* xemacs/packages.texi (Local.rules File):
	* xemacs/packages.texi (Available Packages):
	Add long form of Lisp Reference Manual to links.
	Add links pointing to Lisp Reference Manual for more detailed
	package discussion.

	* xemacs/xemacs-faq.texi:
	As per Adrian's suggestion, mention that Pitts Jarvis is deceased.

2004-12-05  Ben Wing  <ben@xemacs.org>

	* lispref/range-tables.texi (Range Tables):
	* lispref/range-tables.texi (Introduction to Range Tables):
	* lispref/range-tables.texi (Working With Range Tables):
	Document range-table changes.

2004-12-05  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (A History of Emacs):
	Update history section.

2004-12-05  Ben Wing  <ben@xemacs.org>

	* xemacs-faq.texi:
	* xemacs-faq.texi (fix-main-menu): New.
	* xemacs-faq.texi (fix-omitted-menu-lines): New.
	* xemacs-faq.texi (Top):
	* xemacs-faq.texi (Introduction):
	* xemacs-faq.texi (Q1.0.1):
	* xemacs-faq.texi (Q1.0.2):
	* xemacs-faq.texi (Q1.0.4):
	* xemacs-faq.texi (Q1.0.5):
	* xemacs-faq.texi (Q1.0.6):
	* xemacs-faq.texi (Q1.0.7):
	* xemacs-faq.texi (Q1.0.8):
	* xemacs-faq.texi (Q1.0.9):
	* xemacs-faq.texi (Q1.0.10):
	* xemacs-faq.texi (Q1.0.11):
	* xemacs-faq.texi (Q1.0.12):
	* xemacs-faq.texi (Q1.0.13):
	* xemacs-faq.texi (Q1.0.14):
	* xemacs-faq.texi (Q1.1.1):
	* xemacs-faq.texi (Q1.1.2):
	* xemacs-faq.texi (Q1.1.3):
	* xemacs-faq.texi (Q1.1.4):
	* xemacs-faq.texi (Q1.1.5):
	* xemacs-faq.texi (Q1.1.6):
	* xemacs-faq.texi (Q1.1.7):
	* xemacs-faq.texi (Q1.1.8):
	* xemacs-faq.texi (Q1.1.9):
	* xemacs-faq.texi (Q1.2.1):
	* xemacs-faq.texi (Q1.2.2):
	* xemacs-faq.texi (Q1.2.3):
	* xemacs-faq.texi (Q1.3.1):
	* xemacs-faq.texi (Q1.3.2):
	* xemacs-faq.texi (Q1.3.3):
	* xemacs-faq.texi (Q1.4.1):
	* xemacs-faq.texi (Q1.4.2):
	* xemacs-faq.texi (Q1.4.3):
	* xemacs-faq.texi (Q1.4.4):
	* xemacs-faq.texi (Q1.4.5):
	* xemacs-faq.texi (Q1.4.6):
	* xemacs-faq.texi (Q1.4.7):
	* xemacs-faq.texi (Q1.4.8):
	* xemacs-faq.texi (Q1.4.9):
	* xemacs-faq.texi (Q1.5.1):
	* xemacs-faq.texi (Q1.5.2):
	* xemacs-faq.texi (Q1.5.3):
	* xemacs-faq.texi (Q1.5.4):
	* xemacs-faq.texi (Q1.5.5):
	* xemacs-faq.texi (Q1.5.6):
	* xemacs-faq.texi (Q1.5.7):
	* xemacs-faq.texi (Q1.5.8):
	* xemacs-faq.texi (Installation):
	* xemacs-faq.texi (Q2.0.1):
	* xemacs-faq.texi (Q2.0.2):
	* xemacs-faq.texi (Q2.0.3):
	* xemacs-faq.texi (Q2.0.4):
	* xemacs-faq.texi (Q2.0.5):
	* xemacs-faq.texi (Q2.0.6):
	* xemacs-faq.texi (Q2.0.7):
	* xemacs-faq.texi (Q2.1.1):
	* xemacs-faq.texi (Q2.1.2):
	* xemacs-faq.texi (Q2.1.3):
	* xemacs-faq.texi (Q2.1.4):
	* xemacs-faq.texi (Q2.2.1):
	* xemacs-faq.texi (Q2.2.2):
	* xemacs-faq.texi (Q2.2.3):
	* xemacs-faq.texi (Q2.2.4):
	* xemacs-faq.texi (Q2.2.5):
	* xemacs-faq.texi (Q2.2.6):
	* xemacs-faq.texi (Q2.2.7):
	* xemacs-faq.texi (Q2.2.8):
	* xemacs-faq.texi (Q2.3.1):
	* xemacs-faq.texi (Q2.3.2):
	* xemacs-faq.texi (Q2.3.3):
	* xemacs-faq.texi (Q2.3.4):
	* xemacs-faq.texi (Q2.3.5):
	* xemacs-faq.texi (Q2.3.6):
	* xemacs-faq.texi (Q2.3.7):
	* xemacs-faq.texi (Q2.3.8):
	* xemacs-faq.texi (Q2.3.9):
	* xemacs-faq.texi (Q2.3.10):
	* xemacs-faq.texi (Q2.3.11):
	* xemacs-faq.texi (Q2.4.1):
	* xemacs-faq.texi (Q2.4.2):
	* xemacs-faq.texi (Q2.4.3):
	* xemacs-faq.texi (Q2.4.4):
	* xemacs-faq.texi (Q2.4.5):
	* xemacs-faq.texi (Q2.4.6):
	* xemacs-faq.texi (Display Subsystems):
	* xemacs-faq.texi (running-xemacs): Removed.
	* xemacs-faq.texi (Q3.0.1):
	* xemacs-faq.texi (Q3.0.2):
	* xemacs-faq.texi (Q3.0.3):
	* xemacs-faq.texi (Q3.0.4):
	* xemacs-faq.texi (Q3.0.5):
	* xemacs-faq.texi (Q3.0.6):
	* xemacs-faq.texi (foo-old-losing-code-p): Removed.
	* xemacs-faq.texi (Q3.0.7):
	* xemacs-faq.texi (Q3.0.8):
	* xemacs-faq.texi (Q3.0.9):
	* xemacs-faq.texi (Q3.0.10):
	* xemacs-faq.texi (Q3.1.1):
	* xemacs-faq.texi (Q3.1.2):
	* xemacs-faq.texi (Q3.1.3):
	* xemacs-faq.texi (Q3.1.4):
	* xemacs-faq.texi (Q3.1.5):
	* xemacs-faq.texi (Q3.2.1):
	* xemacs-faq.texi (Q3.2.2):
	* xemacs-faq.texi (Q3.2.3):
	* xemacs-faq.texi (Q3.2.4):
	* xemacs-faq.texi (Q3.2.5):
	* xemacs-faq.texi (Q3.2.6):
	* xemacs-faq.texi (Q3.2.7):
	* xemacs-faq.texi (Q3.2.8):
	* xemacs-faq.texi (Q3.2.9):
	* xemacs-faq.texi (Q3.3.1):
	* xemacs-faq.texi (Q3.3.2):
	* xemacs-faq.texi (Q3.3.3):
	* xemacs-faq.texi (Q3.3.4):
	* xemacs-faq.texi (Q3.3.5):
	* xemacs-faq.texi (Q3.3.6):
	* xemacs-faq.texi (Q3.4.1):
	* xemacs-faq.texi (Q3.4.2):
	* xemacs-faq.texi (Q3.4.3):
	* xemacs-faq.texi (Q3.4.4):
	* xemacs-faq.texi (Q3.4.5):
	* xemacs-faq.texi (Q3.4.6):
	* xemacs-faq.texi (Q3.5.1):
	* xemacs-faq.texi (Q3.5.2):
	* xemacs-faq.texi (Q3.5.3):
	* xemacs-faq.texi (Q3.5.4):
	* xemacs-faq.texi (Q3.6.1):
	* xemacs-faq.texi (Q3.6.2):
	* xemacs-faq.texi (Q3.6.3):
	* xemacs-faq.texi (Q3.7.1):
	* xemacs-faq.texi (Q3.7.2):
	* xemacs-faq.texi (Q3.7.3):
	* xemacs-faq.texi (Q3.7.4):
	* xemacs-faq.texi (Q3.7.5):
	* xemacs-faq.texi (Q3.7.6):
	* xemacs-faq.texi (Q3.7.7):
	* xemacs-faq.texi (Q3.7.8):
	* xemacs-faq.texi (Q3.8.1):
	* xemacs-faq.texi (Q3.8.2):
	* xemacs-faq.texi (Q3.8.3):
	* xemacs-faq.texi (my-toggle-toolbar): New.
	* xemacs-faq.texi (Q3.8.4):
	* xemacs-faq.texi (scroll-one-line-up): Removed.
	* xemacs-faq.texi (scroll-one-line-down): Removed.
	* xemacs-faq.texi (Q3.8.5):
	* xemacs-faq.texi (Q3.9.1):
	* xemacs-faq.texi (Q3.9.2):
	* xemacs-faq.texi (Q3.9.3):
	* xemacs-faq.texi (Q3.9.4):
	* xemacs-faq.texi (Q3.9.5):
	* xemacs-faq.texi (External Subsystems):
	* xemacs-faq.texi (Q4.0.1):
	* xemacs-faq.texi (Q4.0.2):
	* xemacs-faq.texi (Q4.0.3):
	* xemacs-faq.texi (Q4.0.4):
	* xemacs-faq.texi (Q4.0.5):
	* xemacs-faq.texi (Q4.0.6):
	* xemacs-faq.texi (global-map): Removed.
	* xemacs-faq.texi (Q4.1.1):
	* xemacs-faq.texi (Q4.1.2):
	* xemacs-faq.texi (Q4.2.1):
	* xemacs-faq.texi (Q4.2.2):
	* xemacs-faq.texi (Q4.2.3):
	* xemacs-faq.texi (Q4.2.4):
	* xemacs-faq.texi (Q4.3.1):
	* xemacs-faq.texi (Q4.3.2):
	* xemacs-faq.texi (Q4.3.3):
	* xemacs-faq.texi (Q4.3.4):
	* xemacs-faq.texi (Q4.4.1):
	* xemacs-faq.texi (Q4.4.2):
	* xemacs-faq.texi (Q4.4.3):
	* xemacs-faq.texi (Q4.4.4):
	* xemacs-faq.texi (Q4.4.5):
	* xemacs-faq.texi (Q4.5.1):
	* xemacs-faq.texi (Q4.5.2):
	* xemacs-faq.texi (Q4.5.3):
	* xemacs-faq.texi (Q4.5.4):
	* xemacs-faq.texi (Q4.5.5):
	* xemacs-faq.texi (Q4.6.1):
	* xemacs-faq.texi (Q4.6.2):
	* xemacs-faq.texi (Q4.6.3):
	* xemacs-faq.texi (Q4.6.4):
	* xemacs-faq.texi (Q4.7.1):
	* xemacs-faq.texi (Q4.7.2):
	* xemacs-faq.texi (Q4.7.3):
	* xemacs-faq.texi (Q4.8.1):
	* xemacs-faq.texi (Q4.8.2):
	* xemacs-faq.texi (Q4.8.3):
	* xemacs-faq.texi (Q4.8.4):
	* xemacs-faq.texi (Internet):
	* xemacs-faq.texi (Q5.0.1):
	* xemacs-faq.texi (Q5.0.2):
	* xemacs-faq.texi (Q5.0.3):
	* xemacs-faq.texi (Q5.0.4):
	* xemacs-faq.texi (Q5.0.5):
	* xemacs-faq.texi (Q5.0.6):
	* xemacs-faq.texi (Q5.0.7):
	* xemacs-faq.texi (Q5.0.8):
	* xemacs-faq.texi (Q5.0.9):
	* xemacs-faq.texi (Q5.0.10):
	* xemacs-faq.texi (Q5.0.11):
	* xemacs-faq.texi (Q5.1.1):
	* xemacs-faq.texi (Q5.1.2):
	* xemacs-faq.texi (Q5.1.3):
	* xemacs-faq.texi (Q5.1.4):
	* xemacs-faq.texi (Q5.1.5):
	* xemacs-faq.texi (Q5.1.6):
	* xemacs-faq.texi (Q5.2.1):
	* xemacs-faq.texi (Q5.2.2):
	* xemacs-faq.texi (Q5.3.1):
	* xemacs-faq.texi (Q5.3.2):
	* xemacs-faq.texi (Q5.4.1):
	* xemacs-faq.texi (Q5.4.2):
	* xemacs-faq.texi (Q5.4.3):
	* xemacs-faq.texi (Advanced):
	* xemacs-faq.texi (Q6.0.1):
	* xemacs-faq.texi (Q6.0.2):
	* xemacs-faq.texi (Q6.1.1):
	* xemacs-faq.texi (Q6.1.2):
	* xemacs-faq.texi (Q6.1.3):
	* xemacs-faq.texi (Q6.1.4):
	* xemacs-faq.texi (Q6.1.5):
	* xemacs-faq.texi (Q6.1.6):
	* xemacs-faq.texi (Q6.2.1):
	* xemacs-faq.texi (Q6.2.2):
	* xemacs-faq.texi (Q6.2.3):
	* xemacs-faq.texi (Q6.2.4):
	* xemacs-faq.texi (Q6.2.5):
	* xemacs-faq.texi (Q6.2.6):
	* xemacs-faq.texi (Q6.2.7):
	* xemacs-faq.texi (Q6.2.8):
	* xemacs-faq.texi (Q6.2.9):
	* xemacs-faq.texi (Q6.2.10):
	* xemacs-faq.texi (Q6.2.11):
	* xemacs-faq.texi (Q6.3.1):
	* xemacs-faq.texi (Q6.3.2):
	* xemacs-faq.texi (Q6.3.3):
	* xemacs-faq.texi (Q6.3.4):
	* xemacs-faq.texi (Current Events):
	* xemacs-faq.texi (Q7.0.1):
	* xemacs-faq.texi (Q7.0.2):
	* xemacs-faq.texi (Q7.0.3):
	* xemacs-faq.texi (Q7.0.5):
	* xemacs-faq.texi (Q7.0.6):
	* xemacs-faq.texi (Legacy Versions):
	* xemacs-faq.texi (my-function): Removed.
	* xemacs-faq.texi (Q8.0.1):

	The section on Troubleshooting (now 2.3) has been completely
	written and includes a lot of stuff that is not properly
	documented anywhere else.  A fair amount of obsolete info has been
	deleted and I've incorporated the comments that people (mostly
	Stephen T) made.  Former chapter 3 has been split up in two, one
	pertaining to basic I/O and the other to external I/O.  What were
	formerly chapters 5 and 6 no longer exist as such; the info in
	them has been distributed across various other chapters.  Old
	chapter 4 got split up, part going to the new chapter 4 on
	external I/O and part going to the new chapter 5 on the Internet.
	In this new chapter, stuff not pertaining to a specific package
	(e.g. VM or GNUS) was taken out of package-specific sections and a
	general mail section was constituted.  Part of old chapter 5
	remains in a new chapter 6 devoted to Emacs Lisp and other
	advanced stuff, and a section from old chapter 3 on basic
	init-file Lisp and some stuff from old chapter 5 on Info.  The
	rest of chapter 5 was just "misc" and has gotten scattered to the
	winds (mostly in chapters 3 and 4).  Old chapter 6 has also gotten
	quite scattered; there is no longer any section specifically
	devoted to Windows except one of the Installation sections (along
	with a section specfically devoted to Unix), and the rest has
	moved to join the appropriate non-Windows-specific section
	elsewhere.  A lot of chapters had their sections rearranged and
	likewise for sections having entries rearranged, with the
	intention that the new arrangement should be more natural.  In
	general I hope that stuff should be much easier to locate.  I also
	rewrote the entries on the relation between XEmacs and GNU Emacs
	on the authors of XEmacs, including lots of info on who wrote
	specific subsections.

2004-12-05  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (TEXI2HTML): Changed to produce unsplit output.
	* Makefile (TEXI2HTML_SPLIT): New.
	* Makefile (CP): New.
	* Makefile (PHOTODIR): New.
	* Makefile ($(HTMLDIR)/cl.html): Use TEXI2HTML_SPLIT.
	* Makefile ($(HTMLDIR)/custom.html): Ditto.
	* Makefile ($(HTMLDIR)/emodules.html): Ditto.
	* Makefile ($(HTMLDIR)/external-widget.html): Ditto.
	* Makefile ($(HTMLDIR)/info.html): Ditto.
	* Makefile ($(HTMLDIR)/standards.html): Ditto.
	* Makefile ($(HTMLDIR)/term.html): Ditto.
	* Makefile ($(HTMLDIR)/termcap.html): Ditto.
	* Makefile ($(HTMLDIR)/texinfo.html): Ditto.
	* Makefile ($(HTMLDIR)/widget.html): Ditto.
	* Makefile ($(HTMLDIR)/xemacs-faq.html): Ditto.
	Produce unsplit output for website also, copy photos to HTMLDIR.
	* Makefile ($(HTMLDIR)/xemacs.html): Ditto.
	* Makefile ($(HTMLDIR)/lispref.html): Ditto.
	* Makefile ($(HTMLDIR)/internals.html): Ditto.
	* Makefile ($(HTMLDIR)/new-users-guide.html): Ditto.
	* xemacs-faq.texi (Q1.3.1): Fix broken image links in HTML output.

2004-11-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Better Rendering Support --
	Configuration with the Interim Patches):
	Add documentation of X resources, especially for GUI elements.
	(Better Rendering Support -- Implementation):
	More comments about specification and design issues.
	(Better Rendering Support -- Current Status):
	New subsubsection "Bugs Reported in sjt-xft".

2004-11-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Future Work -- Better Rendering Support):
	New node.
	(Top):
	(Future Work):
	(Future Work -- Lisp Engine Replacement):
	Add pointers to new node.

2004-11-16  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (Top):
	* internals/internals.texi (Introduction):
	* internals/internals.texi (Authorship of XEmacs):
	* internals/internals.texi (A History of Emacs):
	* internals/internals.texi (Through Version 18):
	* internals/internals.texi (Epoch):
	* internals/internals.texi (Lucid Emacs):
	* internals/internals.texi (GNU Emacs 19):
	* internals/internals.texi (GNU Emacs 20):
	* internals/internals.texi (XEmacs):
	* internals/internals.texi (The XEmacs Split):
	* internals/internals.texi (Build-Time Dependencies):
	* internals/internals.texi (Low-Level Modules):
	* internals/internals.texi (Modules for Interfacing with the Operating System):
	* internals/internals.texi (Rules When Writing New C Code):
	* internals/internals.texi (Introduction to Writing C Code):
	* internals/internals.texi (Writing New Modules):
	* internals/internals.texi (Working with Lisp Objects):
	* internals/internals.texi (Writing Lisp Primitives):
	* internals/internals.texi (Adding Global Lisp Variables):
	* internals/internals.texi (Writing Macros):
	* internals/internals.texi (Proper Use of Unsigned Types):
	* internals/internals.texi (Major Textual Changes):
	* internals/internals.texi (Great Integral Type Renaming):
	* internals/internals.texi (Text/Char Type Renaming):
	* internals/internals.texi (Debugging and Testing):
	* internals/internals.texi (Modules for Regression Testing):
	* internals/internals.texi (Merging a Branch into the Trunk):
	* internals/internals.texi (XEmacs from the Inside):
	* internals/internals.texi (Basic Types):
	* internals/internals.texi (Low-Level Allocation):
	* internals/internals.texi (Basic Heap Allocation):
	* internals/internals.texi (Stack Allocation):
	* internals/internals.texi (Dynamic Arrays):
	* internals/internals.texi (Allocation by Blocks):
	* internals/internals.texi (Modules for Allocation):
	* internals/internals.texi (Critical Redisplay Sections):
	* internals/internals.texi (Control-G (Quit) Checking):
	* internals/internals.texi (Future Work Discussion):
	* internals/internals.texi (Discussion -- Garbage Collection):
	* internals/internals.texi (Discussion -- Pure Space):
	* internals/internals.texi (Discussion -- Hashtable-Based Marking and Cleanup):
	* internals/internals.texi (Discussion -- The Anti-Cons):
	* internals/internals.texi (Discussion -- Glyphs):
	* internals/internals.texi (Discussion -- Dialog Boxes):
	* internals/internals.texi (Discussion -- Multilingual Issues):
	* internals/internals.texi (Discussion -- Instantiators and Generic Property Accessors):
	* internals/internals.texi (image-instance-property): New.
	* internals/internals.texi (set-image-instance-property): New.
	* internals/internals.texi (Discussion -- Switching to C++):
	* internals/internals.texi (Discussion -- Windows External Widget):

	Add sections on Basic Types and Low-Level Allocation.  Move module
	docs here.  Incorporate dynamic array and blocktype docs from
	source.

	Add info on beta releases up to present.

	Redo chapter on "Rules When Writing New C Code", grouping stuff
	together properly.  Put "Major Textual Changes" under this
	chapter.  Incorporate etc/CODING-STANDARDS.

	Add discussion sections on "Instantiators and Generic Property
	Accessors" and "Switching to C++".  Fill out discussion on garbage
	collection.

	Incorporate backtraces showing crashes due to problems with
	redisplay-critical-section protection.

2004-11-04  Ben Wing  <ben@xemacs.org>

	* lispref/mule.texi (CCL Syntax):
	* lispref/mule.texi (INT-OR-CHAR): New.
	* lispref/mule.texi (CCL Statements):
	Update CCL docs.

2004-11-04  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (Top):
	* internals/internals.texi (NOTE): New.
	* internals/internals.texi (list-to-texinfo): New.
	* internals/internals.texi (remove-spacing): New.
	* internals/internals.texi (table-to-texinfo): New.
	* internals/internals.texi (convert-text-to-texinfo): New.
	* internals/internals.texi ('make-future): New.
	* internals/internals.texi ('make-discussion): New.
	* internals/internals.texi ('make-old-future): New.
	* internals/internals.texi ('make-section): New.
	* internals/internals.texi ('make-subsection): New.
	* internals/internals.texi (Introduction):
	* internals/internals.texi (divisions): New.
	* internals/internals.texi (Authorship of XEmacs):
	* internals/internals.texi (XEmacs):
	* internals/internals.texi (The XEmacs Split):
	* internals/internals.texi (Author): New.
	* internals/internals.texi (XEmacs from the Outside):
	* internals/internals.texi (The Lisp Language):
	* internals/internals.texi (XEmacs from the Perspective of Building):
	* internals/internals.texi (Build-Time Dependencies):
	* internals/internals.texi (The Modules of XEmacs):
	* internals/internals.texi (A Summary of the Various XEmacs Modules):
	* internals/internals.texi (ways): Removed.
	* internals/internals.texi (Low-Level Modules):
	* internals/internals.texi (Basic Lisp Modules):
	* internals/internals.texi (Modules for Standard Editing Operations):
	* internals/internals.texi (files): Removed.
	* internals/internals.texi (Modules for Interfacing with the File System):
	* internals/internals.texi (some_variable): Removed.
	* internals/internals.texi (Modules for Other Aspects of the Lisp Interpreter and Object System):
	* internals/internals.texi (Modules for Interfacing with the Operating System):
	* internals/internals.texi (character): Removed.
	* internals/internals.texi (Major Textual Changes):
	* internals/internals.texi (Great Integral Type Renaming):
	* internals/internals.texi (commands): Removed.
	* internals/internals.texi (Text/Char Type Renaming):
	* internals/internals.texi (pattern): Removed.
	* internals/internals.texi (Rules When Writing New C Code):
	* internals/internals.texi (A Reader's Guide to XEmacs Coding Conventions):
	* internals/internals.texi (General Coding Rules):
	* internals/internals.texi (examples): Removed.
	* internals/internals.texi (Object-Oriented Techniques for C):
	* internals/internals.texi (Writing Lisp Primitives):
	* internals/internals.texi (Writing Good Comments):
	* internals/internals.texi (Adding Global Lisp Variables):
	* internals/internals.texi (Writing Macros):
	* internals/internals.texi (Proper Use of Unsigned Types):
	* internals/internals.texi (Techniques for XEmacs Developers):
	* internals/internals.texi (Regression Testing XEmacs):
	* internals/internals.texi (How to Regression-Test):
	* internals/internals.texi (Modules for Regression Testing):
	* internals/internals.texi (CVS Techniques):
	* internals/internals.texi (Merging a Branch into the Trunk):
	* internals/internals.texi (XEmacs from the Inside):
	* internals/internals.texi (The XEmacs Object System (Abstractly Speaking)):
	* internals/internals.texi (How Lisp Objects Are Represented in C):
	* internals/internals.texi (Allocation of Objects in XEmacs Lisp):
	* internals/internals.texi (Introduction to Allocation):
	* internals/internals.texi (Garbage Collection):
	* internals/internals.texi (GCPROing):
	* internals/internals.texi (Garbage Collection - Step by Step):
	* internals/internals.texi (Invocation):
	* internals/internals.texi (garbage_collect_1):
	* internals/internals.texi (mark_object):
	* internals/internals.texi (gc_sweep):
	* internals/internals.texi (sweep_lcrecords_1):
	* internals/internals.texi (compact_string_chars):
	* internals/internals.texi (sweep_strings):
	* internals/internals.texi (sweep_bit_vectors_1):
	* internals/internals.texi (Integers and Characters):
	* internals/internals.texi (Allocation from Frob Blocks):
	* internals/internals.texi (lrecords):
	* internals/internals.texi (Low-level allocation):
	* internals/internals.texi (Cons):
	* internals/internals.texi (Vector):
	* internals/internals.texi (Bit Vector):
	* internals/internals.texi (Symbol):
	* internals/internals.texi (Marker):
	* internals/internals.texi (String):
	* internals/internals.texi (Compiled Function):
	* internals/internals.texi (The Lisp Reader and Compiler):
	* internals/internals.texi (Evaluation; Stack Frames; Bindings):
	* internals/internals.texi (Evaluation):
	* internals/internals.texi (Dynamic Binding; The specbinding Stack; Unwind-Protects):
	* internals/internals.texi (Simple Special Forms):
	* internals/internals.texi (Catch and Throw):
	* internals/internals.texi (Error Trapping):
	* internals/internals.texi (Symbols and Variables):
	* internals/internals.texi (Introduction to Symbols):
	* internals/internals.texi (Obarrays):
	* internals/internals.texi (Symbol Values):
	* internals/internals.texi (Buffers):
	* internals/internals.texi (Introduction to Buffers):
	* internals/internals.texi (Buffer Lists):
	* internals/internals.texi (Markers and Extents):
	* internals/internals.texi (The Buffer Object):
	* internals/internals.texi (Text):
	* internals/internals.texi (The Text in a Buffer):
	* internals/internals.texi (Ibytes and Ichars):
	* internals/internals.texi (Byte-Char Position Conversion):
	* internals/internals.texi (Searching and Matching):
	* internals/internals.texi (Multilingual Support):
	* internals/internals.texi (Introduction to Multilingual Issues #1):
	* internals/internals.texi (Introduction to Multilingual Issues #2):
	* internals/internals.texi (Introduction to Multilingual Issues #3):
	* internals/internals.texi (Introduction to Multilingual Issues #4):
	* internals/internals.texi (Character Sets):
	* internals/internals.texi (Encodings):
	* internals/internals.texi (Japanese EUC (Extended Unix Code)):
	* internals/internals.texi (JIS7):
	* internals/internals.texi (Internal Mule Encodings):
	* internals/internals.texi (Internal String Encoding):
	* internals/internals.texi (Internal Character Encoding):
	* internals/internals.texi (Byte/Character Types; Buffer Positions; Other Typedefs):
	* internals/internals.texi (Byte Types):
	* internals/internals.texi (Different Ways of Seeing Internal Text):
	* internals/internals.texi (Buffer Positions):
	* internals/internals.texi (Other Typedefs):
	* internals/internals.texi (Usage of the Various Representations):
	* internals/internals.texi (Working With the Various Representations):
	* internals/internals.texi (Internal Text API's):
	* internals/internals.texi (Basic internal-format API's):
	* internals/internals.texi (The DFC API):
	* internals/internals.texi (The Eistring API):
	* internals/internals.texi (Coding for Mule):
	* internals/internals.texi (Character-Related Data Types):
	* internals/internals.texi (Working With Character and Byte Positions):
	* internals/internals.texi (Conversion to and from External Data):
	* internals/internals.texi (General Guidelines for Writing Mule-Aware Code):
	* internals/internals.texi (An Example of Mule-Aware Code):
	* internals/internals.texi (Mule-izing Code):
	* internals/internals.texi (CCL):
	* internals/internals.texi (Microsoft Windows-Related Multilingual Issues):
	* internals/internals.texi (Microsoft Documentation):
	* internals/internals.texi (Locales):
	* internals/internals.texi (More about code pages):
	* internals/internals.texi (More about locales):
	* internals/internals.texi (Unicode support under Windows):
	* internals/internals.texi (The golden rules of writing Unicode-safe code):
	* internals/internals.texi (The format of the locale in setlocale()):
	* internals/internals.texi (Random other Windows I18N docs):
	* internals/internals.texi (Modules for Internationalization):
	* internals/internals.texi (Consoles; Devices; Frames; Windows):
	* internals/internals.texi (Introduction to Consoles; Devices; Frames; Windows):
	* internals/internals.texi (Point):
	* internals/internals.texi (Window Hierarchy):
	* internals/internals.texi (The Window Object):
	* internals/internals.texi (Modules for the Basic Displayable Lisp Objects):
	* internals/internals.texi (The Redisplay Mechanism):
	* internals/internals.texi (Critical Redisplay Sections):
	* internals/internals.texi (Line Start Cache):
	* internals/internals.texi (Redisplay Piece by Piece):
	* internals/internals.texi (Modules for the Redisplay Mechanism):
	* internals/internals.texi (Modules for other Display-Related Lisp Objects):
	* internals/internals.texi (Extents):
	* internals/internals.texi (Introduction to Extents):
	* internals/internals.texi (Extent Ordering):
	* internals/internals.texi (Format of the Extent Info):
	* internals/internals.texi (Zero-Length Extents):
	* internals/internals.texi (Mathematics of Extent Ordering):
	* internals/internals.texi (Extent Fragments):
	* internals/internals.texi (Faces):
	* internals/internals.texi (Glyphs):
	* internals/internals.texi (Specifiers):
	* internals/internals.texi (Menus):
	* internals/internals.texi (Events and the Event Loop):
	* internals/internals.texi (Introduction to Events):
	* internals/internals.texi (Main Loop):
	* internals/internals.texi (Specifics of the Event Gathering Mechanism):
	* internals/internals.texi (Specifics About the Emacs Event):
	* internals/internals.texi (Event Queues):
	* internals/internals.texi (Event Stream Callback Routines):
	* internals/internals.texi (Other Event Loop Functions):
	* internals/internals.texi (Stream Pairs):
	* internals/internals.texi (Converting Events):
	* internals/internals.texi (Dispatching Events; The Command Builder):
	* internals/internals.texi (Focus Handling):
	* internals/internals.texi (Editor-Level Control Flow Modules):
	* internals/internals.texi (Asynchronous Events; Quit Checking):
	* internals/internals.texi (Signal Handling):
	* internals/internals.texi (Control-G (Quit) Checking):
	* internals/internals.texi (Profiling):
	* internals/internals.texi (Asynchronous Timeouts):
	* internals/internals.texi (Exiting):
	* internals/internals.texi (Lstreams):
	* internals/internals.texi (Creating an Lstream):
	* internals/internals.texi (Lstream Types):
	* internals/internals.texi (Lstream Functions):
	* internals/internals.texi (Lstream Methods):
	* internals/internals.texi (Subprocesses):
	* internals/internals.texi (Interface to MS Windows):
	* internals/internals.texi (Different kinds of Windows environments):
	* internals/internals.texi (Windows Build Flags):
	* internals/internals.texi (Windows I18N Introduction):
	* internals/internals.texi (Modules for Interfacing with MS Windows):
	* internals/internals.texi (Interface to the X Window System):
	* internals/internals.texi (Lucid Widget Library):
	* internals/internals.texi (Generic Widget Interface):
	* internals/internals.texi (dependencies): New.
	* internals/internals.texi (routines): New.
	* internals/internals.texi (Summary): New.
	* internals/internals.texi (Scrollbars):
	* internals/internals.texi (Menubars):
	* internals/internals.texi (Checkboxes and Radio Buttons):
	* internals/internals.texi (Progress Bars):
	* internals/internals.texi (Tab Controls):
	* internals/internals.texi (Modules for Interfacing with X Windows):
	* internals/internals.texi (Dumping):
	* internals/internals.texi (Dumping Justification):
	* internals/internals.texi (Overview):
	* internals/internals.texi (Data descriptions):
	* internals/internals.texi (Dumping phase):
	* internals/internals.texi (Object inventory):
	* internals/internals.texi (Address allocation):
	* internals/internals.texi (The header):
	* internals/internals.texi (Data dumping):
	* internals/internals.texi (Pointers dumping):
	* internals/internals.texi (Reloading phase):
	* internals/internals.texi (Abstract): New.
	* internals/internals.texi (Remaining issues):
	* internals/internals.texi (Future Work):
	* internals/internals.texi (Future Work -- General Suggestions):
	* internals/internals.texi (Future Work -- Elisp Compatibility Package):
	* internals/internals.texi (Future Work -- Drag-n-Drop):
	* internals/internals.texi (Future Work -- Standard Interface for Enabling Extensions):
	* internals/internals.texi (Future Work -- Better Initialization File Scheme):
	* internals/internals.texi (Future Work -- Keyword Parameters):
	* internals/internals.texi (Future Work -- Property Interface Changes):
	* internals/internals.texi (Future Work -- Toolbars):
	* internals/internals.texi (Future Work -- Easier Toolbar Customization):
	* internals/internals.texi (Future Work -- Toolbar Interface Changes):
	* internals/internals.texi (Future Work -- Menu API Changes):
	* internals/internals.texi (Future Work -- Removal of Misc-User Event Type):
	* internals/internals.texi (Future Work -- Mouse Pointer):
	* internals/internals.texi (Future Work -- Abstracted Mouse Pointer Interface):
	* internals/internals.texi (Future Work -- Busy Pointer):
	* internals/internals.texi (Future Work -- Extents):
	* internals/internals.texi (Future Work -- Everything should obey duplicable extents):
	* internals/internals.texi (Future Work -- Version Number and Development Tree Organization):
	* internals/internals.texi (Future Work -- Improvements to the @code{xemacs.org} Website):
	* internals/internals.texi (Future Work -- Keybindings):
	* internals/internals.texi (Future Work -- Keybinding Schemes):
	* internals/internals.texi (Future Work -- Better Support for Windows Style Key Bindings):
	* internals/internals.texi (Future Work -- Misc Key Binding Ideas):
	* internals/internals.texi (Future Work -- Byte Code Snippets):
	* internals/internals.texi (Future Work -- Autodetection):
	* internals/internals.texi (Future Work -- Conversion Error Detection):
	* internals/internals.texi (Future Work -- Unicode):
	* internals/internals.texi (Future Work -- BIDI Support):
	* internals/internals.texi (Future Work -- Localized Text/Messages):
	* internals/internals.texi (Future Work -- Lisp Stream API):
	* internals/internals.texi (Future Work -- Multiple Values):
	* internals/internals.texi (Future Work -- Macros):
	* internals/internals.texi (Future Work -- Specifiers):
	* internals/internals.texi (Future Work -- Display Tables):
	* internals/internals.texi (Future Work -- Making Elisp Function Calls Faster):
	* internals/internals.texi (Future Work -- Lisp Engine Replacement):
	* internals/internals.texi (Future Work -- Lisp Engine Discussion):
	* internals/internals.texi (Future Work -- Lisp Engine Replacement -- Implementation):
	* internals/internals.texi (Future Work -- Startup File Modification by Packages):
	* internals/internals.texi (Future Work Discussion):
	* internals/internals.texi (Discussion -- garbage collection):
	* internals/internals.texi (Discussion -- glyphs):
	* internals/internals.texi (Discussion -- Dialog Boxes):
	* internals/internals.texi (Discussion -- Multilingual Issues):
	* internals/internals.texi (Discussion -- Windows External Widget):
	* internals/internals.texi (Discussion -- Packages):
	* internals/internals.texi (Discussion -- Distribution Layout):
	* internals/internals.texi (Old Future Work):
	* internals/internals.texi (Old Future Work -- A Portable Unexec Replacement):
	* internals/internals.texi (backtrace): New.
	* internals/internals.texi (Old Future Work -- Indirect Buffers):
	* internals/internals.texi (emacs-lisp): New.
	* internals/internals.texi (Old Future Work -- Improvements in support for non-ASCII (European) keysyms under X):
	* internals/internals.texi (Newsgroups): New.
	* internals/internals.texi (Old Future Work -- RTF Clipboard Support):
	* internals/internals.texi (own-selection): New.
	* internals/internals.texi (Old Future Work -- xemacs.org Mailing Address Changes):
	* internals/internals.texi (COMMENT): New.
	* internals/internals.texi (Old Future Work -- Lisp callbacks from critical areas of the C code):
	* internals/internals.texi (Now): Removed.
	* internals/internals.texi (Proof): Removed.
	* internals/internals.texi (Note): Removed.
	* internals/internals.texi (Date): New.
	* internals/internals.texi (ben): Removed.
	* internals/internals.texi (importance): New.
	* internals/internals.texi (From): New.
	Major work on internals manual.  Rearranged many chapters so as to
	lie in coherent divisions.
	Add tons of stuff to Future Work, Old Future Work, Discussions.
	Add lots of stuff to Mule section (Multilingual ...).
	Remove index.texi, incorporate into internals.texi.
	Section on early history and an introduction.
	Section on XEmacs split.  Lots of new MS Windows docs
	Mostly recently: Windows-I18N docs.  Lots if new I18N docs.
	Loads of other stuff.

2004-11-02  Ben Wing  <ben@xemacs.org>

	* internals/index.texi:
	Deleted.  Incorporated into internals.texi.  Having a separate
	index file messes up texinfo-master-menu.

	* internals/internals.texi:
	* internals/internals.texi (Top):
	* internals/internals.texi (Introduction):
	* internals/internals.texi (Authorship of XEmacs):
	* internals/internals.texi (A History of Emacs):
	* internals/internals.texi (Through Version 18):
	* internals/internals.texi (Lucid Emacs):
	* internals/internals.texi (GNU Emacs 19):
	* internals/internals.texi (GNU Emacs 20):
	* internals/internals.texi (XEmacs):
	* internals/internals.texi (XEmacs From the Outside):
	* internals/internals.texi (The Lisp Language):
	* internals/internals.texi (XEmacs From the Perspective of Building):
	* internals/internals.texi (The XEmacs Object System (Abstractly Speaking)):
	* internals/internals.texi (How Lisp Objects Are Represented in C):
	* internals/internals.texi (Major Textual Changes):
	* internals/internals.texi (Great Integral Type Renaming):
	* internals/internals.texi (Text/Char Type Renaming):
	* internals/internals.texi (Rules When Writing New C Code):
	* internals/internals.texi (A Reader's Guide to XEmacs Coding Conventions):
	* internals/internals.texi (General Coding Rules):
	* internals/internals.texi (Object-Oriented Techniques for C):
	* internals/internals.texi (Writing Lisp Primitives):
	* internals/internals.texi (Writing Good Comments):
	* internals/internals.texi (Adding Global Lisp Variables):
	* internals/internals.texi (Writing Macros):
	* internals/internals.texi (Proper Use of Unsigned Types):
	* internals/internals.texi (Techniques for XEmacs Developers):
	* internals/internals.texi (Regression Testing XEmacs):
	* internals/internals.texi (How to Regression-Test):
	* internals/internals.texi (Modules for Regression Testing):
	* internals/internals.texi (CVS Techniques):
	* internals/internals.texi (Merging a Branch into the Trunk):
	* internals/internals.texi (The Modules of XEmacs):
	* internals/internals.texi (A Summary of the Various XEmacs Modules):
	* internals/internals.texi (Low-Level Modules):
	* internals/internals.texi (Basic Lisp Modules):
	* internals/internals.texi (Modules for Standard Editing Operations):
	* internals/internals.texi (Modules for Interfacing with the File System):
	* internals/internals.texi (Modules for Other Aspects of the Lisp Interpreter and Object System):
	* internals/internals.texi (Modules for Interfacing with the Operating System):
	* internals/internals.texi (Allocation of Objects in XEmacs Lisp):
	* internals/internals.texi (Introduction to Allocation):
	* internals/internals.texi (Garbage Collection):
	* internals/internals.texi (GCPROing):
	* internals/internals.texi (Garbage Collection - Step by Step):
	* internals/internals.texi (Invocation):
	* internals/internals.texi (garbage_collect_1):
	* internals/internals.texi (mark_object):
	* internals/internals.texi (gc_sweep):
	* internals/internals.texi (sweep_lcrecords_1):
	* internals/internals.texi (compact_string_chars):
	* internals/internals.texi (Integers and Characters):
	* internals/internals.texi (Allocation from Frob Blocks):
	* internals/internals.texi (lrecords):
	* internals/internals.texi (Low-level allocation):
	* internals/internals.texi (Cons):
	* internals/internals.texi (Vector):
	* internals/internals.texi (Symbol):
	* internals/internals.texi (Marker):
	* internals/internals.texi (String):
	* internals/internals.texi (Dumping):
	* internals/internals.texi (Dumping Justification):
	* internals/internals.texi (Overview):
	* internals/internals.texi (Data descriptions):
	* internals/internals.texi (Dumping phase):
	* internals/internals.texi (Object inventory):
	* internals/internals.texi (Address allocation):
	* internals/internals.texi (The header):
	* internals/internals.texi (Data dumping):
	* internals/internals.texi (Pointers dumping):
	* internals/internals.texi (Reloading phase):
	* internals/internals.texi (Remaining issues):
	* internals/internals.texi (Events and the Event Loop):
	* internals/internals.texi (Introduction to Events):
	* internals/internals.texi (Main Loop):
	* internals/internals.texi (Specifics of the Event Gathering Mechanism):
	* internals/internals.texi (Specifics About the Emacs Event):
	* internals/internals.texi (Event Queues):
	* internals/internals.texi (Event Stream Callback Routines):
	* internals/internals.texi (IMPORTANT): New.
	* internals/internals.texi (Other Event Loop Functions):
	* internals/internals.texi (Stream Pairs):
	* internals/internals.texi (Converting Events):
	* internals/internals.texi (Dispatching Events; The Command Builder):
	* internals/internals.texi (Focus Handling):
	* internals/internals.texi (Editor-Level Control Flow Modules):
	* internals/internals.texi (Asynchronous Events; Quit Checking):
	* internals/internals.texi (Control-G (Quit) Checking):
	* internals/internals.texi (completely): New.
	* internals/internals.texi (Profiling):
	* internals/internals.texi (Exiting):
	* internals/internals.texi (BEWARE): New.
	* internals/internals.texi (Evaluation; Stack Frames; Bindings):
	* internals/internals.texi (Evaluation):
	* internals/internals.texi (Dynamic Binding; The specbinding Stack; Unwind-Protects):
	* internals/internals.texi (Simple Special Forms):
	* internals/internals.texi (Catch and Throw):
	* internals/internals.texi (Introduction to Symbols):
	* internals/internals.texi (Obarrays):
	* internals/internals.texi (Symbol Values):
	* internals/internals.texi (Buffers):
	* internals/internals.texi (Introduction to Buffers):
	* internals/internals.texi (Buffer Lists):
	* internals/internals.texi (Markers and Extents):
	* internals/internals.texi (The Buffer Object):
	* internals/internals.texi (Text):
	* internals/internals.texi (The Text in a Buffer):
	* internals/internals.texi (Ibytes and Ichars):
	* internals/internals.texi (Byte-Char Position Conversion):
	* internals/internals.texi (Searching and Matching):
	* internals/internals.texi (Multilingual Support):
	* internals/internals.texi (Introduction to Multilingual Issues #1):
	* internals/internals.texi (Introduction to Multilingual Issues #2):
	* internals/internals.texi (Introduction to Multilingual Issues #3):
	* internals/internals.texi (Introduction to Multilingual Issues #4):
	* internals/internals.texi (Character Sets):
	* internals/internals.texi (Encodings):
	* internals/internals.texi (Japanese EUC (Extended Unix Code)):
	* internals/internals.texi (JIS7):
	* internals/internals.texi (Internal Mule Encodings):
	* internals/internals.texi (Internal String Encoding):
	* internals/internals.texi (Internal Character Encoding):
	* internals/internals.texi (Byte/Character Types; Buffer Positions; Other Typedefs):
	* internals/internals.texi (Byte Types):
	* internals/internals.texi (Different Ways of Seeing Internal Text):
	* internals/internals.texi (prefixes): New.
	* internals/internals.texi (C): New.
	* internals/internals.texi (U): New.
	* internals/internals.texi (S): New.
	* internals/internals.texi (Specifically): New.
	* internals/internals.texi (Buffer Positions):
	* internals/internals.texi (Other Typedefs):
	* internals/internals.texi (Usage of the Various Representations):
	* internals/internals.texi (Working With the Various Representations):
	* internals/internals.texi (Internal Text API's):
	* internals/internals.texi (Basic internal-format API's):
	* internals/internals.texi (The DFC API):
	* internals/internals.texi (The Eistring API):
	* internals/internals.texi (Coding for Mule):
	* internals/internals.texi (Character-Related Data Types):
	* internals/internals.texi (Working With Character and Byte Positions):
	* internals/internals.texi (Conversion to and from External Data):
	* internals/internals.texi (General Guidelines for Writing Mule-Aware Code):
	* internals/internals.texi (An Example of Mule-Aware Code):
	* internals/internals.texi (Mule-izing Code):
	* internals/internals.texi (CCL):
	* internals/internals.texi (Modules for Internationalization):
	* internals/internals.texi (The Lisp Reader and Compiler):
	* internals/internals.texi (Lstreams):
	* internals/internals.texi (Creating an Lstream):
	* internals/internals.texi (Lstream Types):
	* internals/internals.texi (Lstream Functions):
	* internals/internals.texi (Lstream Methods):
	* internals/internals.texi (Introduction to Consoles; Devices; Frames; Windows):
	* internals/internals.texi (Point):
	* internals/internals.texi (Window Hierarchy):
	* internals/internals.texi (The Window Object):
	* internals/internals.texi (Modules for the Basic Displayable Lisp Objects):
	* internals/internals.texi (The Redisplay Mechanism):
	* internals/internals.texi (Critical Redisplay Sections):
	* internals/internals.texi (Line Start Cache):
	* internals/internals.texi (Redisplay Piece by Piece):
	* internals/internals.texi (Modules for the Redisplay Mechanism):
	* internals/internals.texi (Modules for other Display-Related Lisp Objects):
	* internals/internals.texi (Introduction to Extents):
	* internals/internals.texi (Extent Ordering):
	* internals/internals.texi (Format of the Extent Info):
	* internals/internals.texi (Zero-Length Extents):
	* internals/internals.texi (Mathematics of Extent Ordering):
	* internals/internals.texi (Extent Fragments):
	* internals/internals.texi (Faces):
	* internals/internals.texi (Glyphs):
	* internals/internals.texi (Specifiers):
	* internals/internals.texi (Menus):
	* internals/internals.texi (Subprocesses):
	* internals/internals.texi (Interface to MS Windows):
	* internals/internals.texi (Different kinds of Windows environments):
	* internals/internals.texi (Windows Build Flags):
	* internals/internals.texi (Windows I18N Introduction):
	* internals/internals.texi (Modules for Interfacing with MS Windows):
	* internals/internals.texi (Interface to the X Window System):
	* internals/internals.texi (Generic Widget Interface):
	* internals/internals.texi (Scrollbars):
	* internals/internals.texi (Menubars):
	* internals/internals.texi (Checkboxes and Radio Buttons):
	* internals/internals.texi (Modules for Interfacing with X Windows):
	* internals/internals.texi (Future Work):
	* internals/internals.texi (Future Work -- Elisp Compatibility Package):
	* internals/internals.texi (Future Work -- Drag-n-Drop):
	* internals/internals.texi (Future Work -- Standard Interface for Enabling Extensions):
	* internals/internals.texi (Future Work -- Better Initialization File Scheme):
	* internals/internals.texi (Future Work -- Keyword Parameters):
	* internals/internals.texi (Future Work -- Property Interface Changes):
	* internals/internals.texi (Future Work -- Easier Toolbar Customization):
	* internals/internals.texi (Future Work -- Toolbar Interface Changes):
	* internals/internals.texi (Future Work -- Menu API Changes):
	* internals/internals.texi (Future Work -- Removal of Misc-User Event Type):
	* internals/internals.texi (Future Work -- Mouse Pointer):
	* internals/internals.texi (Future Work -- Abstracted Mouse Pointer Interface):
	* internals/internals.texi (Future Work -- Busy Pointer):
	* internals/internals.texi (Future Work -- Extents):
	* internals/internals.texi (Future Work -- Everything should obey duplicable extents):
	* internals/internals.texi (Future Work -- Version Number and Development Tree Organization):
	* internals/internals.texi (Future Work -- Improvements to the @code{xemacs.org} Website):
	* internals/internals.texi (Future Work -- Keybinding Schemes):
	* internals/internals.texi (Future Work -- Better Support for Windows Style Key Bindings):
	* internals/internals.texi (Future Work -- Misc Key Binding Ideas):
	* internals/internals.texi (Future Work -- Byte Code Snippets):
	* internals/internals.texi (Future Work -- Autodetection):
	* internals/internals.texi (Future Work -- Conversion Error Detection):
	* internals/internals.texi (Future Work -- BIDI Support):
	* internals/internals.texi (Future Work -- Localized Text/Messages):
	* internals/internals.texi (freeze): New.
	* internals/internals.texi (fail-safe): New.
	* internals/internals.texi (like): New.
	* internals/internals.texi (user): New.
	* internals/internals.texi (ben): New.
	* internals/internals.texi ('type): New.
	* internals/internals.texi (NOTE): New.
	* internals/internals.texi (ILLEGIBLE): New.
	* internals/internals.texi (language): New.
	* internals/internals.texi (preprocessing): New.
	* internals/internals.texi (Subject): New.
	* internals/internals.texi (http): New.
	* internals/internals.texi (Now): Removed.
	* internals/internals.texi (wrong): New.
	* internals/internals.texi (Proof): Removed.

	Add bunches and bunches and bunches and bunches of stuff, taken
	from documentation floating around in various places -- text.c,
	file-coding.c, other .c and .h files, stuff that I wrote up for an
	old XEmacs contract, proposals written up in the process of an
	e-mail discussion, etc.  Fix up some mistakes, esp. in CCL.  Extra
	crap from CCL, duplicated with Lispref, removed.  Sections on Old
	Future Work and Future Work Discussion added.

	Bunches of other work.  Add bunches of documentation taken from the
	source code.  Fixup various places to use @strong{}, @code{},
	@file{}.  Create new Text chapter, split off from Buffers and
	Textual Representation.  Create new chapter for MS Windows, mostly
	written from scratch.  Consolidate all Mule info under
	"Multilingual Support".  Break up chapter on modules and move some
	parts to the sections discussing the modules, for consolidation
	purposes.  Add a big cross-reference table for all the modules to
	where they're discussed (or not).  New chapter Asynchronous
	Events; Quit Checking. (Taken from various parts of the code.) New
	Introduction.  New section on Focus Handling (from the code).

	NOTE that in the process, I discovered that we essentially have
	FOUR redundant introductions to Mule issues!  Someone really needs
	to go through and clean them up and integrate them (sjt?).

2003-07-18  Alexey Mahotkin  <alexm@hsys.msk.ru>

	* lispref/windows.texi (Basic Windows): Fix typo.

2004-10-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.18 "chestnut" is released.

2003-11-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/control.texi (Examples of Catch): Mention use of a cons
	as a catch tag.

2004-07-20  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/glyphs.texi (Image Instantiator Formats): Add a few
	words about the tab control widget.

2004-05-14  Darryl Okahata  <darrylo@xemacs.org>

	* lispref/windows.texi.  Added documentation for the functions,
	``current-pixel-row'' and ``current-pixel-column''.

2004-09-13  Jerry James  <james@xemacs.org>

	* internals/internals.texi (Modules for Interfacing with the
	Operating System): The code formerly in callproc.c is now
	implemented in Lisp in process.el.

2004-08-30  Jerry James  <james@xemacs.org>

	* lispref/text.texi: Document text fields.

2004-09-08  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/searching.texi (Syntax of Regexps): Add example of use
	of shy groups in variable subexpression, correct rumor that there
	may be substantial performance gain.  Document double-digit back-
	references.

2004-08-13  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs/help.texi (Misc Help): Info-goto-emacs-key-command-node
	to function index.  Document Info-goto-emacs-command-node.

	* lispref/positions.texi (Text Lines):  makeinfo doesn't like Note:.

2004-07-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/glyphs.texi: Complete reorganization, some content updated.
	* lispref/lispref.texi (Top): Update menu to match.
	* lispref/extents.texi (Extent Properties): Update xref.

2004-06-29  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Modules for Other Aspects of the Lisp
	Interpreter and Object System): Add description of Sextword syntax
	class (now obsolete).

2004-06-20  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Techniques for XEmacs Developers): Be
	specific when discussing optimization.
	(Techniques for XEmacs Developers): Fragments that are meaningless
	by themselves or contain placeholders should be @samp, not @code.
	(Modules for Internationalization): Add description of mule-coding.c
	and further deprecate mule.c.
	(Modules for Regression Testing): Add {tag,weak}-tests.el to list.

2004-07-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q3.10.2): Mention that `pending-delete' is in
	the "pc" package.

2004-06-15  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/specifiers.texi (Specifier Instancing): Add "neon
	modeline" hack as an example.  Thanks to Giacomo Boffi.

2004-06-07  Jerry James  <james@xemacs.org>

	* lispref/modes.texi (Major Modes): Document -mode functions, and
	the use of a nil argument to defined-derived mode.
	* lispref/modes.texi (Major Mode Conventions): Describe the use of
	delay-mode-hooks and define-derived-mode.
	* lispref/modes.texi (Derived Modes): Warn against the use of
	interactive specs in derived mode definitions.
	* lispref/modes.texi (Hooks): Document run-mode-hooks,
	delay-mode-hooks, run-hook-with-args,
	run-hook-with-args-until-failure, and0
	run-hook-with-args-until-success.

2004-06-14  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/glyphs.texi (Creating Glyphs): Improve discussion, fix a
	couple of typos.

	* lispref/faces.texi (Face Properties): Background pixmaps
	can be used on GTK and MS Windows.
	(Face Convenience Functions): Cross-reference glyph interface.
	Background pixmap is an image specifier, not a glyph.

2004-05-21  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/numbers.texi (Comparison of Numbers): Clarify bigfloat eql.
	(Predicates on Numbers): Fix thinko in description of `bigfloatp'.

2004-05-10  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/numbers.texi (Numbers): Remove reference to "fixed-
	precision rationals," and fix description of floating-point
	contagion.
	(Integer Basics, Float Basics): Fix typos.
	(Canonicalization and Contagion): Complete rewrite.
	(Predicates on Numbers): Add fixnump, bignump, ratiop, rationalp,
	bigfloatp, floatingp, realp, oddp and evenp.
	(Rational Basics): Add numerator and denominator.
	(Random Numbers): Fix description of range, and add paranoid
	comment about how unpredictable `(random t)' is.
	(Canonicalization and Contagion): Renamed from Contagion and
	Canonicalization.
	(The Bignum Extension): Fix it in menu.

2004-05-10  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Object-Oriented Techniques for C):
	Remove reference to "encouraging port to C++".

2004-04-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/numbers.texi (The Bignum Extension): Mention the feature
	symbols provided.

2004-04-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/numbers.texi (Rational Basics): There's a reason why
	this node is named "Rational" and not "Ratio" in the menu....

2004-04-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Object-Oriented Techniques in XEmacs):
	New node.
	(The XEmacs Object System (Abstractly Speaking)):
	Reorder the list of objects somewhat.
	Add brief descriptions of the arbitrary-precision number types.
	(Writing Good Comments): Slight revision, recommend @xemacs alias.
	(Character-Related Data Types): Add a few comments re Unicode.
	(Working With Character and Byte Positions): Ditto.
	(General Guidelines for Writing Mule-Aware Code): Query.
	(Conversion to and from External Data): Ditto.
	(Techniques for XEmacs Developers): Typo.
	(Modules for Regression Testing): Add an xref.
	(Overview): Note that dump file is now inside the executable.
	(Remaining issues): Mention ExecShield vs. pdumper.
	(Searching and Matching): Mention UTF-8 wrt Mule.

2004-02-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* widget.texi (Introduction): Update historical references a bit.
	Fix many typos and grammatical problems.
	(User Interface): Fix typo.

2004-04-09  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/numbers.texi (Numbers): Describe bignums, ratios, and
	bigfloats briefly.
	(Integer Basics): We've had 31-bit integers for a while.  Fix the
	statement of minimum available precision and the examples.
	Document most-positive-fixnum and most-negative-fixnum.  Add a
	pointer to the node "The Bignum Extension".
	(Float Basics): Document most-positive-float, most-negative-float,
	least-positive-float, least-positive-normalized-float,
	least-negative-float, and least-negative-normalized-float.  Add a
	pointer to the node "The Bignum Extension".
	(Comparison of Numbers): Update for bignums.

	(The Bignum Extension):
	(Bignum Basics):
	(Ratio Basics):
	(Bigfloat Basics):
	(Contagion and Canonicalization):
	(Compatibility Issues):
	New nodes.

	* lispref/lispref.texi (Top):
	* lispref/numbers.texi (Numbers):
	Add nodes "Ratio Basics" and "The Bignum Extension" to menus.

2004-01-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/specifiers.texi: Update FSF copyright.
       (Specifier Compatibility Notes): New node.

	* lispref/glyphs.texi (Glyph Properties): Fix typo.
	(Glyphs):
	(Native GUI Widgets): New node.

	* lispref/gutter.texi (Gutter Descriptor Format): Node deleted.
	(Gutter):
	(Gutter Intro):
	(Creating Gutter):
	(Specifying a Gutter):
	Pluralize node name to Creating Gutters.
	(Creating Gutters): Improve explanation of gutter descriptors.
	(Other Gutter Variables): Remove extraneous text.
	(Common Gutter Widgets): In lieu of real documentation, at least
	point to gutter-items.el.

2004-04-06  Stephen J. Turnbull  <stephen@xemacs.org>

	Lightly revised from <psr7v1j039.fsf@diannao.ittc.ku.edu>.
	Thanks to Jerry James <james@xemacs.org>.

	* xemacs-faq.texi (Top, Miscellaneous): In menus, renumber Section
	5.3 and Q5.3.1-12 as 5.4.x, and add Mathematics and Q5.3.1-4 as
	replacement section 5.3.
	(Q5.3.1, Q5.3.2, Q5.3.3, Q5.3.4) New FAQs for bignums.
	(Q5.2.1, Q8.0.1) Add @unnumberedsec headings.
	(Q6.4.1) Correct @unnumberedsec heading.

2004-03-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.17 "chayote" is released.

2004-02-20  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (GCPROing): Mention `Fsignal'.  Clarify
	that references, not the objects themselves, are what is marked.

2004-01-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/specifiers.texi (Copyright): Update.

	(Creating Specifiers): Correct more instances of subject-verb
	disagreement.

2004-01-24  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/specifiers.texi (Specifier Instancing Functions): Fix
	typos, thanks to Ilpo Nyyssönen.

2004-01-23  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/specifiers.texi (Specifier Instancing Functions): Add
	documentation of `specifier-matching-instance'.
	(Introduction to Specifiers): Fix typos.
	(Simple Specifier Usage): Cross-reference Toolbar Intro.
	(Creating Specifiers):
	(Specifier Instancing Functions):
	(Adding Specifications):
	Various improvements.  Deprecate set-specifier a bit more.

2004-01-20  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/specifiers.texi (Specifier Examples): Add new example,
	pluralize node name and section title.
	(Specifiers): Pluralize "Specifier Examples" in menu.

	* lispref/lispref.texi (Top): Pluralize "Specifier Examples" in menu.

2003-11-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi: Fix Tony Rossini's address.

2003-12-15  Steve Youngs  <sryoungs@bigpond.net.au>

	* lispref/customize.texi (Defining New Types): New node.
	From Per Abrahamsen <abraham@dina.kvl.dk>

2003-10-16  Ilya N. Golubev  <gin@mo.msk.ru>

	* lispref/tips.texi (Comment Tips): Typo fix.

2003-10-10  Ilya N. Golubev  <gin@mo.msk.ru>

	* new-users-guide/custom2.texi (Init File):

	Fix up erroneous uses of @var instead of @code for the names of
	particular variables in programming languages.

2003-10-10  Ilya N. Golubev  <gin@mo.msk.ru>

	* custom.texi (The Init File):
	* xemacs-faq.texi (Q2.1.3):
	(Q2.1.5):

	* internals/internals.texi (Modules for Internationalization):

	* lispref/display.texi (Beeping):
	* lispref/ldap.texi (Encoder/Decoder Functions):
	* lispref/markers.texi (The Mark):
	(The Region):
	* lispref/menus.texi (Menu Accelerator Functions):
	* lispref/numbers.texi (Math Functions):
	* lispref/packaging.texi (package-info.in):
	(Makefile):
	(Local.rules File):
	* lispref/postgresql.texi (libpq Lisp Symbols and DataTypes):
	(libpq Lisp Variables):
	(Synchronous Interface Functions):
	(Other libpq Functions):

	* new-users-guide/custom2.texi (Init File):
	(Setting Variables):
	* new-users-guide/files.texi (File Names):
	(Saving Files):
	* new-users-guide/search.texi (Search and Replace):

	* xemacs/custom.texi (X Resources):

	Fix up erroneous uses of @var instead of @code for the names of
	particular variables in programming languages.

2003-10-10  Stephen J. Turnbull  <stephen@xemacs.org>

	* Makefile: Remove old package and redundant cruft.

2003-10-10  Ilya N. Golubev  <gin@mo.msk.ru>

	* lispref/mule.texi (Charset Property Functions): Charset registry
	can be set.
	(Predefined Charsets): Add registry to Vietnamese charset names.

2003-09-26  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.16 "celeriac" is released.

2003-09-22  Adrian Aichner  <adrian@xemacs.org>

	* lispref/backups.texi (Reverting): Fix the PRINTED-MANUAL-TITLE
	argument for a cross reference to  "The XEmacs User's Manual".

2003-08-15  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi: Update copyright notice.
	(GCPROing): Add missing period.
	(Adding Global Lisp Variables): general.c -> general-slots.h.
	(A Reader's Guide to XEmacs Coding Conventions): New node.

2003-09-20  Ilya N. Golubev  <gin@mo.msk.ru>

	* xemacs/mini.texi (Minibuffer): Add customizing message display
	reference.
	* lispref/display.texi (Customizing Message Display): New,
	describe `redisplay-echo-area-function',
	`undisplay-echo-area-function', `minibuffer-echo-wait-function'.
	(The Echo Area): Add menu.

2003-09-19  Sandra Wambold  <wambold@xemacs.org>

	* Makefile: add targets to produce PDF files

2003-09-03  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.15 "celery" is released.

2003-08-28  Steve Youngs  <youngs@xemacs.org>

	* xemacs-faq.texi (Q2.0.2): Rewrite, mentioning the correct way to
	remove a package.
	(Q3.8.2): big-menubar is in the edit-utils package.
	(Q4.3.2): Add a comment about not needing TM for things like Gnus,
	MH-E and VM.
	(Q5.3.3): State correct location of ps-print.el.

	* xemacs/packages.texi (Packages): Remove "Creating Packages" menu
	entry.
	(Package Terminology): Whitespace clean up.
	(Installing Packages): Whitespace clean up and add some @code
	formatters.
	Re-organise the menu so that installation via PUI is first and
	Sumo is last.
	(Automatically): mule-base is no longer a requirement for using
	PUI.
	Mention optionally requiring mailcrypt.
	(Note): Removed.
	(Manually): Move to below the PUI installation method.
	(Sumo): Move to below the manual installation method.
	(Which Packages): Add mailcrypt.
	(Building Packages): Remove duplicated stuff that is in
	lispref/packaging.texi, xref to it instead.
	(Local.rules File): xref to the appropriate node in
	lispref/packaging.texi.
	(Available Packages): Update to current reality.
	(all): Removed.
	(srckit): Removed.
	(binkit): Removed.

	* xemacs/reading.texi (Reading Mail): Mention Gnus and MEW.

	* new-users-guide/custom2.texi (Init File): big-menubar.el is in
	the edit-utils package.

	* lispref/packaging.texi (Packaging):
	(The User View):
	(The Library Maintainer View):
	(Infrastructure):
	(Control Files):
	(Obtaining):
	(The Package Release Engineer View):
	(Package Terminology):
	(Building Packages):
	(Makefile Targets):
	(packages): New.
	(Local.rules File):
	(XEMACS_PACKAGES): Removed.
	(XEMACS_INSTALLED_PACKAGES_ROOT): New.
	(NONMULE_PACKAGES): New.
	(EXCLUDES): New.
	(Creating Packages):
	(BATCH): New.
	(VERSION): Removed.
	(AUTHOR_VERSION): Removed.
	(MAINTAINER): Removed.
	(PACKAGE): Removed.
	(PKG_TYPE): Removed.
	(REQUIRES): Removed.
	(CATEGORY): Removed.
	(ELS): Removed.
	(ELCS): Removed.
	(all): Removed.
	(srckit): Removed.
	(binkit): Removed.
	(are): New.
	(STANDARD_DOCS): New.
	(ELCS_1_DEST): New.
	(example): New.
	(PACKAGE_SUPPRESS): New.
	(EXPLICIT_DOCS): New.
	(DATA_DEST): New.
	(Documenting Packages):

	Not quite a total rewrite, but a fairly thorough audit
	nonetheless.

2003-07-31  René Kyllingstad  <listmailxemacs@kyllingstad.com>

	* lispref/display.texi (Invisible Text):
        mention line-move-ignore-invisible.
	* lispref/extents.texi (Extent Properties):
        end-glyph will still be displayed when invisible is set.
	* lispref/extents.texi (Extents and Events):
        only begin-glyph is highlighted.

2003-08-12  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q1.3.8): Fix typo, note errorneous recognition.

2003-08-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/packaging.texi (Creating Packages):
	* xemacs/packages.texi (Creating Packages):
	Style guideline for package-info.in description.

2003-06-30  Vin Shelton  <acs@xemacs.org>

	* lispref/lists.texi (List-related Predicates): Add @end defun.

2003-06-30  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q3.2.2): Fix typo.

2003-06-20  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/objects.texi (Character Type): Document ?\x00 read
	syntax and range limitations on ?\000 and ?\x00 read syntaxes.

2003-06-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/lists.texi (List-related Predicates): Document
	`true-list-p', and reference it from `listp'.

2003-06-01  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.14 "cassava" is released.

2003-05-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Searching and Matching): New node.

2003-05-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (detail menu): Reformat "Current Events" caption.
	(Legacy Versions): New section.
	(Q8.0.1): New question.

2003-05-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/searching.texi (Regexp Search): Update split-string for
	new specification.

	* lispref/strings.texi (Creating Strings): Xref split-string
	(this is where GNU Emacs documents it).

2003-05-10  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.13 "cauliflower" is released.

2003-05-09  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/searching.texi (Match Data): Failed match preserves data.

2003-04-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q6.4.3): New: auxiliary programs for Windows.

2003-04-24  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.12 "carrot" is released.

2003-03-27  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs/frame.texi (XEmacs under X):
	* xemacs-faq.texi:
	Global substitute .Xresources for .Xdefaults.

	* xemacs-faq.texi (Q3.2.2): `default' is also a face.
	(Q3.2.2, Q3.8.4): Describe appropriate use of `fontSet' in Mule.
        Suggested by Janis Dzerins <jonis@dir.lv>.

2003-03-20  Steve Youngs  <youngs@xemacs.org>

	* xemacs/packages.texi (Automatically): Refer to
	'pui-set-local-package-get-directory' instead of
	'pui-add-install-directory'.
	Remove comment about PGP not being intergrated into PUI.
	Document balloon-help in PUI.
	Add heading "Keeping Packages Up To Date".
	(Building Packages): makeinfo 4.2 is required.

2003-03-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs/frame.texi (Gutter Basics): Describe common options for
	buffers tab control.

2003-03-11  Adrian Aichner  <adrian@xemacs.org>

	* cl.texi: Change incorrect references to GNU where XEmacs is
	appropriate.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* widget.texi (Defining New Widgets):
	Fix Turnbull typos.

2003-03-02  Stephen Turnbull  <stephen@xemacs.org>

	* widget.texi (Defining New Widgets):
	Document `widget-create-child', `widget-create-child-and-convert',
	and `widget-create-child-value'.  Document the `:copy' method.
	Improve discussion of the `:convert-widget' method.

2003-02-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (XEmacs From the Perspective of Building):
	Fix typo.
	(Build-Time Dependencies): New node.

2003-02-16  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.11 "cabbage" is released.

2003-02-11  Adrian Aichner  <adrian@xemacs.org>

	* lispref/backups.texi (Auto-Saving): Fix auto-save xref to user
	manual.

2003-02-06  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Top):
	(Buffers and Textual Representation):
	Fix up white space in menu.
	(Character-Related Data Types):
	(Conversion to and from External Data):
	(Format of the Extent Info):
	Pedantic grammatical nits.

2003-02-05  Ben Wing  <ben@xemacs.org>

	* lispref/mule.texi (Internationalization Terminology):
	Lots of Mule rewriting.

2003-02-05  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (Top):
	* internals/internals.texi (Coding for Mule):
	* internals/internals.texi (Character-Related Data Types):
	* internals/internals.texi (Working With Character and Byte Positions):
	* internals/internals.texi (Conversion to and from External Data):
	* internals/internals.texi (General Guidelines for Writing Mule-Aware Code):
	* internals/internals.texi (An Example of Mule-Aware Code):
	* internals/internals.texi (Mule-izing Code):
	* internals/internals.texi (help): New.
	* internals/internals.texi (Buffers and Textual Representation):
	* internals/internals.texi (The Text in a Buffer):
	* internals/internals.texi (Markers and Extents):
	* internals/internals.texi (MULE Character Sets and Encodings):
	* internals/internals.texi (Lstream Functions):
	* internals/internals.texi (Lstream Methods):
	* internals/internals.texi (Format of the Extent Info):
	* internals/internals.texi (Mathematics of Extent Ordering):
	Major fixup.  Correct for new names of Bytebpos, Ichar, etc. and
	lots of Mule rewriting.

2003-02-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs/startup.texi (Startup Paths): Clarification of package
	hierarchy structure.

	* xemacs-faq.texi (Q2.0.13, Q2.0.14, Q2.1.24, Q2.1.25): Not NEW.
	(Q2.1.15): Stylistic changes for clarity.

2003-02-03  Steve Youngs  <youngs@xemacs.org>

	* xemacs/packages.texi (Local.rules File): Update to reflect Ben's
	recent dabble into the packages.

2003-01-04  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.10 "burdock" is released.

2003-01-04  Steve Youngs  <youngs@xemacs.org>

	* lispref/mule.texi (Charset Unification): Menu item "Internals"
	should be "Unification Internals".

2003-01-03  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs/startup.texi (Startup Paths): Hierarchy, not package, layout.

2003-01-03  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi: Debugging FAQ improvements from Ben Wing.
	(Q2.0.6): Mention union type bugs.
	(Q2.1.1): Debugging HOWTO improvements.
	(Q2.1.15): Decoding Lisp objects in the debugger.

	* widget.texi (Widget Internals): New node.
	(Top): Add menu item for it.

	* xemacs/xemacs.texi (Top): Better short description of Mule in
	menu.  Mule submenu.

	Charset unification docs.  What a concept---commit docs first!

	* lispref/mule.texi (MULE): Add Unification and Tables menu entries.
	(Unicode Support): Fixup next node.
	(Charset Unification):
	(Overview):
	(Usage):
	(Basic Functionality):
	(Interactive Usage):
	(Configuration):
	(Theory of Operation):
	(What Unification Cannot Do for You):
	(Unification Internals):
	(Charsets and Coding Systems):
	New nodes.

	* xemacs/mule.texi (Mule): Menu items for Unification and Tables.
	(Recognize Coding):
	(Specify Coding):
	Fixup next and previous pointers.
	(Unification):
	(Unification Overview):
	(Unification Usage):
	(Unification Configuration):
	(Unification FAQs):
	(Unification Theory):
	(What Unification Cannot Do for You):
	(Charsets and Coding Systems):
	New nodes.

2002-12-17  Stephen Turnbull  <stephen@xemacs.org>

	* widget.texi (Widget Wishlist): Typo.
	(Defining New Widgets): s/widget-define/define-widget/g.

2002-12-27  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Regression Testing XEmacs): Hints for
	test design.

2002-10-29  Ville Skyttä  <scop@xemacs.org>

	* xemacs-faq.texi (Top):
	The canonical location for FAQ on the website is /FAQ/.

2002-11-12  Ilya N. Golubev  <gin@mo.msk.ru>

	* xemacs/custom.texi (Face Customization):
	(Faces):
	Document face-frob-from-locale-first variable.

2002-12-03  Didier Verna  <didier@xemacs.org>

	* xemacs-faq.texi (Customization): add missing menu entry for Q3.2.7.

2002-12-03  Didier Verna  <didier@xemacs.org>

	* lispref/specifiers.texi (Introduction to Specifiers): fix case
	spelling of `Buffer-Local Variables' crossref.

2002-12-03  Didier Verna  <didier@xemacs.org>

	* xemacs/custom.texi (Faces): document
	`set-face-background-pixmap-file'.

2002-12-03  Didier Verna  <didier@xemacs.org>

	* lispref/faces.texi (Face Convenience Functions): ditto.
	* lispref/glyphs.texi (Creating Glyphs): reference it.

2002-11-29  Stephen Turnbull  <stephen@xemacs.org>

	* lispref/specifiers.texi (Simple Specifier Usage): New node.
	(Specifiers): Adjust node pointers.
	(Simple Specifier Usage): Revise.  Adjust node pointers.

	* lispref/toolbar.texi (Creating Toolbar): Xref specifier example.

2002-10-20  Stephen Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q3.2.7): New FAQ on displaying non-ASCII.
	(Q3.5.7, Q1.3.3): Cross-reference it.

2002-10-20  Stephen Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q2.1.1): Mention bug report commands.
	(Q2.0.9): Note how out-of-date the entry is.
	(Q1.3.1, Q1.3.2, Q1.3.3, Q1.3.4, Q1.3.5, Q1.3.6): Revise/update.
	(Q1.2.1): Fix typo.

	* internals/internals.texi (Regression Testing XEmacs): Thorough
	rewrite, documenting macros explicitly.

2002-10-29  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/compile.texi (Compilation Options): New node.
	(Byte Compilation): Add it to menu.
	(Compilation Functions): Minor mods.
	(Docs and Compilation):
	(Dynamic Loading):
	Document some variable defaults.

2002-11-07  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Low-Level Modules): Add urefs to Doug
	Lea's and Wolfram Gloger's home pages.

2002-10-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q2.0.16): New FAQ on "no cygXpm-noX" fatal error.
	(Q6.1.4): Document cygXpm-noX.

2002-10-04  Ville Skyttä  <ville.skytta@xemacs.org>

	* xemacs/packages.texi (Available Packages): Add fortran-modes,
	perl-modes, psgml-dtds, python-modes and ruby-modes.
	Some consistency tweaks.

2002-09-22  Ville Skyttä  <ville.skytta@xemacs.org>

	* lispref/variables.texi (add-to-list): Document the new
	(optional) append argument.

2002-09-20  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Techniques for XEmacs Developers):
	More performance optimization hints.
	(Modules for Other Aspects of the Lisp Interpreter and Object System):
	Describe syntax code internals.

	* lispref/syntax.texi (Syntax Basics): XEmacs "20" -> "20 and later".
	(Syntax Class Table): Deprecate SPC as whitespace designator.
	(Syntax Flags): Rewrite for `8-bit' comment syntax flags.

2002-08-30  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.9 "brussels sprouts" is released.

2002-08-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Regression Testing XEmacs): Document
	how to skip and warn about tests that depend on packages.

2002-08-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (Regression Testing XEmacs): Fix typo.

2002-08-15  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (GCPROing): Add comment on GCPRO.
	(Regression Testing XEmacs): New node.
	(Modules for Regression Testing): New node.

2002-08-12  Simon Josefsson  <jas@extundo.com>

	* lispref/building.texi (Pure Storage): purecopy is a no-op.

2002-08-08  Ville Skyttä  <ville.skytta@xemacs.org>

	* xemacs/packages.texi (Available Packages): Bring up to date.

2002-08-02  Ville Skyttä  <ville.skytta@xemacs.org>

	* xemacs/packages.texi (Available Packages):
	Bring package list up to date, thanks also to Brian Palmer.

2002-07-30  Ville Skyttä  <ville.skytta@xemacs.org>

	* term.texi (Input to the inferior): Fix term line/char mode
	switch keybindings.  Kudos to Jacob P. Burckhardt.

	* xemacs/misc.texi (Term Mode): Ditto.

2002-07-27  Steve Youngs  <youngs@xemacs.org>

	* XEmacs 21.5.8 "broccoli" is released.

2002-07-06  Adrian Aichner  <adrian@xemacs.org>

	* new-users-guide/custom1.texi (Customizing key Bindings): Fix
	improper use of indef. art. "a".

2002-07-06  Adrian Aichner  <adrian@xemacs.org>

	* lispref/commands.texi (Peeking and Discarding): Ditto.
	* lispref/customize.texi (Type Keywords): Ditto.
	* lispref/dragndrop.texi (Drop Interface): Ditto.

2002-07-06  Adrian Aichner  <adrian@xemacs.org>

	* termcap.texi (Clearing): Ditto.
	* widget.texi (User Interface): Ditto.
	* widget.texi (Basic Types): Ditto.
	* widget.texi (group): Ditto.

2002-07-05  Adrian Aichner  <adrian@xemacs.org>

	* xemacs/menus.texi (Edit Menu): Typo fixes for incorrect use of
	indef. art. "an".

2002-07-05  Adrian Aichner  <adrian@xemacs.org>

	* lispref/control.texi (Processing of Errors): Ditto.
	* lispref/mule.texi (ISO 2022): Ditto.
	* lispref/packaging.texi (Package Terminology): Ditto.
	* lispref/text.texi (Transformations): Ditto.

2002-07-05  Adrian Aichner  <adrian@xemacs.org>

	* termcap.texi (Naming): Ditto.
	* texinfo.texi (itemize): Ditto.
	* texinfo.texi (Tips): Ditto.
	* widget.texi (Introduction): Ditto.
	* widget.texi (group): Ditto.

2002-07-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.7 "broccoflower" is released.

2002-07-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Top, Customization, Q3.10.5, Q3.10.6):
	New "killing is slow" FAQ and link updates.

2002-06-17  Jerry James  <james@xemacs.org>

	* emodules.texi (Loading other Modules): Describe why we do not
	use RTLD_GLOBAL.

2002-06-20  Adrian Aichner  <adrian@xemacs.org>

	* xemacs/mule.texi (Language Environments): Typo fix suggested by
	Frank Schmitt.

2002-06-11  Adrian Aichner  <adrian@xemacs.org>

	* xemacs-faq.texi (Q1.3.7): Update broken link to russian.el
	(found by linklint) with Google's help.

2002-05-25  Adrian Aichner  <adrian@xemacs.org>

	* xemacs/custom.texi (Syntax Entry): Deprecate ` ' in favor of `-'.

2002-06-05  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (Top):
	* internals/internals.texi (The XEmacs Object System (Abstractly Speaking)):
	* internals/internals.texi (How Lisp Objects Are Represented in C):
	* internals/internals.texi (Major Textual Changes):
	* internals/internals.texi (Great Integral Type Renaming):
	* internals/internals.texi (Text/Char Type Renaming):
	* internals/internals.texi (files): New.

2002-05-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* custom.texi (The Init File): Rewrite completely.

2002-03-19  Adrian Aichner  <adrian@xemacs.org>

	* widget.texi (constants): Typo fix.

2002-02-07  Stephen J. Turnbull  <stephen@xemacs.org>

	* external-widget.texi (External Client Widget Internals): New node.

2001-11-15  Darryl Okahata  <darrylo@xemacs.org>

	* lispref/glyphs.texi:
	lispref/lispref.texi: Add examples of how to insert graphics into a
	buffer.

2001-12-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs/packages.texi (Packages):
	(Package Terminology):
	Carefully distinguish libraries and packages.
	(Package Terminology):
	More careful definitions of ``category'' and ``distribution.''
	Use ``generic'' instead of ``normal'' (N.B. package tools use
	``standard''.)
	(Installing Packages):
	Use @var to mark variable version strings, not @t or <>.
	(Sumo):
	Add disk space estimate when unpacked.

2002-02-06  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q1.3.8, Q1.3.9): Unicode support via Mule-UCS.

2002-02-01  Steve Youngs  <youngs@xemacs.org>

	* xemacs/packages.texi (Removing Packages): The interactive
	function is 'package-get-delete-package'.

2001-11-27  Adrian Aichner  <adrian@xemacs.org>

	* xemacs-faq.texi: Hyperlink fixes.

2002-02-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q4.7.7): New FAQ on remote files.

2002-01-24  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q1.0.6): Update mail-to-news gateway information.

2002-02-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs/files.texi (Files):
	(File Names):
	Document remote file editing, refer to EFS and TRAMP.

2002-05-23  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/packaging.texi (package-info.in Fields): Typo fix.

2002-05-11  Adrian Aichner  <adrian@xemacs.org>

	* xemacs-faq.texi (Top): Add Q2.0.15 under "Installation and
	Trouble Shooting".
	* xemacs-faq.texi (Installation): Add Q2.0.15 to Installation
	menu.
	* xemacs-faq.texi (Q2.0.14): Fix unnumberedsubsec argument.
	* xemacs-faq.texi (Q2.0.15): New.

2002-05-01  Steve Youngs  <youngs@xemacs.org>

	* xemacs/packages.texi (Automatically): Don't mention "Options"
	menu.
	(Installing Packages): Don't mention getting list of packages via
	customize.

2002-04-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.6 "bok choi" is released.

2002-04-03  Ben Wing  <ben@xemacs.org>

	* internals/internals.texi (Top):
	* internals/internals.texi (How Lisp Objects Are Represented in C):
	* internals/internals.texi (Techniques for XEmacs Developers):
	* internals/internals.texi (CVS Techniques):
	* internals/internals.texi (Merging a Branch into the Trunk):
	* internals/internals.texi (A Summary of the Various XEmacs Modules):
	Add section on correctly merging a branch back into the trunk.

2002-03-19  Adrian Aichner  <adrian@xemacs.org>

	* widget.texi (constants): Typo fix.

2002-03-14  Jonathan Harris  <jhar@tardis.ed.ac.uk>

        * cl.texi (Sequence Basics): Avoid splitting link over two lines,
          which makes cygwin texinfo 4.0 unhappy.

2002-03-15  Ben Wing  <ben@xemacs.org>

	* Makefile (new-users-guide-srcs):
	* Makefile (extraclean):
	Use -no-packages to avoid problems with package files shadowing
	core files (e.g. unicode.el in mule-ucs).

2002-03-14  Stephen J. Turnbull  <stephen@xemacs.org>

	* emodules.texi (Using DEFUN): Add @ref{Lisp Primitives}.

	* lispref/mule.texi (Unicode Support):
	* xemacs/custom.texi (Behaviors):
	* lispref/customize.texi (Enabling Behavior):
	New nodes.

2002-03-12  Ben Wing  <ben@xemacs.org>

	* The Great Mule Merge of March 2002:
	see node by that name in the Internals Manual.

2002-03-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.5 "beets" is released.

2002-03-01  Jeff Miller <jmiller@cablespeed.com>

	* lispref/packaging.texi (The User View, The Library Maintainer
	View, The Package Release Engineer View): Remove apostrophes.
	* lispref/lispref.texi (The User View, The Library Maintainer
	View, The Package Release Engineer View): Remove apostrophes.

2002-02-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/packaging.texi (The User View, The Library Maintainer
	View, The Package Release Engineer View): Remove apostrophes.

2002-02-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* external-widget.texi
	(Example Program Using the External Client Widget): Fix braces.
	From Mats Lidell <matsl@contactor.se>.

2002-02-14  Stephen J. Turnbull  <stephen@xemacs.org>

	* external-widget.texi
	(Example Program Using the External Client Widget): Fix
	documentation to explain needed resource settings.

2002-02-13  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/packaging.texi (Documenting Packages): New node.
	(Makefile Variables): Fix typo per Steve Youngs.

2002-02-09  Stephen J. Turnbull  <stephen@xemacs.org>

	* external-widget.texi
	(Example Program Using the External Client Widget): New node.

	* lispref/packaging.texi (Documenting Packages): New node.

2002-01-27  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/packaging.texi (Makefile Variables): Document GENERATED
	and PRELOADS.  Document DATA_FILES_n and DATA_DEST_n forms.

2002-02-06  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q1.3.8, Q1.3.9): Unicode support via Mule-UCS.

2001-01-24  Adrian Aichner  <adrian@xemacs.org>

	* xemacs-faq.texi (Q1.0.6): Update mail-to-news gateway information.

2002-02-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs/files.texi (Files):
	(File Names):
	Document remote file editing, refer to EFS and TRAMP.

2002-02-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q4.7.7): New FAQ on remote files.

2002-01-24  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi (Q1.0.6): Update mail-to-news gateway information.

2002-02-01  Steve Youngs  <youngs@xemacs.org>

	* xemacs/packages.texi (Removing Packages): The interactive
	function is 'package-get-delete-package'.

2002-01-08  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.4 "bamboo" is released.

2001-11-15  Darryl Okahata  <darrylo@xemacs.org>

	* glyphs.texi:
	lispref.texi: Add examples of how to insert graphics into a
	buffer.

2002-01-02  Adrian Aichner  <adrian@xemacs.org>

	* emodules.texi: Add missing direntry, reword "dynamic loadable"
	to "dynamically loadable".
	* external-widget.texi: Add missing direntry.

2001-12-19  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* xemacs/programs.texi: Etags update from Francesco.

2001-12-18  Valdis.Kletnieks <Valdis.Kletnieks@vt.edu>

	* xemacs/programs.texi (Tags): Add node name to Ebrowse
	cross reference.

2001-12-15  Adrian Aichner  <adrian@xemacs.org>

	* xemacs\xemacs.texi (Top): Change from @ifinfo to @ifnottex for
	the benefit of HTML online docs.

2001-12-15  Adrian Aichner  <adrian@xemacs.org>

	* term.texi: Fix broken settitle.  Make @titlepage, @direntry, and
	@chapter agree with new title.

2001-12-15  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/packaging.texi (The User's View):
	Correct description of man subdirectory.

	(The Package Release Engineer's View):
	(package-compile.el):
	Change hazmat to useful documentation.

	(Issues):
	Hazmat removal.

2001-11-27  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/packaging.texi: New file.
	* lispref/lispref.texi (Top): Add Packaging & subnodes to menus.
	Include packaging.texi.
	* lispref/intro.texi (Introduction): Next -> Packaging.
	* lispref/objects.texi (Lisp Data Types): Previous -> Packaging.
	* Makefile (lispref-srcs): Depend on lispref/packaging.texi.

2001-11-26  Adrian Aichner  <adrian@xemacs.org>

	* xemacs-faq.texi (Top): Remove duplicate node "Introduction".
	* xemacs-faq.texi (Q7.0.2): Rename changes sections uniquely.
	* xemacs-faq.texi (Q7.0.3): Ditto.

2001-11-26  Adrian Aichner  <adrian@xemacs.org>

	* external-widget.texi: Add @settitle to this stand-alone
	document.

2001-11-25  Adrian Aichner  <adrian@xemacs.org>

	* Makefile: Add rule to produce html from texi sources (currently
	using texi2html).
	* Makefile (HTMLDIR): New.
	* Makefile (html_files): New.
	* Makefile (html): New target.

2001-09-16  Adrian Aichner  <adrian@xemacs.org>

	* xemacs-faq.texi (Q4.0.7): Fix link to VM FAQ thanks to word I
	got from Gregory Neil Shapiro.

2001-09-16  Adrian Aichner  <adrian@xemacs.org>

	* xemacs-faq.texi (Q1.3.7): Update moved link.
	* xemacs-faq.texi (Q7.0.2): Comment out empty list of bullets to
	avoid HTML error in texi2html translation.

2001-09-15  Adrian Aichner  <adrian@xemacs.org>

	* xemacs-faq.texi (Q4.6.1): Infodock is now hosted on SourceForge,
	infodock.com is no more.
	* xemacs-faq.texi (Q4.7.1): Take auc out of http://sunsite.auc.dk.

2001-09-15  Adrian Aichner  <adrian@xemacs.org>

	* xemacs-faq.texi (Q4.6.1):

2001-09-09  Adrian Aichner  <adrian@xemacs.org>

	* xemacs-faq.texi (Q1.0.9): Correct link to snapshots as suggested
	by Robin S. Socha.

2001-09-07  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.3 "asparagus" is released.

2001-08-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* widget.texi (Basic Types, Defining New Widgets):
	Distinguish between :action and :notify.

2001-07-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.5.2 "artichoke" is released.

2001-07-25  Jim Horning  <jim.horning@lmco.com>

	* xemacs/packages.texi (Package Terminology):
	* xemacs/packages.texi (Automatically):
	In itemize and enumerate lists @item should be on it's own line.

2001-07-02  Adrian Aichner  <adrian@xemacs.org>

	* xemacs-faq.texi (Q1.0.14): Update information following a
	request by Tom Mostyn.

2001-07-02  Adrian Aichner  <adrian@xemacs.org>

	* lispref\windows.texi (Window Configurations): Fix typos.
	* lispref\x-windows.texi (Resources): Ditto.

2001-07-02  Adrian Aichner  <adrian@xemacs.org>

	* internals\internals.texi (XEmacs From the Inside): Ditto.

2001-07-02  Adrian Aichner  <adrian@xemacs.org>

	* emodules.texi (Initialization Mode): Ditto.
	* xemacs-faq.texi (Q6.3.2): Ditto.

2001-06-10  Ben Wing  <ben@xemacs.org>

	* xemacs-faq.texi (Q1.0.10):
	* xemacs-faq.texi (Q1.0.11):
	* xemacs-faq.texi (Q1.0.12):
	Update sections on Windows and MacOS availability.

2001-06-08  Ben Wing  <ben@xemacs.org>

	* xemacs-faq.texi (Top):
	* xemacs-faq.texi (MS Windows):
	* xemacs-faq.texi (Q6.2.1):
	* xemacs-faq.texi (Q6.2.2):
	* xemacs-faq.texi (Q6.2.3):
	* xemacs-faq.texi (Q6.2.4):
	* xemacs-faq.texi (Q6.2.5):
	* xemacs-faq.texi (Q6.3.1):
	* xemacs-faq.texi (Q6.3.2):
	* xemacs-faq.texi (Q6.3.3):
	* xemacs-faq.texi (Q6.3.4):
	* xemacs-faq.texi (Q6.4.1):
	* xemacs-faq.texi (Q6.4.2):
	* xemacs-faq.texi (Current Events):
	* xemacs-faq.texi (Q7.0.1):
	* xemacs-faq.texi (Q7.0.2):
	* xemacs-faq.texi (Q7.0.3):
	* xemacs-faq.texi (Q7.0.4):
	* xemacs-faq.texi (Q7.0.5):
	* xemacs-faq.texi (Q7.0.6):
	Merge in the rest of Hrvoje's Windows FAQ.  Redo section 7
	to update current reality and add condensed versions of
	new changes for 21.1 and 21.4. (Not quite done for 21.4.)
	Lots more Windows updates.

2001-05-29  Alexey Mahotkin  <alexm@hsys.msk.ru>

	* xemacs/custom.texi: Documented keyboard shortcut.

	* xemacs/mule.texi: Updated to match reality; tiny fixes.

2001-05-30  Ben Wing  <ben@xemacs.org>

	* xemacs-faq.texi (Top):
	* xemacs-faq.texi (MS Windows):
	* xemacs-faq.texi (Q6.0.1):
	* xemacs-faq.texi (Q6.0.2):
	* xemacs-faq.texi (Q6.0.3):
	* xemacs-faq.texi (Q6.0.4):
	* xemacs-faq.texi (Q6.1.1):
	* xemacs-faq.texi (Q6.1.4):
	* xemacs-faq.texi (Q6.1.5):
	* xemacs-faq.texi (Q6.1.6):
	* xemacs-faq.texi (Q6.2.1):
	* xemacs-faq.texi (Q6.2.2):
	* xemacs-faq.texi (Q6.3.1):
	* xemacs-faq.texi (Q6.3.2):
	* xemacs-faq.texi (Q6.3.3):
	* xemacs-faq.texi (Q6.4.1):
	* xemacs-faq.texi (Current Events):
	Major rewrite.
	Update all MS Windows info to current.
	Redo section 6.1 almost completely.
	Incorporate sections 1 and 2 of Hrvoje's FAQ.

2001-05-24  Ben Wing  <ben@xemacs.org>

	* xemacs-faq.texi (Top):
	* xemacs-faq.texi (Installation):
	* xemacs-faq.texi (Q2.1.15):
	* xemacs-faq.texi (Q2.1.18):
	* xemacs-faq.texi (Q2.1.19):
	document how to debug X errors

2001-05-15  Steve Youngs  <youngs@xemacs.org>

	* xemacs/packages.texi (Local.rules): Update to reflect new dir tree.
	(Creating Packages): Ditto.
	(Available Packages): Ditto.

2001-05-09  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.5.1 "anise" is released.

2001-05-07  Martin Buchholz  <martin@xemacs.org>

	* make-stds.texi: Support makeinfo 3.12

2001-04-26  John H. Palmieri  <palmieri@math.washington.edu>

	* xemacs/frame.texi (XEmacs under X): Document default-frame-plist
	rather than default-frame-alist.

2001-04-15  Ben Wing  <ben@xemacs.org>

	* xemacs-faq.texi (Q1.0.1):
	* xemacs-faq.texi (Q1.0.2):
	Rewrite description of XEmacs to match what's on web page,
	in about.el.

2001-04-18  Martin Buchholz  <martin@xemacs.org>

	* XEmacs 21.5.0 "alfalfa" is released.

2001-03-30  Ben Wing  <ben@xemacs.org>

	* internals\internals.texi:
	* internals\internals.texi (Top):
	* internals\internals.texi (Lucid Emacs):
	* internals\internals.texi (XEmacs):
	* internals\internals.texi (XEmacs From the Outside):
	Bump version to 1.4 and fix this everywhere.  Document all
	XEmacs releases up through 21.2.46.

2001-03-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* lispref/postgresql.texi (libpq Lisp Symbols and DataTypes): Save
	result of INSERT in R in pq-cmd-status example.

2001-03-21  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.46 "Urania" is released.

2001-03-08  Ben Wing  <ben@xemacs.org>

	* internals\internals.texi (Top):
	* internals\internals.texi (A History of Emacs):
	* internals\internals.texi (Through Version 18):
	* internals\internals.texi (Lucid Emacs):
	* internals\internals.texi (GNU Emacs 19):
	* internals\internals.texi (GNU Emacs 20):
	* internals\internals.texi (XEmacs From the Outside):
	* internals\internals.texi (The Lisp Language):
	* internals\internals.texi (XEmacs From the Perspective of Building):
	* internals\internals.texi (XEmacs From the Inside):
	* internals\internals.texi (The XEmacs Object System (Abstractly Speaking)):
	* internals\internals.texi (How Lisp Objects Are Represented in C):
	* internals\internals.texi (Rules When Writing New C Code):
	* internals\internals.texi (General Coding Rules):
	* internals\internals.texi (Writing Lisp Primitives):
	* internals\internals.texi (Writing Good Comments):
	* internals\internals.texi (Adding Global Lisp Variables):
	* internals\internals.texi (Proper Use of Unsigned Types):
	* internals\internals.texi (Coding for Mule):
	* internals\internals.texi (Character-Related Data Types):
	* internals\internals.texi (Working With Character and Byte Positions):
	* internals\internals.texi (Conversion to and from External Data):
	* internals\internals.texi (General Guidelines for Writing Mule-Aware Code):
	* internals\internals.texi (An Example of Mule-Aware Code):
	* internals\internals.texi (Techniques for XEmacs Developers):
	* internals\internals.texi (A Summary of the Various XEmacs Modules):
	* internals\internals.texi (Low-Level Modules):
	* internals\internals.texi (Basic Lisp Modules):
	* internals\internals.texi (Modules for Standard Editing Operations):
	* internals\internals.texi (Editor-Level Control Flow Modules):
	* internals\internals.texi (Modules for the Basic Displayable Lisp Objects):
	* internals\internals.texi (Modules for other Display-Related Lisp Objects):
	* internals\internals.texi (Modules for the Redisplay Mechanism):
	* internals\internals.texi (Modules for Interfacing with the File System):
	* internals\internals.texi (Modules for Other Aspects of the Lisp Interpreter and Object System):
	* internals\internals.texi (Modules for Interfacing with the Operating System):
	* internals\internals.texi (Modules for Interfacing with X Windows):
	* internals\internals.texi (Allocation of Objects in XEmacs Lisp):
	* internals\internals.texi (Introduction to Allocation):
	* internals\internals.texi (Garbage Collection):
	* internals\internals.texi (GCPROing):
	* internals\internals.texi (Garbage Collection - Step by Step):
	* internals\internals.texi (Invocation):
	* internals\internals.texi (garbage_collect_1):
	* internals\internals.texi (mark_object):
	* internals\internals.texi (gc_sweep):
	* internals\internals.texi (sweep_lcrecords_1):
	* internals\internals.texi (compact_string_chars):
	* internals\internals.texi (sweep_strings):
	* internals\internals.texi (sweep_bit_vectors_1):
	* internals\internals.texi (Integers and Characters):
	* internals\internals.texi (Allocation from Frob Blocks):
	* internals\internals.texi (lrecords):
	* internals\internals.texi (Low-level allocation):
	* internals\internals.texi (Cons):
	* internals\internals.texi (Vector):
	* internals\internals.texi (Bit Vector):
	* internals\internals.texi (Symbol):
	* internals\internals.texi (Marker):
	* internals\internals.texi (String):
	* internals\internals.texi (Dumping):
	* internals\internals.texi (Overview):
	* internals\internals.texi (Data descriptions):
	* internals\internals.texi (Dumping phase):
	* internals\internals.texi (Object inventory):
	* internals\internals.texi (Address allocation):
	* internals\internals.texi (The header):
	* internals\internals.texi (Data dumping):
	* internals\internals.texi (Pointers dumping):
	* internals\internals.texi (Reloading phase):
	* internals\internals.texi (Events and the Event Loop):
	* internals\internals.texi (Introduction to Events):
	* internals\internals.texi (Main Loop):
	* internals\internals.texi (Specifics of the Event Gathering Mechanism):
	* internals\internals.texi (Specifics About the Emacs Event):
	* internals\internals.texi (The Event Stream Callback Routines):
	* internals\internals.texi (Other Event Loop Functions):
	* internals\internals.texi (Converting Events):
	* internals\internals.texi (Evaluation; Stack Frames; Bindings):
	* internals\internals.texi (Evaluation):
	* internals\internals.texi (Dynamic Binding; The specbinding Stack; Unwind-Protects):
	* internals\internals.texi (Simple Special Forms):
	* internals\internals.texi (Symbols and Variables):
	* internals\internals.texi (Introduction to Symbols):
	* internals\internals.texi (Obarrays):
	* internals\internals.texi (Buffers and Textual Representation):
	* internals\internals.texi (Introduction to Buffers):
	* internals\internals.texi (The Text in a Buffer):
	* internals\internals.texi (Buffer Lists):
	* internals\internals.texi (Markers and Extents):
	* internals\internals.texi (Bufbytes and Emchars):
	* internals\internals.texi (MULE Character Sets and Encodings):
	* internals\internals.texi (Character Sets):
	* internals\internals.texi (Encodings):
	* internals\internals.texi (Japanese EUC (Extended Unix Code)):
	* internals\internals.texi (JIS7):
	* internals\internals.texi (Internal Mule Encodings):
	* internals\internals.texi (Internal String Encoding):
	* internals\internals.texi (Internal Character Encoding):
	* internals\internals.texi (The Lisp Reader and Compiler):
	* internals\internals.texi (Lstreams):
	* internals\internals.texi (Creating an Lstream):
	* internals\internals.texi (Lstream Types):
	* internals\internals.texi (Lstream Functions):
	* internals\internals.texi (Consoles; Devices; Frames; Windows):
	* internals\internals.texi (Introduction to Consoles; Devices; Frames; Windows):
	* internals\internals.texi (Point):
	* internals\internals.texi (Window Hierarchy):
	* internals\internals.texi (The Redisplay Mechanism):
	* internals\internals.texi (Critical Redisplay Sections):
	* internals\internals.texi (Line Start Cache):
	* internals\internals.texi (Extents):
	* internals\internals.texi (Introduction to Extents):
	* internals\internals.texi (Extent Ordering):
	* internals\internals.texi (Format of the Extent Info):
	* internals\internals.texi (Zero-Length Extents):
	* internals\internals.texi (Mathematics of Extent Ordering):
	* internals\internals.texi (Faces):
	* internals\internals.texi (Glyphs):
	* internals\internals.texi (Specifiers):
	* internals\internals.texi (Menus):
	* internals\internals.texi (Subprocesses):
	* internals\internals.texi (Interface to the X Window System):
	* internals\internals.texi (Lucid Widget Library):
	* internals\internals.texi (Generic Widget Interface):
	* internals\internals.texi (Scrollbars):
	* internals\internals.texi (Menubars):
	* internals\internals.texi (Checkboxes and Radio Buttons):
	* internals\internals.texi (Progress Bars):
	* internals\internals.texi (Tab Controls):
	Add more index entries.  Add sections on comments and unsigned types.

2001-03-08  Ben Wing  <ben@xemacs.org>

	* make-stds.texi (Makefile Basics):
	* make-stds.texi (Command Variables):
	* make-stds.texi (Directory Variables):
	* make-stds.texi (Standard Targets):
	* standards.texi:
	* standards.texi (Top):
	* standards.texi (Preface):
	* standards.texi (Legal Issues):
	* standards.texi (Reading Non-Free Code):
	* standards.texi (Contributions):
	* standards.texi (Trademarks):
	* standards.texi (Design Advice):
	* standards.texi (Source Language):
	* standards.texi (Compatibility):
	* standards.texi (Using Extensions):
	* standards.texi (Standard C):
	* standards.texi (Program Behavior):
	* standards.texi (Semantics):
	* standards.texi (Libraries):
	* standards.texi (Errors):
	* standards.texi (User Interfaces):
	* standards.texi (Graphical Interfaces):
	* standards.texi (Command-Line Interfaces):
	* standards.texi (Option Table):
	* standards.texi (Memory Usage):
	* standards.texi (File Usage):
	* standards.texi (Formatting):
	* standards.texi (Comments):
	* standards.texi (Syntactic Conventions):
	* standards.texi (Names):
	* standards.texi (System Portability):
	* standards.texi (CPU Portability):
	* standards.texi (System Functions):
	* standards.texi (Internationalization):
	* standards.texi (Mmap):
	* standards.texi (Documentation):
	* standards.texi (GNU Manuals):
	* standards.texi (Doc Strings and Manuals):
	* standards.texi (Manual Structure Details):
	* standards.texi (License for Manuals):
	* standards.texi (Manual Credits):
	* standards.texi (Printed Manuals):
	* standards.texi (NEWS File):
	* standards.texi (Change Logs):
	* standards.texi (Style of Change Logs):
	* standards.texi (Simple Changes):
	* standards.texi (Conditional Changes):
	* standards.texi (Indicating the Part Changed):
	* standards.texi (Managing Releases):
	* standards.texi (Configuration):
	* standards.texi (Releases):
	* standards.texi (References):
	* standards.texi (Index):
	Update to latest GNU version.

	* xemacs-faq.texi (Q6.3.3):
	* xemacs-faq.texi (Q6.4.1):
	Improve questions on current Windows activity.

2001-03-07  Sandra Wambold  <wambold@xemacs.org>

	* xemacs-faq.texi: (Q.1.0.7): changed list archive address

2001-02-25  Ben Wing  <ben@xemacs.org>

	* xemacs-faq.texi (Top):
	* xemacs-faq.texi (Introduction):
	* xemacs-faq.texi (Q1.0.1):
	* xemacs-faq.texi (Q1.0.4):
	* xemacs-faq.texi (Q1.0.6):
	* xemacs-faq.texi (Q1.0.10):
	* xemacs-faq.texi (Q1.2.1):
	* xemacs-faq.texi (Q1.4.1):
	* xemacs-faq.texi (Q1.4.2):
	* xemacs-faq.texi (Q2.0.12):
	* xemacs-faq.texi (Q2.1.1):
	* xemacs-faq.texi (Q2.1.2):
	* xemacs-faq.texi (Q2.1.9):
	* xemacs-faq.texi (Q2.1.15):
	* xemacs-faq.texi (Q2.1.19):
	* xemacs-faq.texi (Customization):
	* xemacs-faq.texi (Q3.0.1):
	* xemacs-faq.texi (Q3.0.2):
	* xemacs-faq.texi (Q3.0.3):
	* xemacs-faq.texi (Q3.0.7):
	* xemacs-faq.texi (Q3.1.5):
	* xemacs-faq.texi (Q3.1.6):
	* xemacs-faq.texi (Q3.2.1):
	* xemacs-faq.texi (Q3.2.3):
	* xemacs-faq.texi (Q3.2.4):
	* xemacs-faq.texi (Q3.3.1):
	* xemacs-faq.texi (Q3.3.2):
	* xemacs-faq.texi (Q3.3.3):
	* xemacs-faq.texi (Q3.3.4):
	* xemacs-faq.texi (Q3.3.5):
	* xemacs-faq.texi (Q3.4.1):
	* xemacs-faq.texi (Q3.4.2):
	* xemacs-faq.texi (Q3.5.2):
	* xemacs-faq.texi (Q3.5.4):
	* xemacs-faq.texi (key-translation-map): New.
	* xemacs-faq.texi (Q3.5.5):
	* xemacs-faq.texi (Q3.5.6):
	* xemacs-faq.texi (Q3.5.7):
	* xemacs-faq.texi (Q3.5.8):
	* xemacs-faq.texi (global-map): Removed.
	* xemacs-faq.texi (Q3.5.9):
	* xemacs-faq.texi (Q3.6.1):
	* xemacs-faq.texi (Q3.6.2):
	* xemacs-faq.texi (Q3.6.3):
	* xemacs-faq.texi (Q3.7.6):
	* xemacs-faq.texi (Q3.7.7):
	* xemacs-faq.texi (Q3.8.1):
	* xemacs-faq.texi (Q3.8.2):
	* xemacs-faq.texi (Q3.8.3):
	* xemacs-faq.texi (Q3.9.1):
	* xemacs-faq.texi (Q3.9.4):
	* xemacs-faq.texi (Q3.10.1):
	* xemacs-faq.texi (Q3.10.2):
	* xemacs-faq.texi (Q3.10.3):
	* xemacs-faq.texi (Q4.0.12):
	* xemacs-faq.texi (Miscellaneous):
	* xemacs-faq.texi (Q5.0.1):
	* xemacs-faq.texi (Q5.0.2):
	* xemacs-faq.texi (Q5.0.3):
	* xemacs-faq.texi (Q5.0.4):
	* xemacs-faq.texi (Q5.0.5):
	* xemacs-faq.texi (Q5.0.8):
	* xemacs-faq.texi (Q5.0.9):
	* xemacs-faq.texi (Q5.0.11):
	* xemacs-faq.texi (Q5.0.12):
	* xemacs-faq.texi (Q5.0.13):
	* xemacs-faq.texi (Q5.0.16):
	* xemacs-faq.texi (Q5.0.17):
	* xemacs-faq.texi (Q5.1.9):
	* xemacs-faq.texi (Q5.1.11):
	* xemacs-faq.texi (Q5.2.1):
	* xemacs-faq.texi (Q5.2.2):
	* xemacs-faq.texi (Q5.3.1):
	* xemacs-faq.texi (Q5.3.2):
	* xemacs-faq.texi (Q5.3.4):
	* xemacs-faq.texi (MS Windows):
	* xemacs-faq.texi (Q6.0.1):
	* xemacs-faq.texi (Q6.0.2):
	* xemacs-faq.texi (Q6.0.3):
	* xemacs-faq.texi (Q6.0.4):
	* xemacs-faq.texi (Q6.1.5):
	* xemacs-faq.texi (Q6.2.3):
	* xemacs-faq.texi (Q6.3.1):

	Remove most references to XEmacs pre-19.15, since they are way out
	of date and are cluttering up and confusing many answers.  Update
	references to .emacs to take into account the new init file
	location.  Update information about the MS Windows port.  Change
	description of XEmacs at beginning to match the web site.  Update
	info about current developers.


2001-02-25  Ben Wing  <ben@xemacs.org>

	* lispref\help.texi (Describing Characters):
	kp- not kp_.

2001-02-25  Ben Wing  <ben@xemacs.org>

	* new-users-guide\custom1.texi (Customization Basics):
	* new-users-guide\custom1.texi (Customizing key Bindings):
	* new-users-guide\custom1.texi (Customizing Menus):
	* new-users-guide\custom2.texi (Other Customizations):
	* new-users-guide\custom2.texi (Setting Variables):
	* new-users-guide\custom2.texi (Init File):
	* new-users-guide\xmenu.texi (Options Menu):
	* new-users-guide\modes.texi (Major Modes):
	* new-users-guide\modes.texi (Minor Modes):
	* new-users-guide\new-users-guide.texi (Top):
	Fix up references to .emacs to take into account init.el.

2001-02-23  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.45 "Thelxepeia" is released.

2001-02-10  Martin Buchholz  <martin@xemacs.org>

	* xemacs/programs.texi (Tag Syntax): Port to makeinfo 3.

2001-02-08  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.44 "Thalia" is released.

2001-02-04  Steve Youngs  <youngs@xemacs.org>

	* xemacs/xemacs.texi: Update to accomodate new and improved
	packages.texi.

	* xemacs/packages.texi: Basically, apart from a few things,
	rewritten from scratch.

2001-01-27  Martin Buchholz  <martin@xemacs.org>

	* lispref/variables.texi (max-specpdl-size): Correct default value.
	* lispref/eval.texi (max-lisp-eval-depth): Correct default value.

2001-01-26  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.43 "Terspichore" is released.

2001-01-20  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.42 "Poseidon" is released.

2001-01-18  Martin Buchholz  <martin@xemacs.org>

	* xemacs-faq.texi (Q1.0.11): Change XEmacs for MacOS URL.

2001-01-17  Andy Piper  <andy@xemacs.org>

	* internals.texi: some glyph documentation.

2001-01-16  Didier Verna  <didier@xemacs.org>

	* frame.texi (Mode Line Basics): new node ...
	* frame.texi (GUI Components): ... under this one ...
	* frame.texi (Scrollbar Basics): ... after this one ...
	* frame.texi (Toolbar Basics): ... before this one.

2001-01-17  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.41 "Polyhymnia" is released.

2001-01-12  Martin Buchholz  <martin@xemacs.org>

	* internals/internals.texi: A little post-pdump-rename fixup.

2001-01-13  Martin Buchholz  <martin@xemacs.org>

	* internals/internals.texi: See `pdump-rename' in src/ChangeLog.

2001-01-10  Martin Buchholz  <martin@xemacs.org>

	* internals/internals.texi: Update for pdump changes.

2001-01-04  Adrian Aichner  <adrian@xemacs.org>

	* texinfo.texi (Using Texinfo): Change reference from GNU Emacs to
	XEmacs.
	* texinfo.texi (First Node): Fixing grammar.
	* texinfo.texi (Multitable Rows): Change reference from GNU Emacs
	to XEmacs.

2001-01-08  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.40 is released.

2001-01-06  Stephen J. Turnbull  <stephen@xemacs.org>

	* emodules.texi (Required Functions): Xref coding rules for dual-use
	modules (module and statically linked).  Typo fix.

	* texinfo.texi (ref):  Typo fix.

2000-12-31  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.39 is released.

2000-12-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/internals.texi (General Coding Rules): further document
	usage of symsinit.h.  Reorder slightly.

2000-11-29  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs/packages.texi (Creating Packages): new node.

2000-12-05  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.38 is released.

2000-12-01  Martin Buchholz  <martin@xemacs.org>

	* lispref/compile.texi:
	Document differences between compiler and interpreter.

2000-11-29  Stephen J. Turnbull  <stephen@xemacs.org>

	* internals/index.texi:
	internals/internals.texi:
	Change "X Windows" to "the X Window System" randomly.
	* internals/internals.texi (Glyphs): fiddling, move lwlib to new node.
	(Lucid Widget Library): new node, added new text, ASCII art, subnode
        structure.
	* xemacs/frame.texi (GUI Components): new node.
	* xemacs/packages.texi: minor updates.

2000-11-10  Stephen J. Turnbull  <stephen@xemacs.org>

	* info.texi (Creating an Info File): Fix typos in xrefs.

2000-11-08  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs/cmdargs.texi (Command Switches):  Add documentation of
	portable dumper switches.  Other minor edits.

2000-11-21  Martin Buchholz  <martin@xemacs.org>

	* lispref/positions.texi (Word Motion):
	forward-word arg is now optional.
	backward-word arg is now optional.
	Remove vile comment advising lisp programmer to use (forward-word -1)
	instead of (backward-word 1).
	* lispref/syntax.texi (Parsing Expressions):
	Similarly for forward-comment.
	* lispref/text.texi (Deletion):
	Similarly for delete-char.
	Similarly for delete-backward-char.

2000-11-09  Martin Buchholz  <martin@xemacs.org>

	* cl.texi (Assertions):
	Remove claim that elisp doesn't have continuable errors.
	Document check-type as being continuable.

2000-11-14  Adrian Aichner  <adrian@xemacs.org>

	* xemacs/calendar.texi (Calendar/Diary): Correct INFO-FILE-NAME
	from elisp to lispref and from emacs to xemacs in relevant ?xefs.
	This should also serve as a reminder for future merges with GNU
	Emacs.
	Unify PRINTED-MANUAL-TITLE to "XEmacs Lisp Reference Manual" and
	"XEmacs User's Manual" for lispref and xemacs respectively.

2000-11-14  Adrian Aichner  <adrian@xemacs.org>

	* lispref/abbrevs.texi (Abbrevs): Ditto.
	* lispref/backups.texi (Auto-Saving): Ditto.
	* lispref/backups.texi (Reverting): Ditto.
	* lispref/display.texi (The Echo Area): Ditto.
	* lispref/help.texi (Documentation Basics): Ditto.
	* lispref/help.texi (Help Functions): Ditto.
	* lispref/keymaps.texi (Scanning Keymaps): Ditto.
	* lispref/locals.texi (Standard Buffer-Local Variables): Ditto.
	* lispref/modes.texi (Auto Major Mode): Ditto.
	* lispref/positions.texi (List Motion): Ditto.
	* lispref/searching.texi (Regexp Search): Ditto.
	* lispref/symbols.texi (Symbol Components): Ditto.
	* lispref/tips.texi (Comment Tips): Ditto.
	* lispref/tips.texi (Library Headers): Ditto.

2000-11-14  Adrian Aichner  <adrian@xemacs.org>

	* internals/internals.texi (The Buffer Object): Ditto.

2000-11-14  Adrian Aichner  <adrian@xemacs.org>

	* cl.texi (Hash Tables): Ditto.
	* texinfo.texi (Other Info Files): Ditto.
	* xemacs-faq.texi (Q1.0.14): Ditto.

2000-11-14  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.37 is released.

2000-10-27  Martin Buchholz  <martin@xemacs.org>

	* xemacs/windows.texi (Other Window):

	* new-users-guide/files.texi (Saving Files):
	* new-users-guide/search.texi (Search and Replace):

	* lispref/abbrevs.texi (Abbrev Tables):
	* lispref/abbrevs.texi (Defining Abbrevs):
	* lispref/abbrevs.texi (Abbrev Files):
	* lispref/annotations.texi (Annotation Primitives):
	* lispref/backups.texi (Auto-Saving):
	* lispref/backups.texi (Reverting):
	* lispref/buffers.texi (Current Buffer):
	* lispref/buffers.texi (Buffer Names):
	* lispref/buffers.texi (Buffer Modification):
	* lispref/buffers.texi (Read Only Buffers):
	* lispref/buffers.texi (The Buffer List):
	* lispref/buffers.texi (Killing Buffers):
	* lispref/buffers.texi (Indirect Buffers):
	* lispref/building.texi (Building XEmacs):
	* lispref/building.texi (Garbage Collection):
	* lispref/commands.texi (Interactive Call):
	* lispref/commands.texi (Events):
	* lispref/commands.texi (Event Predicates):
	* lispref/commands.texi (Working With Events):
	* lispref/commands.texi (Converting Events):
	* lispref/commands.texi (Key Sequence Input):
	* lispref/commands.texi (Reading One Event):
	* lispref/commands.texi (Waiting):
	* lispref/commands.texi (Prefix Command Arguments):
	* lispref/commands.texi (Recursive Editing):
	* lispref/compile.texi (Compilation Functions):
	* lispref/compile.texi (Compiled-Function Objects):
	* lispref/consoles-devices.texi (Basic Device Functions):
	* lispref/consoles-devices.texi (Console Types and Device Classes):
	* lispref/consoles-devices.texi (Connecting to a Console or Device):
	* lispref/control.texi (Signaling Errors):
	* lispref/customize.texi (Type Keywords):
	* lispref/databases.texi (Connecting to a Database):
	* lispref/databases.texi (Working With a Database):
	* lispref/databases.texi (Other Database Functions):
	* lispref/debugging.texi (Function Debugging):
	* lispref/display.texi (Refresh Screen):
	* lispref/display.texi (The Echo Area):
	* lispref/display.texi (Blinking):
	* lispref/edebug-inc.texi (Tracing):
	* lispref/edebug-inc.texi (Instrumenting Macro Calls):
	* lispref/edebug-inc.texi (Edebug Options):
	* lispref/eval.texi (Function Indirection):
	* lispref/extents.texi (Creating and Modifying Extents):
	* lispref/extents.texi (Finding Extents):
	* lispref/extents.texi (Mapping Over Extents):
	* lispref/extents.texi (Extent Properties):
	* lispref/faces.texi (Basic Face Functions):
	* lispref/faces.texi (Face Properties):
	* lispref/faces.texi (Face Convenience Functions):
	* lispref/faces.texi (Other Face Display Functions):
	* lispref/faces.texi (Font Instance Characteristics):
	* lispref/faces.texi (Color Specifiers):
	* lispref/files.texi (Visiting Functions):
	* lispref/files.texi (Reading from Files):
	* lispref/files.texi (Changing File Attributes):
	* lispref/files.texi (File Names):
	* lispref/files.texi (File Name Components):
	* lispref/files.texi (Directory Names):
	* lispref/files.texi (Relative File Names):
	* lispref/files.texi (File Name Expansion):
	* lispref/files.texi (File Name Completion):
	* lispref/files.texi (User Name Completion):
	* lispref/files.texi (Magic File Names):
	* lispref/files.texi (Creating a Partial File):
	* lispref/files.texi (Format Conversion):
	* lispref/frames.texi (Creating Frames):
	* lispref/frames.texi (Property Access):
	* lispref/frames.texi (Size and Position):
	* lispref/frames.texi (Deleting Frames):
	* lispref/frames.texi (Finding All Frames):
	* lispref/frames.texi (Frames and Windows):
	* lispref/frames.texi (Visibility of Frames):
	* lispref/frames.texi (Frame Configurations):
	* lispref/functions.texi (Calling Functions):
	* lispref/functions.texi (Function Cells):
	* lispref/glyphs.texi (Creating Glyphs):
	* lispref/glyphs.texi (Image Specifiers):
	* lispref/glyphs.texi (Image Instance Types):
	* lispref/glyphs.texi (Image Instance Functions):
	* lispref/gutter.texi (Creating Gutter):
	* lispref/gutter.texi (Specifying a Gutter):
	* lispref/gutter.texi (Other Gutter Variables):
	* lispref/help.texi (Accessing Documentation):
	* lispref/help.texi (Help Functions):
	* lispref/help.texi (Obsoleteness):
	* lispref/internationalization.texi (Domain Specification):
	* lispref/intro.texi (Caveats):
	* lispref/keymaps.texi (Active Keymaps):
	* lispref/keymaps.texi (Functions for Key Lookup):
	* lispref/keymaps.texi (Changing Key Bindings):
	* lispref/keymaps.texi (Scanning Keymaps):
	* lispref/ldap.texi (The High-Level LDAP API):
	* lispref/ldap.texi (Low-level Operations on a LDAP Server):
	* lispref/ldap.texi (Encoder/Decoder Functions):
	* lispref/lists.texi (Setcar):
	* lispref/lists.texi (Setcdr):
	* lispref/lists.texi (Working With Normal Plists):
	* lispref/lists.texi (Working With Lax Plists):
	* lispref/loading.texi (Autoload):
	* lispref/loading.texi (Named Features):
	* lispref/markers.texi (Creating Markers):
	* lispref/markers.texi (Changing Markers):
	* lispref/markers.texi (The Mark):
	* lispref/menus.texi (Modifying Menus):
	* lispref/menus.texi (Pop-Up Menus):
	* lispref/menus.texi (Menu Accelerator Functions):
	* lispref/minibuf.texi (Text from Minibuffer):
	* lispref/minibuf.texi (Object from Minibuffer):
	* lispref/minibuf.texi (Basic Completion):
	* lispref/minibuf.texi (High-Level Completion):
	* lispref/minibuf.texi (Reading a Password):
	* lispref/minibuf.texi (Minibuffer Misc):
	* lispref/mouse.texi (Mouse Tracking):
	* lispref/syntax.texi (Syntax Table Functions):
	* lispref/numbers.texi (Arithmetic Operations):
	* lispref/numbers.texi (Rounding Operations):
	* lispref/numbers.texi (Math Functions):
	* lispref/objects.texi (String Type):
	* lispref/objects.texi (Equality Predicates):
	* lispref/os.texi (Killing XEmacs):
	* lispref/os.texi (Suspending XEmacs):
	* lispref/os.texi (System Environment):
	* lispref/os.texi (Time Conversion):
	* lispref/os.texi (Timers):
	* lispref/os.texi (Input Modes):
	* lispref/os.texi (Translating Input):
	* lispref/os.texi (Terminal Output):
	* lispref/os.texi (Flow Control):
	* lispref/positions.texi (Character Motion):
	* lispref/positions.texi (Word Motion):
	* lispref/positions.texi (Text Lines):
	* lispref/positions.texi (Screen Lines):
	* lispref/positions.texi (List Motion):
	* lispref/positions.texi (Narrowing):
	* lispref/postgresql.texi (Asynchronous Interface Functions):
	* lispref/processes.texi (Subprocess Creation):
	* lispref/processes.texi (Synchronous Processes):
	* lispref/processes.texi (Asynchronous Processes):
	* lispref/processes.texi (Process Information):
	* lispref/processes.texi (Input to Processes):
	* lispref/processes.texi (Signals to Processes):
	* lispref/processes.texi (Process Buffers):
	* lispref/processes.texi (Filter Functions):
	* lispref/processes.texi (Network):
	* lispref/range-tables.texi (Working With Range Tables):
	* lispref/searching.texi (String Search):
	* lispref/searching.texi (Regexp Search):
	* lispref/searching.texi (POSIX Regexps):
	* lispref/searching.texi (Replacing Match):
	* lispref/searching.texi (Entire Match Data):
	* lispref/sequences.texi (Bit Vector Functions):
	* lispref/specifiers.texi (Adding Specifications):
	* lispref/specifiers.texi (Creating Specifiers):
	* lispref/specifiers.texi (Specifier Validation Functions):
	* lispref/specifiers.texi (Other Specification Functions):
	* lispref/streams.texi (Output Variables):
	* lispref/symbols.texi (Other Plists):
	* lispref/text.texi (Insertion):
	* lispref/text.texi (Commands for Insertion):
	* lispref/text.texi (Deletion):
	* lispref/text.texi (User-Level Deletion):
	* lispref/text.texi (Kill Functions):
	* lispref/text.texi (Low-Level Kill Ring):
	* lispref/text.texi (Undo):
	* lispref/text.texi (Maintaining Undo):
	* lispref/text.texi (Margins):
	* lispref/text.texi (Sorting):
	* lispref/text.texi (Columns):
	* lispref/text.texi (Primitive Indent):
	* lispref/text.texi (Mode-Specific Indent):
	* lispref/text.texi (Region Indent):
	* lispref/text.texi (Case Changes):
	* lispref/text.texi (Examining Properties):
	* lispref/text.texi (Property Search):
	* lispref/text.texi (Registers):
	* lispref/text.texi (Transformations):
	* lispref/mule.texi (Charset Property Functions):
	* lispref/mule.texi (MULE Characters):
	* lispref/mule.texi (Composite Characters):
	* lispref/mule.texi (Coding System Properties):
	* lispref/mule.texi (Big5 and Shift-JIS Functions):
	* lispref/mule.texi (CCL Statements):
	* lispref/mule.texi (Calling CCL):
	* lispref/mule.texi (Category Tables):
	* lispref/toolbar.texi (Specifying the Toolbar):
	* lispref/toolbar.texi (Other Toolbar Variables):
	* lispref/tooltalk.texi (Elisp Interface for Sending Messages):
	* lispref/tooltalk.texi (Elisp Interface for Receiving Messages):
	* lispref/variables.texi (Creating Buffer-Local):
	* lispref/variables.texi (Variable Aliases):
	* lispref/windows.texi (Splitting Windows):
	* lispref/windows.texi (Deleting Windows):
	* lispref/windows.texi (Selecting Windows):
	* lispref/windows.texi (Cyclic Window Ordering):
	* lispref/windows.texi (Buffers and Windows):
	* lispref/windows.texi (Displaying Buffers):
	* lispref/windows.texi (Choosing Window):
	* lispref/windows.texi (Window Point):
	* lispref/windows.texi (Window Start):
	* lispref/windows.texi (Vertical Scrolling):
	* lispref/windows.texi (Horizontal Scrolling):
	* lispref/windows.texi (Resizing Windows):
	* lispref/windows.texi (Window Configurations):
	* lispref/x-windows.texi (X Selections):
	* lispref/x-windows.texi (Resources):
	* lispref/strings.texi (Creating Strings):
	* lispref/strings.texi (Character Codes):
	* lispref/strings.texi (Text Comparison):
	* lispref/strings.texi (String Conversion):
	* lispref/strings.texi (Formatting Strings):
	* lispref/strings.texi (Character Case):
	* lispref/strings.texi (Case Tables):
	* lispref/strings.texi (Char Table Types):
	* lispref/strings.texi (Working With Char Tables):
	Giant docstring parameter/Texinfo fixes.

	Don't use abbreviations for English words, especially when those
	words have other meanings.  For example, use START, not BEG.
	Use OBJECT, not OBJ.
	Use VALUE, not VAL.
	Use BUFFER, not BUF.
	Use PROCESS, not PROC.  (Sometimes PROC was used to mean FUNCTION!)
	Use CHARACTER, not CH or CHR.
	Use NUMBER, not NUM.
	Use COLUMN, not COL.
	Use POSITION, not POS.
	Use SYMBOL, not SYM.
	Use STRING, not STR.
	Use LIMIT, not LIM.
	Use OTHER-WINDOW-P, not OTHER-P.
	Use PRIORITY, not PRI.

	Use `non-nil', not `true'.

	Don't call a parameter an ALIST if it can also be a FUNCTION or OBARRAY.

	Use CASE-TABLE, CATEGORY-TABLE, CHAR-TABLE, etc. instead of TABLE.

	Try to find better parameter names than ARG.

	Use consistent parameter names.  For example, s/NO-ERROR/NOERROR/g;

	Use type information in parameter names.  For example, use
	(make-bit-vector length bit), not (make-bit-vector length init).

	Completion functions should have parameters with names like
	PARTIAL-FILENAME instead of the misleading FILENAME.

	Type predicates should consistently take an OBJECT parameter,
	since any object is valid as input.

	Use WHICH-FRAMES and WHICH-DEVICES parameters consistently for
	functions like next-window and next-frame that walk over window or
	frame lists.

	Deleted duplicated documentation for:
	one-window-p, format-insert-file

	Deleted 21 lines of VMS-specific texinfo documentation.

	Fixed up a few places where `_' was used in docstring parameter
	names instead of `-'.

	Fixed up places that used nil or t without @code.

	Fixed up places that erroneously used @code instead of @var.

	Fixed many typos.

	Fixed many places where the parameters mentioned in the docstring
	didn't match the actual parameters.

	Fixed 7 places that used `@var{nil}' instead of `@code{nil}'.

	Fixed 40 places where docstrings were missing trailing `.'

	Fixed the texi documentation of 41 functions where the
	interactiveness of the function in the documentation did not match
	the implementation.

	Fixed 117 functions where the names of parameters in the texi was
	different from the names in the implementation.

	Fixed the texi documentation of 137 functions where the parameter
	list of the function in the texi was semantically different from
	the implementation.

2000-10-28  Adrian Aichner  <adrian@xemacs.org>

	* xemacs-faq.texi (Q1.2.1): Use @html instead of @ifhtml to
	incorporate raw HTML output in the HTML version.

2000-11-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs/menus.texi:
	* widget.texi:
	Typo fixes and tiny clarifications.

2000-10-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs-faq.texi: Added Q2.0.13, Q2.0.14 - packages why and how.
	Added Q2.1.25 - function not found due to package not installed.

	* xemacs/xemacs.texi:
	* xemacs/abbrevs.texi:
	* xemacs/basic.texi:
	* xemacs/building.texi:
	* xemacs/packages.texi:
	* xemacs/startup.texi:
	Moved "Packages" node to "Important General Concepts" section.

	* xemacs/packages.texi: Added package list from etc/PACKAGES.

2000-10-04  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.36 is released.

2000-09-27  Martin Buchholz  <martin@xemacs.org>

	* lispref/processes.texi (Signals to Processes): Many corrections.

2000-09-20  Martin Buchholz  <martin@xemacs.org>

	* xemacs/startup.texi (Startup Paths): Minor fixes.

2000-09-19  Martin Buchholz  <martin@xemacs.org>

	* *: Spelling mega-patch

2000-09-16  Martin Buchholz  <martin@xemacs.org>

	* internals/internals.texi (Low-Level Modules):
	Correct the list of source files.

2000-08-24  Adrian Aichner  <aichner@ecf.teradyne.com>

	* emodules.texi (Introduction): Trivial typo fix.

2000-08-24  Martin Buchholz  <martin@xemacs.org>

	* emodules.texi (Initialization Mode): Spell-Check.

2000-08-24  Martin Buchholz  <martin@xemacs.org>

	* lispref/databases.texi (Connecting to a Database):
	s/berkeley_db/berkeley-db/.  Too much C programming.

2000-08-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* xemacs/custom.texi (Menubar Resources): Document FontSet resource.

2000-07-30  Ben Wing  <ben@xemacs.org>

	* xemacs\search.texi (Regexp Search):
	* xemacs\search.texi (Regexps):
	Synch up with updated docs below (describing non-greedy
	operators and such).

2000-07-30  Ben Wing  <ben@xemacs.org>

	* lispref\searching.texi (Syntax of Regexps):
	Document ??, which we've supported since 20.4.

2000-07-31  Sandra Wambold  <wambold@cygnus.com>

	* xemacs-faq.texi: Minor updates in first two sections

2000-07-27  Andy Piper  <andy@xemacs.org>

	* lispref/hash-tables.texi: add new hash table type.

2000-07-19  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.35 is released.

2000-07-10  Martin Buchholz  <martin@xemacs.org>

	* Makefile: rm -f ==> $(RM)

2000-07-09  Martin Buchholz  <martin@xemacs.org>

	* lispref/postgresql.texi:
	- Don't mention ".so" extension.
	- Make installation instructions more generic.
	- Mention M-x describe-installation.

2000-07-08  Ben Wing  <ben@xemacs.org>

	* xemacs-faq.texi (Q6.4.1): Update the perennial nonstart under
	Windows problem with binary locs and latest info.

2000-06-17  Adrian Aichner  <aichner@ecf.teradyne.com>

	* lispref/glyphs.texi: Fix trivial typos.
	* lispref/gutter.texi: Ditto.
	* lispref/loading.texi: Ditto.
	* lispref/postgresql.texi: Ditto.

2000-06-14  Adrian Aichner  <aichner@ecf.teradyne.com>

	* internals/internals.texi (Markers and Extents): Fix trivial typo.

2000-06-11  Adrian Aichner  <aichner@ecf.teradyne.com>

	* make-stds.texi: Fix trivial typos.
	* xemacs-faq.texi: Ditto.
	* internals/internals.texi: Ditto.
	* new-users-guide/edit.texi: Ditto.
	* new-users-guide/modes.texi: Ditto.
	* new-users-guide/region.texi: Ditto.

2000-06-10  Ben Wing  <ben@xemacs.org>

	* xemacs-faq.texi (Q6.1.2):
	* xemacs-faq.texi (Q6.1.5):
	* xemacs-faq.texi (Q6.1.6):
	Corrections for Cygwin, MinGW.

2000-06-07  Adrian Aichner  <aichner@ecf.teradyne.com>

	* xemacs/basic.texi: Fix trivial typos.
	* xemacs/buffers.texi: Fix trivial typos.
	* xemacs/building.texi: Ditto.
	* xemacs/glossary.texi: Ditto.
	* xemacs/gnu.texi: Ditto.
	* xemacs/help.texi: Ditto.
	* xemacs/keystrokes.texi: Ditto.
	* xemacs/programs.texi: Ditto.
	* xemacs/search.texi: Ditto.
	* xemacs/sending.texi: Ditto.

2000-05-28  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.34 is released.

2000-05-17  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* xemacs/basic.texi: Document translation of tutorial.
	* xemacs/startup.texi: Remove lock-directory.
	* xemacs/enterings.texi: Update.

2000-05-17  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* lispref/display.texi:
	* lispref/faces.texi:
	* lispref/glyphs.texi:
	* lispref/gutter.texi:
	* lispref/modes.texi:
	* lispref/specifiers.texi:
	* lispref/toolbar.texi:
	Update.  Merge Ben's doc-string update.

2000-05-08  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* xemacs/basic.texi:
	* xemacs/enterings.texi:
	* xemacs/mini.texi:
	Partial sync with FSF Emacs 20.6 and some update.

2000-05-01  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.33 is released.

2000-04-11  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* xemacs-faq.texi (Q2.1.24): Removed wrong header.

2000-04-01  Oscar Figueiredo  <oscar@xemacs.org>

	* lispref/ldap.texi: Documentation of the add/modify/delete and
	  internationalization APIs

	* lispref/lispref.texi: Updated LDAP-related menus

2000-03-20  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.32 is released.

2000-03-15  SL Baur  <steve@musashimaru.m17n.org>

	* lispref/postgresql.texi (Unimplemented libpq Functions): Update
	documentation to reflect the latest code.

2000-03-07  SL Baur  <steve@musashimaru.m17n.org>

	* lispref/postgresql.texi (PostgreSQL Support): New File.

	* lispref/ldap.texi: Insert PostgreSQL/libpq chapter.
	* lispref/lispref.texi (Top): Ditto.
	* lispref/internationalization.texi: Ditto.

2000-03-07  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* lispref/glyphs.texi (Image Specifiers): Remove parenthesis.

2000-03-06  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* xemacs-faq.texi: Put node before section.

2000-03-05  Jonathan Harris  <jhar@tardis.ed.ac.uk>

	* xemacs-faq.texi (Macintosh port): Made texinfmt-friendly.

2000-03-01  Sandra Wambold  <wambold@xemacs.org>

	* xemacs-faq.texi: Added 6.4.1. XEmacs won't start on Windows

2000-01-25  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* xemacs/xemacs.texi: Detailed menu update.

2000-01-28  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* xemacs/help.texi: Synch with FSF 20.5. Update.

2000-02-21  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* lispref/minibuf.texi: Add default argument documentation.

2000-02-27  Martin Buchholz  <martin@xemacs.org>

	* internals/internals.texi (lrecords): Update docs for new lisp
	object representation.

2000-02-25  Martin Buchholz  <martin@xemacs.org>

	* internals/internals.texi (Techniques for XEmacs Developers):
	Document INLINE_HEADER and how to create macros and inline functions.
	Cleanup entire section.

2000-02-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* man/lispref/gutter.texi: New file describing gutter API.

	* man/lispref/lispref.texi, man/lispref/scrollbars.texi,

	* man/lispref/toolbar.texi: Fixup links to new node Gutter.

2000-02-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* man/lispref/frames.texi, man/xemacs/custom.texi,
	man/xemacs/frame.texi, man/xemacs/glossary.texi: Mention menubars,
	toolbars, and gutters as optional components of frames, with
	pointers to descriptions.

2000-02-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* man/lispref/mule.texi:  Substantial reorganization and
	revision for style of descriptions of character sets,
	encodings, and coding systems.  Addition of a complete table
	of coding systems as of XEmacs 21.2.19.

2000-02-23  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.31 is released.

2000-02-21  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.30 is released.

2000-02-21  Jonathan Harris  <jhar@tardis.ed.ac.uk>

	* internals/internals.texi: Made texinfmt-friendly.

2000-01-20  Mark Thomas  <mthomas@jprc.com>

	* lispref/backups.texi (Numbered Backups):
	* xemacs/files.texi (Backup Deletion):
	Change trim-versions-without-asking to delete-old-versions.

2000-02-19  Martin Buchholz  <martin@xemacs.org>

	* internals/internals.texi (Conversion to and from External Data):
	Document TO_EXTERNAL_FORMAT and friends.
	Doc bug fixes.

2000-02-16  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.29 is released.

2000-02-16  Martin Buchholz  <martin@xemacs.org>

	* internals/internals.texi: Integrate Olivier's portable dumping docs.

2000-02-09  Martin Buchholz  <martin@xemacs.org>

	* lispref/symbols.texi (Object Plists):
	Document `object-plist'.
	Document `remprop'.
	Rework all plist frobbing docs for accuracy.

2000-02-07  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.28 is released.

2000-02-07  Martin Buchholz  <martin@xemacs.org>

	* cl.texi: Remove (or replace by `get') references to `get*'.

2000-01-25  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* widget.texi:
	* internals/internals.texi:
	* lispref/commands.texi:
	* lispref/consoles-devices.texi:
	* lispref/customize.texi:
	* lispref/dialog.texi:
	* lispref/extents.texi:
	* lispref/faces.texi:
	* lispref/glyphs.texi:
	* lispref/keymaps.texi:
	* lispref/lists.texi:
	* lispref/markers.texi:
	* lispref/menus.texi:
	* lispref/mule.texi:
	* lispref/objects.texi:
	* lispref/specifiers.texi:
	* lispref/toolbar.texi:
	* lispref/tooltalk.texi:
	* lispref/x-windows.texi:
	* new-users-guide/custom2.texi:
	* new-users-guide/help.texi:
	* new-users-guide/modes.texi:
	* xemacs/abbrevs.texi:
	* xemacs/buffers.texi:
	* xemacs/custom.texi:
	* xemacs/help.texi:
	* xemacs/keystrokes.texi:
	* xemacs/mini.texi:
	* xemacs/new.texi:
	* xemacs/packages.texi:
	* xemacs/programs.texi:
	* xemacs/sending.texi:
	Change ' -- ' to '---' since Texinfo formats --- to --.
	Untabify.  TeX doesn't like TAB.

2000-01-27  Sandra Wambold  <wambold@xemacs.org>

	* xemacs-faq.texi (Q6.2.2): updated font instructions to include
	21.2.*

2000-01-25  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* xemacs-faq.texi: Untabify.

2000-01-22  Martin Buchholz  <martin@xemacs.org>

	* internals/internals.texi (General Coding Rules): Document why we
	#include <config.h>

2000-01-21  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* xemacs-faq.texi: Change ' -- ' to '---'.

2000-01-19  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* lispref/faces.texi (Face Properties): Document
	remove-face-property.

2000-01-18  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.27 is released.

2000-01-17  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* xemacs/regs.texi: Synch with FSF 20.5.

2000-01-14  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* info.texi: Change cross reference from emacs to xemacs.

2000-01-14  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* xemacs/mini.texi: Synch with FSF 20.5.  Update.

2000-01-16  Martin Buchholz  <martin@xemacs.org>

	* xemacs-faq.texi (Q2.1.15): Fix up @table formatting.

2000-01-14  Martin Buchholz  <martin@xemacs.org>

	* xemacs-faq.texi (Q2.1.15): Update dbx/gdb debugging info.

2000-01-14  Sandra Wambold  <wambold@xemacs.org>

	* xemacs-faq.texi: removed out-of-date XEmacs 19 questions.

2000-01-14  Sandra Wambold  <wambold@xemacs.org>

	* xemacs-faq.texi: Updated Macintosh information,
	updated OS/2 info, changed turn-on-pending-delete answer.

2000-01-08  Martin Buchholz  <martin@xemacs.org>

	* xemacs-faq.texi (Q2.1.15): Make debugging info current.

2000-01-08  Hrvoje Niksic  <hniksic@iskon.hr>

	* lispref/control.texi (Signaling Errors): Document that `signal'
	is continuable.
	(Signaling Errors): Document `cerror', `signal-error', and
	`check-argument-type'.
	(Handling Errors): Mention `debug-on-signal'.
	(Error Symbols): Document `define-error'.
	(Processing of Errors): Document `display-error' and
	`error-message-string'.

2000-01-05  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* internals/internals.texi: Remove latin-1 char.

2000-01-05  Didier Verna  <didier@xemacs.org>

	* xemacs/custom.texi (Key bindings using strings): add missing
	whitespace.

	* xemacs/xemacs.texi (Top):
	* new-users-guide/new-users-guide.texi (Top): add missing `@top'
	node.

1999-12-24  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* lispref/minibuf.texi (Reading a Password): New section.

1999-12-21  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* lispref/minibuf.texi: Remove documentation about
	minibuffer-local-ns-map, read-no-blanks-input.

1999-12-21  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* lispref/minibuf.texi: Partial Synch with FSF manual.
	Add description about DEFAULT argument of reading functions.

1999-12-31  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.26 is released.

1999-12-26  Karl M. Hegbloom  <karlheg@inetarena.com>

	* internals/internals.texi (garbage_collect_1): Xemacs -> XEmacs

1999-12-24  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.25 is released.

1999-12-21  Martin Buchholz  <martin@xemacs.org>

	* lispref/text.texi (Near Point): Document `char-before'.

1999-12-20  Adrian Aichner  <adrian@xemacs.org>

	* widget.texi: Fix typos and possessive singular errors.  Break
	long sentences for readability.  Remove some redundant commas.

1999-12-18  Martin Buchholz  <martin@xemacs.org>

	* lispref/functions.texi (Mapping Functions):
	Warn about mapping functions modifying their sequences.

1999-12-15  Sandra Wambold  <wambold@xemacs.org>

	* xemacs-faq.texi: link to matlab.el added; misc. address changes

1999-12-14  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.24 is released.

1999-12-07  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* xemacs/startup.texi (Startup Paths): fix typo: EMACSPACKAGEPATH
	instead of PACKAGEPATH
	From Marcus Harnisch <harnisch@mikrom.de>

1999-12-07  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.23 is released.

1999-12-06  Sandra Wambold  <wambold@pobox.com>

	* xemacs-faq.texi: Added MS-Windows questions; some other changes

1999-11-29  Martin Buchholz  <martin@xemacs.org>

	* info.texi (Top):
	Remove @ifnottex, which gives old makeinfos indigestion.
	* texinfo.texi (Top):
	Revert to pre-texinfo-4.0 version, plus small changes to make
	texinfo-3.12, texinfo-3.12f, texinfo-4.0, and TeX happy.

1999-11-30  Sandra Wambold  <wambold@cygnus.com>

	* xemacs-faq.texi: fixed and commented out bad URL links

1999-11-29  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.22 is released

1999-11-28  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.21 is released.

1999-11-26  Martin Buchholz  <martin@xemacs.org>

	* internals.texi (Lstream Functions):
	* internals.texi (Lstream Methods):
	Types have changed to size_t and ssize_t.  Document them.

1999-08-12     Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* xemacs-faq.texi (Q4.4.2): added FAQ about Sun Workshop on
 	XEmacs 21

1999-11-15  Martin Buchholz  <martin@xemacs.org>

	* xemacs/programs.texi: Upgrade to etags Version 13.32

	* Makefile:
	- Make sure the default target is `info' instead of cl.info.
	- Use $(INFODIR) consistently where appropriate.
	- Remove makeinfo-1.68 warning.  (Usually only maintainer rebuilds info).
	- Comment out unused macros: EMACS EMACSFLAGS
	- Replace `-rm -f' with `rm -f', XPG4 guarantees exit code == 0.
	- Get dependencies up to date.

	* internals/Makefile:
	* xemacs/Makefile:
	* lispref/Makefile:
	* new-users-guide/Makefile:
	* lispref/index.perm:
	* lispref/index.unperm:
	* lispref/permute-index:
	* internals/index.perm:
	* internals/index.unperm:
	Remove these Makefiles.
	Include all functionality in man/Makefile.
	Support only non-permuted indexes for simplicity.

	* emodules.texi:
	- TeX doesn't tolerate `_' in variable names; use `-' instead.

	* lispref/commands.texi:
	* lispref/display.texi:
	* lispref/faces.texi:
	* lispref/functions.texi:
	* lispref/keymaps.texi:
	* lispref/lists.texi:
	* lispref/modes.texi:
	* lispref/objects.texi:
	* lispref/os.texi:
	* lispref/sequences.texi:
	* lispref/strings.texi:
	* lispref/text.texi:
	* new-users-guide/custom1.texi:
	* xemacs/custom.texi:
	* xemacs/menus.texi:
	- Make sources compatible with makeinfo 4.0 *and* 3.12.
	- Replace @sc{ASCII} with @sc{ascii}, etc...
	- Replace @var{(foo)} with (@var{foo}), etc...

	* info-stnd.texi: Remove.  Who cares about the standalone info reader?

	* texinfo.tex:
	* texinfo.texi:
	* info.texi:
	* standards.texi:
	* make-stds.texi:
	Import FSF-maintained files from texinfo-4.0.

1999-11-10  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.20 is released

1999-08-30  Robert Pluim  <rpluim@bigfoot.com>

	* xemacs/packages.texi (Using Packages): Added description of
	package-get-package-provider.

1999-07-27  Charles G Waldman  <cgw@fnal.gov>

	* xemacs-faq.texi (Q5.0.6): Describe `shell-multiple-shells'

1999-08-01  Adrian Aichner  <adrian@xemacs.org>

	* xemacs/programs.texi (Balanced Editing): Remove broken
	line-break.

	* xemacs-faq.texi (Q1.0.6): Provide correct location in XEmacs
	menus.
	(Q1.4.1): ditto.
	(Q1.4.3): ditto.
	(Q2.0.5): Hyphenate words.

	* info.texi (Add): Fix one typo.

1999-08-23  Stephane Epardaud  <stephane@lunatech.com>

	* internals/internals.texi (Garbage Collection - Step by Step):
	just added some dots to shut up compile warnings.

1999-08-19  Matthias Neubauer  <neubauer@informatik.uni-tuebingen.de>

	* internals/internals.texi (Garbage Collection - Step by Step):
	new section in chapter Allocation of Objects in XEmacs Lisp.

1999-07-28  Andy Piper  <andy@xemacs.org>

	* internals.texi (Glyphs): add some glyph documentation.

1999-07-30  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.19 is released

1999-07-10  Adrian Aichner  <adrian@xemacs.org>

	* emodules.texi: Use @set emacs and @value{emacs} instead of
	@macro (unsupported by texinfo package).  Remove stray @code.
	* custom.texi: Add info extension to @setfilename.
	* texinfo.texi: Ditto.
	* widget.texi: Ditto.
	* packages.texi: Reword a sentence, fixing @item Decide where to
 	install ...

1999-07-19  Didier Verna  <didier@xemacs.org>

	* custom.texi (Wishlist): removed the Custom Comments wishlist
	entry. They are implemented.

1999-07-13  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.18 is released

1999-06-22  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.17 is released

1999-06-11  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.16 is released

1999-06-04  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.15 is released

1999-05-30  Albert Chin-A-Young <china@thewrittenword.com>

	* custom.texi, external-widget.texi: Minor
	fix to get info DIR entry correct.

1999-05-22  Vin Shelton <acs@xemacs.org>

	* xemacs/cmdargs.texi:
	Document -private.

1999-05-16  Mike McEwan  <mike@lotusland.demon.co.uk>

	* Makefile: Added `emodules.info' to info targets.

1999-05-20  Karl M. Hegbloom  <karlheg@debian.org>

	* internals/internals.texi (The XEmacs Object System
	  (Abstractly Speaking)): typo.

1999-05-16  Hrvoje Niksic  <hniksic@srce.hr>

	* lispref/text.texi (Substitution): Document improvements in
 	`translate-region'.

1999-05-14  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.14 is released

1999-05-11  Albert Chin-A-Young <china@thewrittenword.com>

	* man/internals/internals.texi:
	* man/lispref/lispref.texi:
	* man/new-users-guide/new-users-guide.texi:
	* man/xemacs/xemacs.texi:
	* man/cl.texi:
	* man/custom.texi:
	* man/term.texi:
	* man/termcap.texi:
	* man/widget.texi:
	* man/xemacs-faq.texi:
	* man/external-widget.texi:
	Added info dir entries so install-info will add them to
	the common `dir' file.

1999-04-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* man/lispref/mule.texi: Document CCL
	- add sections: syntax, statements, expressions, and examples.
	- fix naming and description errors.
	- update links in neighboring nodes.

1999-04-24  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* lispref/eval.texi (Eval): default for max-lisp-eval-depth is 500.

1999-04-23  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* xemacs-faq.texi (Q3.0.7): refer to correct menu (Option->Frame
	Appearance)

1999-03-12  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.13 is released

1999-03-05  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.12 is released

1999-03-01  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.11 is released

1999-02-05  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.10 is released

1999-02-02  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.9 is released

1999-01-14  Adrian Aichner  <adrian@xemacs.org>

	* internals\internals.texi (Techniques for XEmacs Developers):
 	Fixing documentation.
	(Basic Lisp Modules): ditto.

1999-01-10  J. Kean Johnston  <jkj@sco.com>

	* emodules.texi: New file to describe XEmacs modules.

1998-12-28  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.8 is released.

1998-12-24  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.7 is released.

1998-12-16  Andy Piper  <andy@xemacs.org>

	* XEmacs 21.2.6 is released

1998-12-05  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.5 is released

1998-11-30  Martin Buchholz  <martin@xemacs.org>

	* xemacs/startup.texi (Startup Paths):
	* xemacs/custom.texi (Widgets):
	* xemacs-faq.texi (Q3.0.5):
	* xemacs-faq.texi (Top):

	* widget.texi (info-link):

	* lispref/objects.texi (Type Predicates):
	* lispref/objects.texi (Hash Table Type):
	* lispref/objects.texi (Primitive Types):
	* lispref/objects.texi (Lisp Data Types):
	* lispref/macros.texi (Backquote):
	* lispref/hash-tables.texi (Weak Hash Tables):
	* lispref/hash-tables.texi:
	* lispref/errors.texi (Standard Errors):
	* lispref/compile.texi (Disassembly):
	* lispref/compile.texi (Compiled-Function Objects):
	* lispref/compile.texi (Eval During Compile):
	* lispref/compile.texi (Docs and Compilation):
	* lispref/compile.texi (Compilation Functions):
	* lispref/compile.texi (Speed of Byte-Code):
	* lispref/compile.texi (Byte Compilation):
	* lispref/building.texi (Garbage Collection):

	* internals/internals.texi (Simple Special Forms):
	* internals/internals.texi (Evaluation; Stack Frames; Bindings):
	* internals/internals.texi (Specifics of the Event Gathering Mechanism):
	* internals/internals.texi (String):
	* internals/internals.texi (Introduction to Allocation):
	* internals/internals.texi (Allocation of Objects in XEmacs Lisp):
	* internals/internals.texi (Modules for Internationalization):
	* internals/internals.texi (Modules for Interfacing with X Windows):
	* internals/internals.texi (Modules for Interfacing with the Operating System):
	* internals/internals.texi (Modules for Other Aspects of the Lisp Interpreter and Object System):
	* internals/internals.texi (Modules for Interfacing with the File System):
	* internals/internals.texi (Modules for the Redisplay Mechanism):
	* internals/internals.texi (Modules for the Basic Displayable Lisp Objects):
	* internals/internals.texi (Editor-Level Control Flow Modules):
	* internals/internals.texi (Modules for Standard Editing Operations):
	* internals/internals.texi (Basic Lisp Modules):
	* internals/internals.texi (Low-Level Modules):
	* internals/internals.texi (A Summary of the Various XEmacs Modules):
	* internals/internals.texi (An Example of Mule-Aware Code):
	* internals/internals.texi (Working With Character and Byte Positions):
	* internals/internals.texi (Writing Lisp Primitives):
	* internals/internals.texi (General Coding Rules):
	* internals/internals.texi (How Lisp Objects Are Represented in C):
	* internals/internals.texi (The XEmacs Object System (Abstractly Speaking)):
	* internals/internals.texi (XEmacs From the Perspective of Building):
	* internals/internals.texi (The Lisp Language):
	* internals/internals.texi (Top):
	* internals/internals.texi:
	- rewrite Internals manual

	* cl.texi (Porting Common Lisp):
	* cl.texi (Hash Tables):
	* cl.texi (Association Lists):
	* cl.texi (Declarations):
	* cl.texi (For Clauses):
	* cl.texi (Basic Setf):
	* cl.texi (Equality Predicates):
	- mega patch

1998-11-28  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.2-beta4 is released.

1998-10-15  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.2-beta3 is released.

1998-10-09  SL Baur  <steve@altair.xemacs.org>

	* Makefile (MAKEINFO): Undo no-split change.

1998-09-29  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.2-beta2 is released.

1998-09-20  Hrvoje Niksic  <hniksic@srce.hr>

	* lispref/customize.texi: New file.

1998-09-09  Hrvoje Niksic  <hniksic@srce.hr>

	* internals/internals.texi (Coding for Mule): New node and
	section.

1998-09-03  Darryl Okahata  <darrylo@sr.hp.com>

	* xemacs/packages.texi: Document manually installing binary packages.

1998-09-02  Jeff Miller <jmiller@smart.net>

	* Synch calendar.texi with Emacs 20.3

1998-09-03  Darryl Okahata  <darrylo@sr.hp.com>

	* xemacs/packages.texi: Correct and update package documentation.
	  Updated the package installation section to mention the visual
	  package browser/installer.

1998-08-31  Hrvoje Niksic  <hniksic@srce.hr>

	* lispref/buffers.texi (Indirect Buffers): Update with XEmacs
	specifics.

1998-08-21  Greg Klanderman  <greg@alphatech.com>

	* lispref/files.texi (User Name Completion): new section.

1998-07-23  Adrian Aichner  <adrian@xemacs.org>

	* xemacs/packages.texi (Packages): Changing @itemize @emph to
	@itemize @bullet (this is what all other files included in
	xemacs.texi use) to fix error in texi2dvi (GNU Texinfo 3.12) 0.8.

1998-07-20  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* xemacs/startup.texi: Small fixes, suggested by Hrvoje.

	* xemacs/xemacs.texi:
	* xemacs/packages.texi: More packages documentation.

1998-07-19  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.2-beta1 is released.

1998-07-12  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-pre5 is released.

1998-07-09  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.0-pre4 is released.

1998-07-09  Oliver Graf <ograf@fga.de>

	* lispref/dragndrop.texi: added warning to OffiX Protocol section

1998-07-09  SL Baur  <steve@altair.xemacs.org>

	* lispref/ldap.texi (Syntax of Search Filters): Fix QP encoding
	damage in transit.

1998-07-05  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* lispref/tooltalk.texi: Fixed NEXT to @node LDAP

	* lispref/internationalization.texi: Fixed PREV to @node LDAP

	* lispref/lispref.texi: Added LDAP chapter from ldap.texi

	* lispref/Makefile: Added ldap.texi to srcs

1998-06-29  SL Baur  <steve@altair.xemacs.org>

	* standards.texi (Preface): Revert previous change to @node
	because it doesn't pass makeinfo.

1998-06-27  Adrian Aichner  <adrian@xemacs.org>

	* cl.texi: See ALL.
	* info-stnd.texi: Fixed @setfilename.
	* info.texi: Fixed @setfilename and a typo.
	* standards.texi: Added NEXT to @node Preface. See ALL.
	* texinfo.texi: Fixed section names, quoted usage of @TeX{},
	changed some occurrences of `:' to `colon'.
	* xemacs-faq.texi: See ALL.
	* internals/internals.texi: See ALL.
	* lispref/back.texi: Fixed @setfilename.
	* lispref/compile.texi: See ALL.
	* lispref/debugging.texi: See ALL.
	* lispref/edebug-inc.texi: Added NEXT and UP to @node Edebug.
	* lispref/eval.texi: See ALL.
	* lispref/extents.texi: See ALL.
	* lispref/loading.texi: See ALL.
	* lispref/searching.texi: Escaped `(' in
	@cindex @samp{(?:} in regex
	* lispref/variables.texi: See ALL.

1998-06-28  SL Baur  <steve@altair.xemacs.org>

	* xemacs/calendar.texi: Massive update.
	From Jeff Miller <jmiller@smart.net>

1998-06-20  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* xemacs/abbrevs.texi:
	* xemacs/basic.texi:
	* xemacs/buildings.texi:
	* xemacs/cmdargs.texi:
	* xemacs/files.texi:
	* xemacs/adjustments.texi: Adjustments to integrate startup.texi
	and packages.texi stuff.

	* xemacs/startup.texi:
	* xemacs/packages.texi: Created.

1998-06-10  Adrian Aichner  <adrian@xemacs.org>

	* texinfo.texi: added ../info/ to @setfilename, broke line after
	@noindent.  Changed @var{arg-not-used-by-@TeX{}} to
	@var{arg-not-used-by-@@TeX{}} to make `texinfo-format-buffer'
	happy.  Fixed refs broken by a previous patch of mine.

1998-06-18  Darryl Okahata  <darrylo@sr.hp.com>

	* lispref/os.texi (os.texi): Document `user-home-directory'.

1998-06-13  Greg Klanderman  <greg@alphatech.com>

	* lispref/windows.texi (Resizing Windows): document third optional
	WINDOW argument to enlarge-window and shrink-window.
	(Selecting Windows): document select-window optional norecord
	argument.
	(Size of Window): document window-text-area-pixel-height and
	window-text-area-pixel-width.
	(Size of Window): document window-displayed-text-pixel-height.
	(Position of Window): document window-text-area-pixel-edges.

	* lispref/positions.texi (Screen Lines): cleanup docs for
	vertical-motion and vertical-motion-pixels.

1998-06-10  Hrvoje Niksic  <hniksic@srce.hr>

	* lispref/windows.texi (Resizing Windows): Document
	`enlarge-window-pixels' and `shrink-window-pixels'.

	* lispref/positions.texi (Screen Lines): Update documentation of
	`vertical-motion'.
	(Screen Lines): Document `vertical-motion-pixels'.

	* lispref/frames.texi (Input Focus): Document `focus-frame',
	`save-selected-frame' and `with-selected-frame'.

1998-06-10  Hrvoje Niksic  <hniksic@srce.hr>

	* lispref/searching.texi (Regexp Search): Document `split-path'.

	* lispref/files.texi (Unique File Names): Update docs for
	`make-temp-name'; document `temp-directory'.

1998-06-10  Hrvoje Niksic  <hniksic@srce.hr>

	* lispref/os.texi (Recording Input): Update docs for `recent-keys'.

	* lispref/specifiers.texi (Specifier Instancing): Correct
	instantiation order.
	(Specifier Instancing Functions): Ditto.

1998-06-11  Oliver Graf <ograf@fga.de>

	* lispref/lispref.texi: references to Drag'n'Drop fixed
	* lispref/modes.texi: references to Drag'n'Drop fixed
	* lispref/scrollbars.texi: references to Drag'n'Drop fixed
	* lispref/dragndrop.texi: naming changed to Drag and Drop
	added some docu about the drop procedure

1998-06-09  Adrian Aichner  <adrian@xemacs.org>

	* info-stnd.texi: added ../info/ to @setfilename.
	* info.texi: added ../info/ to @setfilename.
	* lispref/commands.texi: see ALL.
	* lispref/frames.texi: see ALL.
	* lispref/os.texi: see ALL.
	* lispref/text.texi: see ALL.
	* new-users-guide/custom1.texi: broke line after enumerated @item.
	* new-users-guide/custom2.texi: see ALL.
	* new-users-guide/edit.texi: see ALL.
	* new-users-guide/enter.texi: see ALL.
	* new-users-guide/files.texi: see ALL.
	* new-users-guide/help.texi
	* new-users-guide/modes.texi: see ALL.
	* new-users-guide/new-users-guide.texi: see ALL.
	* new-users-guide/region.texi: see ALL.
	* new-users-guide/search.texi: see ALL.
	* new-users-guide/xmenu.texi: see ALL.
	* standards.texi: added ../info/ to @setfilename.
	* texinfo.texi: added ../info/ to @setfilename, broke line after
	@noindent.  Changed @var{arg-not-used-by-@TeX{}} to
	@var{arg-not-used-by-@@TeX{}} to make `texinfo-format-buffer'
	happy.
	* xemacs-faq.texi: added ../info/ to @setfilename.
	* ALL: corrected INFO-FILE-NAME to lispref and xemacs in relevant
	p?xefs (most were empty, some elisp and emacs), used
	PRINTED-MANUAL-TITLE "XEmacs Lisp Reference Manual" and "XEmacs
	User's Manual" respectively for all these.

1998-06-01  Oliver Graf <ograf@fga.de>

	* lispref/dragndrop.texi: added experimental

1998-05-28  Oliver Graf <ograf@fga.de>

	* lispref/dragndrop.texi: a warning, and a bit more text this time

1998-05-26  Oliver Graf <ograf@fga.de>

	* lispref/dragndrop.texi: only small changes

1998-05-15  Christian Nybø <chr@mediascience.no>

	* xemacs/killing.texi: Properly document `zap-to-char'.

1998-05-13  Greg Klanderman  <greg@alphatech.com>

	* lispref/frames.texi (Input Focus): cleanup select-frame
	documentation.

1998-05-10  Oliver Graf <ograf@fga.de>

	* lispref/dragndrop.texi: new section for the DnD API
	* lispref/lispref.texi: added Drag'n'Drop between scrollbars and
	modes
	* lispref/modes.texi: changed back-ref to Drag'n'Drop
	* lispref/scrollbars.texi: changed next-ref to Drag'n'Drop

1998-05-05  Oliver Graf <ograf@fga.de>

	* commands.texi: exchange of dnd-drop with misc-user

1998-05-04  Martin Buchholz  <martin@xemacs.org>

	* internals.texi (Techniques for XEmacs Developers): Add some more
	comments on adding new files, inspired by Olivier Galibert.

1998-05-02  Hrvoje Niksic  <hniksic@srce.hr>

	* lispref/windows.texi (Vertical Scrolling): Fixup docstring for
 	scroll-conservatively.

	* lispref/loading.texi (Named Features): Document advanced args to
	`feature'.

	* lispref/files.texi (File Name Expansion): Document that
	expand-file-name does not treat // and ~/ in the middle of file
	names specially.

	* lispref/positions.texi (Excursions): Document
	`with-current-buffer' and `with-temp-file'.

	* lispref/strings.texi (Formatting Strings): Document `%*'
 	construct.

	* lispref/os.texi (Time Conversion): Document that TIME may be
	omitted from format-time-string.

	* lispref/strings.texi (String Conversion): Document BASE argument
	to `string-to-number'.

	* lispref/searching.texi (Syntax of Regexps): Fix up Perl
	constructs documentation.
	(Regexp Search): Document `split-string'.

	* xemacs/display.texi (Scrolling): Document scroll-conservatively.

	* xemacs/killing.texi (Active Regions): Document that errors no
	longer highlight the region.

	* lispref/display.texi (The Echo Area): Document message log
 	stuff, including `display-message', `lmessage', `clear-message',
	(Warnings): Document warning stuff.

	* lispref/commands.texi (Working With Events): Update `make-event'
	for misc-user events.
	(Using Interactive): Document `function-interactive'.

	* lispref/os.texi (System Environment): Document USE-FLOATS
 	argument to `load-average'.
	(User Identification): Document the new semantics of
 	`user-full-name'.

	* lispref/strings.texi (Creating Strings): Document `string'
 	function.

1998-05-02  Hrvoje Niksic  <hniksic@srce.hr>

	* lispref/numbers.texi (Comparison of Numbers): Document multi-arg
	comparison functions.

1998-04-30  Greg Klanderman  <greg@alphatech.com>

	* lispref/frames.texi (Input Focus): Document behavior of
	select-frame wrt focus-follows-mouse.

1998-04-30  Martin Buchholz  <martin@xemacs.org>

	* Makefile: Support generic makes by avoiding `%' syntax.
	It breaks my heart to uglify the Makefile like this, but this is
	going to be a perpetual FAQ otherwise.
	General cleanup.
	Comment out w3 and vm info rules.
	Use paranoid cd ./$@ syntax to avoid losing with luser's CDPATH.

1998-03-27  Stephen Turnbull  <stephen@xemacs.org>

	* xemacs/frame.texi: Document cursor appearance at end of line.

1998-03-14  Hrvoje Niksic  <hniksic@srce.hr>

	* internals/internals.texi (GCPROing): Explain when it is
	necessary to GCPRO function parameters.

1998-03-13  Hrvoje Niksic  <hniksic@srce.hr>

	* internals/internals.texi (Writing Lisp Primitives): Updated
	definition of For().

1998-03-01  Aki Vehtari  <Aki.Vehtari@hut.fi>

	* lispref/menus.texi: Use recommended forms in examples.

1998-02-22  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* cl.texi (Creating Symbols): Tell a little bit about the new
	handling of gensyms.

1998-02-21  Greg Klanderman  <greg@alphatech.com>

	* xemacs/custom.texi (X Resources): update to describe automatic
	setting of x-emacs-application-class.

	* lispref/x-windows.texi (Resources): update doc for
	x-emacs-application-class.

1998-02-20  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* cl.texi (Equality Predicates): Update to reflect change to
	`equalp' made in "cl-extra.el" - now compares characters case
	insensitively.

1998-02-23  Aki Vehtari  <Aki.Vehtari@hut.fi>

	* lispref/menus.texi (Menu Format): Doc fix: suffix can be form.

1998-02-19  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* lispref/display.texi (Beeping): Linux has sound too.

1998-02-19  Hrvoje Niksic  <hniksic@srce.hr>

	* cl.texi (Argument Lists): Keywords are handled specially by
 	XEmacs.
	(Porting Common Lisp): XEmacs backquotes are OK.

1998-02-19  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* xemacs/custom.texi (Init Syntax): document #b, #o, and #x reader
 	syntax for integers.
	From Adrian Aichner <adrian@xemacs.org>
	* cl.texi (Porting Common Lisp): ' '
	* lispref/numbers.texi (Numbers): ' '

1998-02-15  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* lispref/searching.texi (Regular Expressions): Document the
	recent regular expression syntax extensions.

1998-02-10  Olivier Galibert  <galibert@pobox.com>

	* internals/internals.texi: Remove all mocklisp references.

1997-12-17  SL Baur  <steve@altair.xemacs.org>

	* Makefile (SUBDIR): skk and gnats are packaged.

	* lispref/intro.texi (Acknowledgements): Update to v3.3.

	* lispref/lispref.texi: Update to 20.5/v3.3.

1997-12-10  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Don't stop on errors.

1997-12-06  SL Baur  <steve@altair.xemacs.org>

	* Makefile: add skk manual.

1997-11-29  SL Baur  <steve@altair.xemacs.org>

	* internals/internals.texi (XEmacs): Updated history section.

1997-11-28  SL Baur  <steve@altair.xemacs.org>

	* lispref/compile.texi (Compilation Functions): Plug in the real
	return value.
	(Speed of Byte-Code): Ditto.
	(Compilation Functions): Ditto.
	(Compiled-Function Objects): Ditto.
	(Speed of Byte-Code): Increase loop counter by factor of 50 (the
	previous value was embarrassing).

1997-11-21  SL Baur  <steve@altair.xemacs.org>

	* Makefile (srcs): vhdl-mode has been packaged.

1997-11-15  SL Baur  <steve@altair.xemacs.org>

	* lispref/windows.texi (scroll-conservatively): Fix typo.

1997-11-12  Hrvoje Niksic  <hniksic@srce.hr>

	* lispref/commands.texi (Working With Events): Document fully.

	* lispref/windows.texi (Vertical Scrolling): Document
 	scroll-conservatively.

1997-11-09  Hrvoje Niksic  <hniksic@srce.hr>

	* lispref/extents.texi (Intro to Extents): Minor correction.
	(Extent Properties): Document `extent-keymap'.

1997-11-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* xemacs/mule.texi (Mule): Modify description about supported
	scripts.

1997-11-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* xemacs/mule.texi: Add description for
	`universal-coding-system-argument'.

1997-10-31  SL Baur  <steve@altair.xemacs.org>

	* internals/internals.texi: XEmacs 19.16 is released.

1997-10-30  SL Baur  <steve@altair.xemacs.org>

	* Makefile (srcs): Mailcrypt, hm--html-menus, vm, psgml and tm have
	been packaged.

1997-10-22  Hrvoje Niksic  <hniksic@srce.hr>

	* xemacs-faq.texi: Added the detailed menu listing.

	* lispref/extents.texi (Extent Properties): Documented
	`set-extent-properties'.

	* xemacs/custom.texi (Face Customization): Updated for XEmacs.

1997-10-07  SL Baur  <steve@altair.xemacs.org>

	* xemacs-faq.texi (Q1.3.7): Update Russion URLs.
	From Rebecca Ore <rebecca.ore@op.net>

	* lispref/databases.texi (Connecting to a Database): Describe
	valid types of `type' and `subtype'.
	From Raymond Toy <toy@rtp.ericsson.se>

1997-10-01  Karl M. Hegbloom  <karlheg@inetarena.com>

	* lispref/commands.texi (Keyboard Macros): fixed typo.  Changed
	reference to (emacs) into a reference to (xemacs).

1997-10-01  Karl M. Hegbloom  <karlheg@inetarena.com>

	* lispref/keymaps.texi (Keymaps): untabified and reformatted menu
	to prevent line wrap.

1997-09-27  SL Baur  <steve@altair.xemacs.org>

	* gnats/flowchart.eps: New file.

1997-09-23  Hrvoje Niksic  <hniksic@srce.hr>

	* xemacs/custom.texi (Easy Customization): Ditto.

	* xemacs/xemacs.texi (Top): Added pointer to easy customization.

1997-09-18  SL Baur  <steve@altair.xemacs.org>

	* internals/Makefile (../../info/$(NAME).info): Warn and clean up
	if someone hasn't upgraded makeinfo.

	* Makefile (EMACS): Refer to xemacs binary in source tree.
	* tm/Makefile (EMACS): Ditto.

1997-08-15  Karl M. Hegbloom <karlheg@inetarena.com>

	* cl.texi (Type Predicates): Update for corrected handling of
	`string-char' and `character'.

Tue Aug  5 21:56:02 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode.texi:
	In FAQ section, document use of c-mode-base-map instead of c-mode-map.

Fri Aug  1 22:44:49 1997  Barry A. Warsaw  <cc-mode-help@python.org>

	* cc-mode.texi: Removed the description of c-enable-//-in-c-mode.

